Welcome

RoboGEO Manual

Copyright © 2003-2011 Pretek, Inc.

All Rights Reserved


Overview

RoboGEO - Overview

What is RoboGEO?

RoboGEO is software for Windows.

What does RoboGEO do?

RoboGEO geocodes digital photos with location data (latitude, longitude, altitude, photo direction, etc.) and then allows you to perform various operations on the photos or to export them to different applications.

Why do I need RoboGEO?

Sometimes it's important to know WHERE a particular photo was taken. For example, RoboGEO allows civil engineers to document the progress of construction work and it allows disaster response teams to monitor the location of oil spills on the open ocean.

How do I use RoboGEO?

Note: There are a few sample images and a tracklog file in the \SampleImages folder. See the ReadMe.txt file in the same folder for more information.

You first select the photos and then you geocode them. There are 9 possible ways to do that:

1. From the GPS tracklog (fully automatic for Garmin models)

1. Make sure the camera's clock is accurate or specify an offset .

2. Turn on the GPS and begin recording a tracklog.

3. Take the pictures.

4. Back at the Windows computer, start RoboGEO.

5. Specify the difference between the camera's time and UTC time .

6. Select the images . Press F2.

7. Download the GPS tracklog . Press F3.

2. Manually from the GPS waypoints (maximum reliability)

1. Take the pictures.

2. Record a GPS waypoint at the same location of each picture.

3. Back at the Windows computer, start RoboGEO.

4. Select the images . Press F2.

5. Manually equate each picture to a GPS waypoint .

3. From the tracklog in a GPX file (other GPS models)

1. Make sure the camera's clock is accurate or specify an offset .

2. Turn on the GPS and begin recording a tracklog.

3. Take the pictures.

4. Back at the Windows computer, export a GPX file from your GPS.

5. Specify the difference between the camera's time and UTC time .

6. Select the images . Press F2.

7. Import the tracklog GPX file .

4. From the waypoints in a GPX file (previously acquired data)

1. Make sure the camera's clock is accurate or specify an offset .

2. Take the pictures.

3. Create or export the GPX file.

4. Back at the Windows computer, start RoboGEO.

5. Select the images . Press F2.

6. Import the GPX file .

Note: The waypoints must have timestamps.

5. From an imported NMEA sentence file (entirely in the field)

1. Make sure the camera's clock is accurate or specify an offset .

2. Turn on the GPS set the interface to NMEA 0183.

3. Start RoboGEO and begin logging the NMEA data .

4. Take the pictures.

5. Stop logging the NMEA data.

6. Specify the difference between your camera's time and UTC time .

7. Select the images . Press F2.

8. Import the NMEA sentence file.

6. Manually lookup and enter the location data (no GPS required)

1. Take the pictures.

2. Back at the Windows computer, start RoboGEO.

3. Select the images . Press F2.

4. Select ' Lookup Lat/Lon Values ' under the 'Edit' pull-down menu.

5. Wait for the LatLonFinder website to load.

6. Pan and zoom to the location of the photo.

7. Copy the displayed lat/lon pair to the clipboard (Ctrl-C).

8. Double click on the image and then select ' Edit All Values '.

9. Paste the lat/lon pair into the box (Ctrl-V).

10.Repeat steps 6 through 9 for each image.

Note: You can also geocode images by typing the values directly into the grid.

7. Use Google Earth as a geocoder (quick and no GPS is required)

1. Take the pictures.

2. Back at the Windows computer, start RoboGEO.

3. Select the images . Press F2.

4. Select ' Using Google Earth ' from the pull-down menus. Press F5.

5. Wait for Google Earth to load.

6. Pan and/or zoom Google Earth to the location of the photo.

7. Click the 'Geocode' button.

8. Cycle to the next image in the set.

9. Repeat steps 6 through 8 for each image.

8. Look up the place names (for well known landmarks and no GPS is required)

1. Take the pictures.

2. Back at the Windows computer, start RoboGEO.

3. Select the images . Press F2.

4. Select ' From Place Names ' from the pull-down menus.

5. Wait for the 'Place Lookup' form to load.

6. Enter the search term(s) and then press the 'Search' button.

7. Back at the main form, select the image you want to geocode.

8. Double click on the place name, then select 'Geocode Current Image'.

9. Repeat steps 7 and 8 for each image.

Note: For additional options, double click on the place names in the search results grid.

9. Use the existing IPTC location data (great for archived images)

1. Take the pictures.

2. Use your favorite tool to insert IPTC location data.

3. Start RoboGEO.

4. Select the images . Press F2.

5. Select ' From IPTC Fields ' from the pull-down menus.

6. Wait for the lookups to complete.

Then, once all of the images are selected and geocoded using any of the methods above, you can do any or all of the following:

1. Stamp the latitude, longitude and altitude on the actual images.

2. Write to the EXIF headers the latitude, longitude and altitude.

3. Reverse geocode the locations to the IPTC.

4. Create Google Maps that show the photo locations.

5. Create a KML or KMZ file for importing into Google Earth.

6. Upload to Flickr to share with others.

7. Export a Shapefile for importing into ArcView.

8. Export a DXF file for AutoCAD.

9. Export to Microsoft MapPoint or Streets and Trips .

10. Export a GPX file .

11. Upload the locations back to your Garmin GPS unit .

Additionally, if you want to gain extra functionality or if you just want to tweak things, there are well over a hundred preference settings that you can set.

How do I get RoboGEO?

Download the demo or get a copy on CD-ROM . The demo limitations are here.

How do I purchase RoboGEO?

If the demo suited your needs, you can purchase . It's low cost, comes with a 30 day money back guarantee and you'll receive free lifetime upgrades (even major upgrades).

Copyright © 2003-2011 Pretek, Inc.


Whats New

RoboGEO - Whats New

See the download page for a listing of all minor enhancements, revisions, and fixes.

RoboGEO v6.3

Export HTML

Added the ability to export HTML .

RoboGEO v6.2

Google Earth KML Polygons

Added the ability to rename files and edit IPTC data per Google Earth KML polygons.

Pre and Post Image Processing

You can now use the 3rd party tool of your choice to automatically process images both before/after stamping ( StampPreprocessorApplicationPath and StampPostprocessorApplicationPath ) and before/after writing to the EXIF ( ExifPreprocessorApplicationPath and ExifPostprocessorApplicationPath ).

RoboGEO v6.1

Civil Air Patrol CSV Support

Added the ability to import CSV files that are exported from the 'CAP Image Processor' application's 'Template Work Sheet'.

RoboGEO v6.0

RAW Formats

Additional RAW formats are now supported including those from Adobe (DNG), Nikon (NEF), Canon (CR2), Minolta (MRW), Epson (ERF), FujiFilm (RAF), Olympus (ORF), Pentax (PEF), Sony (ARW and SR2), Samsung (SRW), Panasonic (RW2 and RAW), Leica (RWL), and Mamiya (MEF).

RoboGEO v5.10

CAP Enhancements

Made numerous enhancements for the Civil Air Patrol .

Increase Canvas Size for Stamping

RoboGEO can now automatically increase the height of an image's canvas ( StampIncreaseCanvasHeight ) so that the location data can be stamped onto the newly exposed canvas area and not on the raster data.

Auto-size Logos

The program can now dynamically resize logos ( StampLogoSizePercent ) to a fixed percentage of the image height before stamping them onto images. This allows you to specify a single logo graphic and use it for any image, regardless of the image size.

New File Renaming Options

Added numerous additional time-based patterns for renaming images.

Configurable Font Sizes

You can now specify stamping font heights per a percentage of the image height when stamping headers ( StampTitleFontSizePercentage ) and footers ( StampFontSizePercentage ).

Multiple Camera Support

You can now use multiple cameras that may have different time settings ( UtcTimeBias and CameraOffset ) when using the same tracklog without having to reload the tracklog when you switch cameras.

Edit Image Titles

Added an 'Edit Titles' option under the 'Edit' pull-down menu that loads the Title Maker .

RoboGEO v5.9

Customize Google Earth Tracklog Display

You can now specify custom values for the tracklog display when exporting to Google Earth .

Import KML and KMZ Files

Import KML and KMZ files as tracklogs for geocoding photos.

Import Shapefiles

Import shapefiles as tracklogs and use them to geocode photos. You can also import them as waypoints and use the attribute data to aid in manual geocoding.

Enhanced MGRS (Military Grid Reference System) Support

The program now fully supports MGRS throughout the user-interface, i.e. instead of latitude and longitude, everything is MGRS. Just set CoordinateFormat to MGRS.

Sanitize Photos

This feature allows you to strip out all of the EXIF and IPTC data from images while preserving only those fields that you want to keep.

Find Similar Geocoded Photos

This allows you to identify similar geocoded images , i.e. images that are within a specific time or distance proximity to another.

Enhanced Image Direction Editing

There's an enhanced user-interface for entering image directions with additional support for the handling of relative directions.

Enhanced Image Timestamp Editing

Edit image timestamps by moving them to a different timezone and/or by applying an offset that accounts for an inaccurate camera clock.

Relocate Photos to Known Landmarks

Create landmark files from your proprietary data and then relocate photo locations to those landmarks.

Set Photo Directions To Point to Known Landmarks

Use landmark files to set photo directions .

Structured Image Titles

Create structured image titles when exporting to Google Earth .

Justify the Stamped Footer Text

Justify the stamped footer text and optionally include the image title in the middle.

Other Minor Features

There are several other minor enhancements including the ability to write to the EXIF when exporting to Google Earth , the ability to include additional user-specified text to the image footer stamp, and various other user-requested features that can be found in the preferences .

RoboGEO v5.8

Configuration Files

You can now save configuration files and open them either locally or from the web. They can even be passed on the robogeo.exe command line .

Maximum Trackpoints

The maximum number of trackpoints that can loaded during a single session has been increased to 1,048,576.

MGRS (Military Grid Reference System) Support

By setting the StampLatLonFormat preference setting, you can now stamp MGRS format location values onto images.

Enhanced DXF Export Capability

Optimized the export of DXF files which greatly increases the speed.

Google Earth Export Exhancements

Made several enhancements to the Google Earth Export capability, including adding the ability to stamp images prior to exporting and adding several new preference settings.

RoboGEO v5.7

Automatically Sync Camera Clock

Using Google Earth, the program can now automatically sync the camera clock with the GPS clock.

Google Earth Enhancements

Made numerous enhancements to the Google Earth export capability.

RoboGEO v5.6

RoboGEO on CD-ROM

Instead of downloading, you can now get the demo version of RoboGEO on CD-ROM .

Local Help

Local help is now available in both CHM and PDF formats.

Civil Air Patrol

Added custom features and instructions for the Civil Air Patrol .

IPTC Editor

An IPTC editor has been added that allows you to manually edit common IPTC fields.

Stamp IPTC information onto images

The image stamping functionality has been enhanced to allow you to stamp various IPTC fields directly onto the images.

RoboGEO v5.5

Reverse Geocode Images Using Shapefiles

You can now reverse geocode images using the polygon and attribute data found in ESRI shapefiles. This very powerful feature allows you to use your existing GIS data (instead of publicly accessible databases), for the data source when reverse geocoding images.

Import Garmin TCX files

Import Garmin Training Center Database files (TCX) just as you can any other tracklog format.

Stamp Logos onto Images

You can now stamp logos onto images .

RoboGEO v5.4

Reverse Geocoding

Added the ability to reverse geocode images and to write the resulting locations back to the image's IPTC headers. This and the other new options can also be automated from the command line.

Geocode Images from IPTC Locations

If an image already contains IPTC location information (country, province/state, city, or sub-location), the program can use that to lookup the latitude and longitude values .

Import Generic CSV Files

Import virtually any format of delimited ASCII data as a GPS tracklog. You can use this if your GPS unit's software exports data in a proprietary format (like the Export Utility in Trimble's PathFinder Office does) or if you're exporting from a spreadsheet program like Microsoft Excel.

Added Various Program Options

Added several program options including the ability to globally change EXIF image titles , to control what happens when you double-click on a thumbnail , and to specify the main Google Maps output file name.

Fixed a Few Bugs

Google Maps image titles can now contain ampersands. If an image has altitude information and if you manually change only the latitude or longitude, the image's altitude value is erased. The program now remembers the last save location for project files and will default to that when saving.

RoboGEO v5.3

Upload Waypoints

Upload the geocoded photo locations as waypoints back to a Garmin GPS unit.

Magellan eXplorist Support

Import tracklog files (.LOG) from Magellan eXplorist units.

Google Maps Enhancements

By default, Google's new Terrain view button is included in the Google Maps output along with tooltips that appear when you hover the mouse over a photo's icon.

Google Earth Enhancements

You can now include timelines of your photos and/or tracklogs in the Google Earth output.

Garmin MapSource GPX Extension

Exported GPX files can now implement Garmin's GPX extension. This allows you to directly view the geocoded photos from within MapSource.

Easily Copy Grid Data to Excel

Added the ability to copy the grid data as-is by selecting the row(s) and then pressing ctrl-c. The fields are tab-delimited and will paste directly into Excel.

Image Backups

If you're editing the original images, you can now automatically back them up before processing.

World Map URL

You can now specify the URL for the Edit-->Locate-->World Map menu option.

User Interface Enhancement

The main grid is now part of a tabbed interface that allows you to view the tracklog data in addition to the image data.

RoboGEO v5.2

Enhanced Automation

Most program features can now be fully automated and controlled from the command line. There are also several new preference settings that make it easier to integrate RoboGEO with third party applications.

Enhanced Image Stamping

When stamping images , you can now specify different font properties for the headers and footers.

Lookup Altitude Values

You can look up image altitudes when all you know is the latitude and longitude. This is useful if your GPS doesn't record altitude data using a barometric altimeter.

Lookup Places

You can geocode photos from the location of known places like cities, lakes, mountains, graveyards, etc. You can even drill down in the search results and do proximity searches near other known places.

PLT Files

You can now import OziExplorer track files (.PLT extension).

Other Features

Made numerous minor enhancements, added several additional preference settings , and fixed a few bugs.

RoboGEO v5.1

RAW Support

You can now read and write EXIF data to various RAW formats including NEF (Nikon), CR2 (Canon), MRW (Minolta), and ERF (Epson).

RoboGEO v5.0

Google Earth Geocoder

Geocode photos using Google Earth . Simply load the photos and then press F5. You can configure various options that relate to it from the Preference's GoogleEarth/Geocoder node.

Sony GPS-CS1 Support

Import log files created by the new Sony GPS-CS1 portable GPS unit.

Import JTR files

Added the ability to import the JTR files that are created with the Jelbert GeoTagger device.

Enhanced Image Stamping

Additional options for image stamping were added. You can now stamp the elapsed time (instead of the image time), use decimal degrees instead of cardinal degrees for the image direction, and specify the degrees-minutes decimal places .

RoboGEO v4.4

Flickr Geo API Support

Flickr's new Geo API is now supported . Using it, RoboGEO automatically records each photo's location in Flickr's internal database which allows the photos to be located on Yahoo! Maps. Just click the 'Map' links on the corresponding Flickr page.

You can prevent this behavior or restrict who can view the photo locations by specifying the appropriate options .

RoboGEO v4.3

NMEA Support

A new NMEA data logger allows you to log raw NMEA 0183 sentences from any compatible RS-232 serial device. The resulting output files can then be imported into the program and used to geocode photos, convert to GPX files, etc.

Automatic Geocoding from GPX Waypoint Files

You can now automatically geocode images from GPX files that contain only waypoints .

Images are geocoded using the waypoint having a timestamp that's closest to the image's EXIF timestamp.

Include any EXIF or IPTC Field in Exported Shapefiles

In addition to the standard fields, you can now include any/all EXIF or IPTC field(s) in exported shapefiles .

Multiple Description Templates

Create and choose multiple description template files when exporting to Google Earth , Google Maps or to Flickr .

Abort Capability

When stamping images , writing data to the EXIF or downloading tracklogs , you can abort the operation by clicking the red X on the toolbar.

Incremental Upgrades

Prior to v4.3, configuration settings were lost whenever you upgraded to a newer version. For upgrades after this version, configuration settings will be preserved.

Bug Fixes

When data is merged in an image title and then exported to a Google Map that uses quicklinks, the quicklink items are now properly merged. A bug was also fixed that was causing the "picture of the GPS" method to fail if the program associated with the image type could not accept command line parameters.

Ignoring Command Line Parameters

If the 1st character of a robogeo.exe command line parameter contains an apostrophe, the command line parameter is ignored. This allows you to easily turn on/off the automatic loading of a project file when the program is started.

Image Titles in Exported GPX files

When exporting GPX files , you can use the image titles (instead of the image file names) for the waypoint names by setting GpxImageTitleAsWaypointName to True.

Several UI Enhancements

Among other things, the default Google Earth output folder defaults to what you last selected instead of Drive:\AppPath\GoogleEarth\.

RoboGEO v4.2

Associate Any Type of File with the Images

By specifying the AudioAllowUnsupportedFileTypes preference setting, you can now associate any type of file with a photo. In v4.1, you could only associate audio files.

For example, you can now associate an AutoCAD DWG file or an ESRI shapefile with each photo. You can even associate photos with photos.

Select and Process Multiple GPX Files

Select multiple GPX files when importing tracklogs . This is especially useful with some of the newer GPS units, like the Garmin GPSMAP 60CSx, that can save GPX files to a removable memory card.

Redate Images

Batch Redate images to a specific date or to a date that matches the EXIF timestamp.

Auto Rotate Images

The new RotateWhenLoaded preference setting allows you to automatically rotate images to the correct orientation upon loading.

Specify the EXIF Artist

By specifying the ExifArtistCameraOwner , ExifArtistPhotographer and ExifArtistImageCreator preference settings, you can write the EXIF Artist field whenever other data is written to the EXIF headers.

Removed G7T and CSV Tracklog Support

With RoboGEO and G7ToWin's ability to read and write GPX files, maintaining support for these formats was redundant.

RoboGEO v4.1

Digital Voice Recorder Support

Using any modern digital voice recorder, record dictation at the time a photo was taken and it will be automatically associated with the image.

When dictation is associated with an image, you'll see a small paperclip icon in the lower left corner of the preview window - click it to play the dictation.

You can optionally include the audio files in the photo descriptions when exporting to Google Earth or Google Maps .

Export GPX Files

Export industry standard GPX files. This allows you to create routes and/or waypoint lists from your photos. You can even include the tracklog in the exported GPX file.

The image filepath is written to the waypoint's comment field, which allows you to easily display the images in some 3rd party GPS utility programs.

Enhanced MapPoint / Streets and Trips Export

The exporting capability has been greatly enhanced. You can now include both images and/or the tracklogs in the output.

Enhanced ESRI Shapefile Export

Exported shapefiles now include the photo direction and, if they exist, the associated audio files.

Projected Photo Locations

By specifying a distance for images that have a photo direction, you can project the locations . Use this feature if it's important to know where the photo subject was located instead of the GPS receiver's location.

There are 2 ways to specify the distance. Use "ground mode" when both you and the subject are on the ground. Here you simply specify a direction (feet or meters, depending on your setup) and the existing coordinates will be projected in the direction of the photo. Use "airplane mode" when you're above the ground and the camera is pointing down to the subject. Here, you specify 2 semi-colon delimited values, i.e. your altitude (AGL) and the angle relative to horizontal (0 to 90 degrees).

Edit the EXIF Times

You can edit the EXIF times by specifying either an absolute value such as 2006:04:06 13:00:59 or a number of seconds such as @30 to add to (or subtract from) the existing time. Relative times must be preceded with an @ symbol. You can also use this feature to assign EXIF times to images that don't currently have them.

Since time formats vary with the user's locale, you can't edit them directly in the grid - you have to first select the image(s) and then use the 'Edit Time' option from the 'Edit' pull-down menu.

Other Items

With the new ability to export GPX files, the support for writing RoboGEO's proprietary CSV format has been removed. You can still read them as before.

Load project files by dragging/dropping them onto the main grid or by passing them on the robogeo.exe command line.

You can specify a constant Google Maps zoom level instead of letting the program determine the optimal value based on the coverage of your photos and/or tracklog.

When importing a GPS tracklog, you can now, optionally, skip any images that were previously geocoded.

Added a new Preference option ( IsSpeedy ) to speed up the user interface.

Adobe XMP metadata is preserved when EXIF or IPTC info is written to the image.

Added the ability to specify the EXIF photographer copyright notice and to write it when other data is written to the EXIF headers.

There are also several minor interface enhancements and a few bug fixes .

RoboGEO v4.0

Enhanced User Interface

The user interface has been greatly enhanced, allowing you to do the following:

Automatically preview the currently selected image.

Edit the latitude, longitude, altitude, direction and photo titles by simply typing into the grid.

Multi-select images and apply the same operation to each. For example, you can now apply the same location data to all images in one operation.

Sort the images by filename, EXIF time, latitude, longitude, altitude, direction or title.

Numerous keyboard shortcuts. Ctrl-A selects all images, Del removes the current image, Shift-Del removes all images, etc.

Right-click access to the 'Edit' pull down menu for processing multiple images.

Numerous other UI enhancements.

Photo Directions

Photos can now have directions. When they exist and when exported to either Google Earth or Google Maps , the icons show arrows that indicate the direction of the photo.

There are several ways you can assign directions to the photos:

If using a camera that supports it, the directions can be read direct from the EXIF headers.

You can manually specify the directions in absolute terms, measured clockwise in decimal degrees from true north.

Instead of numeric angles, you can enter N, NNE, NE, ENE, E, ESE, SE, etc.

Automatically determine the directions from the tracklog direction plus a constant angle . For example, if all of the pictures were taken out of the right side window of a moving car, specify an offset of 90 degrees. If taken out the left window, specify 270 degrees. Straight ahead is 0, etc.

For specific images, you can specify an offset relative to the tracklog direction. For example, if the tracklog indicates you were traveling east when a photo was taken and if you enter @45 for the direction (note the @ symbol), the direction will be calculated as 90 + 45 = 135 = Southeast

TIF Files

Uncompressed TIF files are now supported . You can read/write the EXIF and IPTC data (lossless) directly. When exported to Google Earth , Google Maps or Flickr , you can automatically convert them to JPGs.

Enhanced Image Stamping

You can specify numerous options when stamping images or, as before, you can let the program automatically determine the optimal values. These new options include:

Latitude/Longitude format . These can be decimal degrees, Deg-Min, Deg-Min-Sec or UTM coordinates.

Font face , size , weight , color , foreground opacity , and background opacity .

Omit the date . If you have small images and are running out of room, you can omit the photo date.

Image title . This places the image title at the top of the photo.

Project Files

Open and save project files. This allows you work on a set of files in multiple sessions. These have a .RGW file extension and are opened automatically when passed on the RoboGEO.exe command line. The setup program automatically creates a file type for these during installation.

Image Renaming

Rename images based on any combination of the EXIF timestamp, latitude, longitude, altitude, direction, title, sequence or any other text you desire.

Photo Thumbnails in Google Earth

Instead of the canned Google Earth icons, you can now use small thumbnails at each photo location.

Google Maps API v2 Support

The program supports the new Google Maps v2 API and with that the ability to include or exclude a map overview window, the type of zoom/pan control , whether to include the map type buttons , or scale control . You can also override the use of the custom arrow icons when photos have directional information associated with them.

Import Waypoints From GPX Files

In addition to downloading them direct from a Garmin GPS, you can now import waypoints from a GPX file when geocoding photos.

Manually Specify the UTC Bias

When equating the UTC times in a GPS tracklog to the local times in the photos, the program determines the time bias by looking at your computer's time zone information. Now, optionally, you can specify the time bias and bypass this whole process.

Numerous Configuration Options

There are numerous other configuration options , but, more importantly, new ones can be quickly added. This will allow "on-demand" implementation of customer-specific requests.

Multi-Select File Open Dialogs

In addition to selecting specific images or all of the images in a folder, you can now select/deselect multiple images .

Use Disk Dates

For webcams that don't support EXIF, the program can optionally use the file's disk date as the timestamp.

Geocode From Closest Trackpoint

For photos that fall outside or between tracklog segments, the program can now, optionally, use the closest trackpoint as the geocoded location.

A Few Bug Fixes

The program now properly encodes multi-byte characters when exporting to Google Earth. You can also include ampersands and less-than characters in the photo titles.

RoboGEO v3.4

Export AutoCAD DXF Files

Create DXF files for AutoCAD or any vector drawing program that supports the AutoCAD 2000 DXF format.

The DXF files contain clickable entities at each photo location that, when ctrl-clicked, display the associated photo. Each entity can be automatically labeled with single line text that's obtained from the image's EXIF title or IPTC headline fields. You can even include the GPS tracklog as a lightweight polyline on the drawing.

RoboGEO v3.3

Export ESRI Shapefiles

Added the ability to export ESRI point and line shapefiles . The point shapefiles reference the geocoded photos and the line shapefiles represent the GPS tracklog.

Since there's no requirement to first load and geocode images, you can use this feature to quickly convert GPS tracklogs to shapefiles - just download (or import) the tracklog and then export it.

RoboGEO v3.2

Adobe DNG Image Format

Added support for Adobe's DNG (Digital NeGative) image format. You can write (lossless) location data direct to the EXIF headers while preserving the original DNG format.

MN DNR Garmin Tracklog Files

You can now import MN DNR Garmin tracklog files. MN DNR Garmin, provided by the Minnesota Department of Natural Resources, is a free GPS extension for ArcView.

RoboGEO v3.1

Flickr Support

RoboGEO now integrates with Flickr and automates the process of geotagging and uploading photos. You can also make use of the new Flickr2Map service and include "Map It" links like are used in this sample .

RoboGEO v3.0

Lossless EXIF

All writing to the EXIF headers is now lossless. Image data is no longer recompressed when EXIF data is written, meaning there's no loss whatsoever in the image quality.

Support for EXIF Version 0221

The latest EXIF specification is now supported and all fields are preserved during read/write operations.

IPTC Support

You can now read and write IPTC data. It's also lossless. Export to Google Earth or Google Maps and automatically use the IPTC data (or the EXIF data) for the image titles and descriptions.

Redesigned User Interface

The user interface has been totally redesigned. RoboGEO's appearance is now on par with its functionality.

Automatically Merge EXIF and IPTC Field Values

Just like you can mail merge custom data into a word processor file, you can now merge any EXIF or IPTC field into the image titles and descriptions. There are 179 fields to choose from.

For example, an image description of "My camera is a [Model] and this photo was taken with a shutter speed of [ShutterSpeed]th of a second" would output as "My camera is a Canon PowerShot A75 and this photo was taken with a shutter speed of 1/250th of a second".

Create Google Maps From Only a Tracklog

Like the Google Earth support, you can now create Google Map web pages using only a tracklog, i.e. there's no requirement to also have geocoded images, though you can as before.

Choose the Default Google Map View

You can now choose the default view (street, satellite, or street/satellite hybrid) for Google Map web pages.

On-The-Fly Image Resizing for Google Earth

The "KMZ w/Images" output type now allows you to automatically resize all of the images before storing them in the compressed KMZ file. The original images are not touched.

Choose the Default Google Earth Altitude Mode

You can now choose the default altitude mode (absolute, relative, or clamped to the ground) for the exported KML/KMZ files.

Added an EXIF/IPTC Viewer

The program now includes a fully capable EXIF/IPTC viewer that conforms to the latest specifications.

Added a Georeferencing Troubleshooter

Added a troubleshooter that helps diagnose why some images were not georeferenced from a downloaded or imported tracklog.

Drag and Drop

You can now select images and tracklogs by dragging and dropping them onto the file grid. If your selection contains both images and a tracklog, they'll be automatically georeferenced.

Numerous Minor Features and Interface Enhancements

There are numerous additional features and minor user interface enhancements.

RoboGEO v2.1

Export to Google Earth

Export KML, KMZ, KMZ with embedded images, or KMZ with embedded thumbnails that link to full size images on the web. The latter results is very small KMZ file sizes that are perfectly suited for distribution by e-mail.

Load and Geocode any type of JPG, BMP, or PNG file

Instead of just EXIF format JPGs containing valid timestamps, you can now load any type of JPG, PNG or BMP file.

Numerous Minor Features and Interface Enhancements

There are numerous additional features and user interface enhancements.

RoboGEO v2.0

Create Web Pages using Google Maps

Create Google Map web pages that show the location of your photos. You can even include the GPS tracklog on the maps. Here's a sample that shows the GPS tracklog.

Georeference Photos from GPS Waypoints

You can now geocode images using the waypoints from your GPS . In the field simply create a waypoint each time you take a picture and then let RoboGEO equate the two.

Garmin USB Support

The program now supports Garmin's USB interface. Whenever the program needs to communicate with a GPS, it first looks for a USB device and uses it if found. If one isn't found, it'll scan all of the computer's COM ports and look for an older Garmin model.

Import GPX Files

In addition to importing RoboGEO and G7ToWin tracklog files, you can now import GPX files .

Enhanced Ability to Manually Georeference Images

It's now much easier to manually georeference images. Simply find a photo's location using the LatLonFinder , copy the displayed coordinates to the Windows clipboard, then paste them into RoboGEO's prompt .

Internationally Aware

The program now respects and works with any system, regardless of the Windows Regional Settings.

Read and Process Previously Georeferenced Images

If your images already have valid location data in the EXIF fields, the program will read those and use them when processing.

Export to Microsoft MapPoint or Streets and Trips

Export the georeferenced photos to Microsoft's MapPoint or Street and Trips. In MapPoint you can click on the resulting icons and view the photos.

Specify a Time Offset when Georeferencing Images

If it's not possible for you to exactly sync your camera and GPS time, you can now specify an offset .

Auto Select Font Size when Stamping Images

When stamping images, the font size is automatically selected so that it's in proportion to the image size.

Optionally Stamp UTM Coordinates on Images

Instead of latitude and longitude values, you can now optionally stamp UTM coordinates onto the images.

Select from Over 100 Datums

There are over 100 predefined datums for you to choose from.

Export Georeferencing Information

You can now export the georeferencing information to a plain text file for whatever use you require. Just select the grid rows you want to export and then press CTRL-C to copy it it to the clipboard in CSV format.

Numerous Minor Features and Interface Enhancements

There are numerous additional features and user interface enhancements.

RoboGEO v1.0

Initial Release


System Requirements

RoboGEO - System Requirements

Installation Program

Windows 7/Vista/XP/2000 or Windows NT/ME with the Windows Installer installed.

RoboGEO Application

Any relatively modern computer running Windows NT/ME/XP/2000/Vista/7. RoboGEO is not guaranteed to run properly under Windows 95, Windows 98, Windows emulators, or other non-Windows operating systems.

Digital Camera

A camera that produces EXIF format images (all modern cameras do).

A digital camera is not required if you'll be manually entering the location data.

GPS

RoboGEO directly supports both COM and USB based Garmin GPS units when downloading tracklog or waypoint data. A 3rd party utility that can export GPX files (like G7ToWin ) is required if you're using any other GPS brand.

You can use any NMEA 0183 compatible GPS device (COM only) to log NMEA data .

A GPS unit is not required if you'll be manually entering the location data or using the Google Earth Geocoder .

The Garmin GPS 60 model is a good low-cost choice.

Digital Voice Recorder

The dictation files must be saved individually and with disk dates that reflect when the dictation was recorded. All modern USB-based digital voice recorders that behave like pen drives will work.

The output format must be either MP1, MP2, MP3, WAV, OGG Vorbis, WMA, WMV or ASF format. If your system cannot play WMA, WMV or ASF files, it's because you don't have the Microsoft Windows Media Format Modules installed. Click here to install them.

The Olympus WS-310M model is a good medium-priced choice. You don't need a digital voice recorder if you're recording the dictation (or other audio) using other means and manually associating the audio with the images.

If your digital voice recorder saves audio in an unsupported format like some Sony models do, you can still use it - just the set the AudioAllowUnsupportedFileTypes preference setting to True.


License Agreement

RoboGEO - License Agreement

License Types

1. SINGLE USER LICENSE. This license is for a single individual. It allows the application to be installed on a maximum of 3 different computers provided that the individual who purchases the license owns each computer and provided that there would be no concurrent use of the application. For example, the purchaser may install the application on a desktop computer at work, a personal computer at home, and on a laptop.

2. 10-USER LICENSE. This license is for an organization. It allows the application to be installed on a maximum of 10 computers at a single specific physical location where it may be used by any number of people. For example, a company who needs to install the application on 20 workstations will need two 10-User Licenses.

Guarantee

RoboGEO includes a 30 day money back guarantee, which is listed in its entirety below.

1. RoboGEO performs as represented in the documentation.

2. RoboGEO and the documentation are without major defect.

3. We will give prompt and accurate technical support.

If we breach any of these three guarantees, you're entitled to a refund equal to your original purchase price.

Permitted Use

1. Use the software and its documentation per the type of License purchased.

2. Make a single archival copy of the software for backup purposes.

Prohibited Use

1. Make copies of the software, except for archival purposes.

2. Transfer the software, documentation or unlock codes to any 3rd party.

3. Create or redistribute unlock codes.

4. Alter or reverse engineer the software.

5. Remove or obscure any Copyright or Trademark notices.

Other Rights and Obligations

This License Agreement gives you certain limited rights to use the software. You do not become an owner of the software and Pretek, Inc. retains title to all the software, documentation and unlock codes. In addition, you agree to use reasonable efforts to protect the software, documentation and unlock codes from unauthorized use, reproduction, or redistribution. All rights not specifically granted in this License Agreement are reserved by Pretek Inc.

Term

This License Agreement is effective from the day you first use the software and remains in effect until this License Agreement is terminated.

Remedies

If you breach this License Agreement, Pretek, Inc. may terminate this License Agreement by notifying you in writing. You may be required to return all software, software copies and related materials to Pretek, Inc. Pretek, Inc. may also exercise its other legal rights.

General

This License Agreement represents the entire agreement between you and Pretek, Inc. regarding the software, documentation and unlock codes. This License Agreement supersedes all prior agreements. This License Agreement may be modified by Pretek, Inc. If any provision of this License Agreement is unlawful, void, or for any reason unenforceable, it shall be deemed severable from and shall in no way affect the validity or enforceability of the remaining provisions of this License Agreement. This License Agreement shall be governed by Tennessee law, USA law and all recognized international treaties or conventions. You acknowledge that you have read and that you fully understand every provision of this License Agreement.

Limited Warranty

EXCEPT FOR THE GUARANTEE, ROBOGEO IS PROVIDED AS-IS WITHOUT WARRANTY OF ANY KIND. THE ENTIRE RISK AS TO THE RESULTS AND PERFORMANCE OF THE SOFTWARE IS ASSUMED BY YOU. PRETEK, INC. DOES NOT WARRANT, GUARANTEE, OR MAKE ANY REPRESENTATIONS REGARDING THE USE OF, RESULTS OF, MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE OF THE PRODUCT. SHOULD THE PRODUCT PROVE DEFECTIVE, YOU (AND NOT PRETEK, INC.) ASSUME THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION. FURTHER, EXCEPT FOR THE GUARANTEE, PRETEK, INC. DOES NOT WARRANT, GUARANTEE, OR MAKE ANY REPRESENTATIONS REGARDING THE USE OF, OR THE RESULTS OF THE USE OF THE PRODUCT IN TERMS OF CORRECTNESS, ACCURACY, RELIABILITY, CURRENTNESS, OR OTHERWISE; AND YOU RELY ON THE PRODUCT AND RESULTS SOLELY AT YOUR OWN RISK. PRETEK, INC. WILL NOT BE LIABLE FOR ANY DAMAGES, INCLUDING BUT NOT LIMITED TO SYSTEM DAMAGE, SERVICE, REPAIR, CORRECTION, LOSS OF PROFIT, LOST SAVINGS, OR ANY OTHER INCIDENTAL, CONSEQUENTIAL, OR SPECIAL DAMAGES OF ANY NATURE WHATSOEVER RESULTING FROM THE USE OR INABILITY TO USE THIS PRODUCT.

Contact Information

If you have questions about this License Agreement, contact:

Pretek, Inc.

1746 N Lovvorn Rd

Christiana, TN 37037 USA


Legal Information

RoboGEO - Legal Information

The RoboGEO installation program (rgeo.msi, et. al.), main executable (robogeo.exe), all unlock codes and all content associated with the robogeo.com web site were created entirely by and are:

Copyright © 2003-2011 Pretek, Inc.

All Rights Reserved

RoboGEO is a Trademark of Pretek, Inc.

Pretek, Inc.

1746 N Lovvorn Rd

Christiana, TN 37037 USA

Portions © 1987-1998 Microsoft Corp.

Portions Copyright (c) 1996, 1997, devSoft Inc. - All Rights Reserved.

Portions Copyright © 2003-2005 Polybytes®, Inc. All Rights Reserved

Portions Copyright © 2001 Waymex IT Ltd

Portions Copyright (c) 2004 BigSpeedSoft

Portions © 1999-2003 Teebo Software Solutions. All rights reserved.

Portions (c) 10Tec Company 2000-2003

Portions © Copyright MultiMedia Soft 2000-2004. ALL RIGHTS RESERVED

Portions Copyright 2000-2011 Chilkat Software, Inc. All rights reserved.

Portions Copyright (c) 2001-2010 Effective Objects

Portions provided by Ross Pickard

Portions provided by Russell Jurgensen

Portions provided by 1stLt John Rossiter , USMC

Windows, Windows 95, Windows 98, Windows NT, Windows ME, Windows XP, Windows 2000, Windows Vista, and Windows 7 are either Trademarks or registered Trademarks of the Microsoft Corporation.

Google Maps is a registered Trademark of Google Inc.

The use of Google Maps is subject to the Google Maps API Terms of Use .

Google Earth is a registered Trademark of Google Inc.

Flickr is a registered Trademark of Yahoo! Inc.

Use of the Flickr service is subject to the Flickr.com Terms of Use .

ESRI is a Registered Trademark of Environmental Systems Research Institute, Inc.

ArcView is a Registered Trademark of Environmental Systems Research Institute, Inc.

AutoCAD is a Registered Trademark of Autodesk, Inc.

DXF is a Trademark of Autodesk, Inc.

IntelliCAD is a trademark of the IntelliCAD Technology Consortium

MapPoint is a registered Trademark of the Microsoft Corporation.

IMAPS and AeroPlanner.com and each of their logos are trademarks of AeroPlanner.com, Inc. All rights reserved.

TopoZone is a trademark of Maps a la carte, Inc.

TerraServer is a registered trademark of Aerial Images, Inc.

Garmin is a registered trademark of Garmin Corporation.

Adobe and Adobe DNG Converter are either registered trademarks or trademarks of Adobe Systems Incorporated in the United States and/or in other countries.

TrueType is a registered trademark of Apple Computer, Inc.

NMEA is a registered trademark of The National Marine Electronics Association, Inc.

Sony is a registered trademarks of Sony Corp.

Memory-Map is a trademark of Memory-Map Inc.

GeoNames was founded by Marc Wick

Magellan and eXplorist are registered trademark of Magellan Navigation, Inc.

Trimble and PathFinder are registered trademarks of Trimble Navigation Limited

GiSTEQ is a Trademark of GiSTEQ CORP.

Forerunner is a trademark of Garmin Ltd. or its subsidiaries.

Other marks, whether acknowledged or not, are the property of their respective owners.


Download Demo

RoboGEO - Download Demo

Before downloading, see the system requirements and the demo limitations . The registered version is not limited in any way. If RoboGEO is currently installed on your system, you should uninstall it before installing the new version. Quick start instructions are HERE .

Download RoboGEO NOW!

History / Fixes

Date: | September 14, 2005
Issue: | Georeferencing images from an imported GPX file would fail if the computer's Regional Settings used dates that were not of the form MM/DD/YYYY.
Fix: | Download and install the latest version from the link above.

Date: | September 15, 2005
Issue: | Georeferencing images will fail or give inaccurate results if Daylight Savings Time changes between the time a tracklog is created and the time RoboGEO is used to georeference the images. For example, DST ends in most parts of the USA this year on October 30, 2005. So, if your tracklog is created on October 29, 2005 and you use RoboGEO to georeference them on October 31, 2005, you'll need to apply the fix below.
Fix: | Set the UtcTimeBias setting to a number of minutes that equals the difference between UTC time and the camera time at the time the photos were taken.

Date: | September 19, 2005
Issue: | If an image list contained images of varying pixel size and if those size differences were significant, stamping location data onto some of the images may fail.
Fix: | Download and install the latest version from the link above.

Date: | September 19, 2005
Issue: | Georeferencing images from waypoints would fail if a waypoint had missing altitude information and if it was downloaded from an altitude-enabled GPS unit.
Fix: | Download and install the latest version from the link above.

Date: | September 21, 2005
Issue: | Adding new images to an existing Google Maps web page would fail if the existing robogeo.xml file did not contain a valid <points></points> section.
Fix: | Download and install the latest version from the link above.

Date: | October 11, 2005
Issue: | The program gives no notice when the import of a GPX file fails because the <trkpt> elements do not have child <time> elements.
Fix: | Time stamps are no longer required in imported GPX files in order to export KML/KMZ files to Google Earth. Download and install the latest version from the link above.

Date: | October 22, 2005
Issue: | Minor issues not affecting functionality. Removed unused namespace references from the generated KML files, changed the photo route placemark name from 'Route' to 'Path', added a non-breaking space in 'Full Size' to avoid potential positioning issues in the Google Earth flyout window, updated the Google Earth processing status label, and changed the About box to show the current revision number.
Fix: | Download and install the latest version from the link above.

Date: | October 27, 2005
Issue: | A recent update to the Google Earth application (GoogleEarth.exe) was causing elements of the image flyout window to be improperly formatted. A bug was also fixed that was causing the Scale/Resize checkbox on the Google Earth interface to be ignored if a maximum pixel dimension was specified. Included numbers in the list of allowable characters for the default KML/KMZ SaveAs file name.
Fix: | Download and install the latest version from the link above.

Date: | November 2, 2005
Issue: | A bug was introduced in the last revision that was causing the program to ignore the maximum image scaling/resizing value when exporting a KML/KMZ file to Google Earth.
Fix: | Download and install the latest version from the link above.

Date: | December 7, 2005
Issue: | The latest version of the Firefox web browser (version 1.5) does not properly render Google Map info windows. This can result in improper alignment of the thumbnail images and the description text breaking unexpectedly and/or flowing outside the bounds of the Google Map info window. This bug does not exist in earlier versions of Firefox or in other brands of web browsers like Internet Explorer.
Fix: | This is worked around in v3.1. Download and install the latest version from the link above.

Date: | December 24, 2005
Issue: | To view an image in an external viewer, the program passes the image path as a command line parameter to the program associated with the given file type. If the associated program is a DLL file (like the Windows Picture and Fax Viewer, shimgvw.dll) or otherwise cannot accept command line parameters, the loading will fail.
Fix: | Download and install the latest version from the link above.

Date: | December 24, 2005
Issue: | When the Google Earth client saves KMZ files with embedded images to the 'My Places' folder, it does not preserve the archive's structure nor does it save the embedded images. This results in missing images in the Google Earth fly-out windows after a KMZ file is saved. These will appear as gray boxes.
Fix: | This issue will be addressed as soon as it's resolved by Google. Until then, don't use the Google Earth client to save KMZ files that contain embedded images.

Date: | February 18, 2006
Issue: | A bug was introduced in v3.0 that was causing the latitude and longitude values to be truncated (instead of rounded) to 2 decimal places when written to the EXIF headers.
Fix: | Download and install the latest version from the link above.

Date: | February 18, 2006
Issue: | The last release of RoboGEO on January 21, 2006 (v3.1) jumped the gun and implemented v2 of the Google Maps API, which wasn't officially released at the time. Google Maps web pages created with RoboGEO v3.1 may continue to function in the future, but there's no assurance of that until Google Maps v2 is officially released.
Fix: | As of v4.0, the program implements the official release of the Google Maps v2 API.

Date: | February 18, 2006
Issue: | The MakerNote EXIF field was being garbled with some brands of Nikon cameras.
Fix: | Download and install the latest version from the link above.

Date: | March 9, 2006
Issue: | A bug was introduced in v3.0 that was causing the setting of the time offset to fail when using the "picture of the GPS" method.
Fix: | Download and install the latest version from the link above.

Date: | March 11, 2006
Issue: | When using previously geocoded images with the demo version, image stamping would sometimes fail without any notification.
Fix: | Download and install the latest version from the link above.

Date: | March 20, 2006
Issue: | The program calculated an incorrect viewport height when there was only one image which would cause AutoCAD to report the DXF file as invalid.
Fix: | Download and install the latest version from the link above or manually edit the DXF file with any ASCII editor and change the invalid line that AutoCAD reports from 0.0 to a size that equals twice the donut diameter. If you don't know the donut diameter, use 1.0.

Date: | March 23, 2006
Issue: | Minor update. Added the ability to include single line text for each clickable photo entity in an exported DXF file. Also changed the DXF file's insertion base point to the location of the 1st photo or to the location of the 1st trackpoint if no photos exist. Click here for more info.
Fix: | Download and install the latest version from the link above.
Date: | March 26, 2006
Issue: | Updated the distribution archive to include the latest libraries that address various issues.
Fix: | Download and install the latest version from the link above.

Date: | April 16, 2006
Issue: | There's a bug relating to the UTF-8 encoding when KML files are created on systems with languages that use multi-byte characters and when those characters are used in the photo titles or descriptions. Google Earth will fail with an error when it tries to load such a file.
Fix: | Download and install the latest version from the link above.
Date: | April 20, 2006
Issue: | The loading of KML files will fail if ampersands (&) or less than symbols (<) exist in the photo titles.
Fix: | Download and install the latest version from the link above.

Date: | May 1, 2006
Issue: | Manually geocoding an image with semi-colon delimited latitude/longitude/altitude values will fail if the decimal character in the delimited values differs from the decimal character per the computer's Regional Settings.
Fix: | Download and install the latest version from the link above.

Date: | May 10, 2006
Issue: | The Google Maps map center is not calculated if there's no tracklog data or if there is but it's not included in the output. This bug will cause the web browser to report a JavaScript error with the generated map.htm file.
Fix: | Download and install the latest version from the link above.

Date: | May 18, 2006
Issue: | If you export only a tracklog to Google Maps and if the trackpoints in it contain missing or invalid timestamps, the Google Map polylines are not created and the map center isn't calculated.
Fix: | Download and install the latest version from the link above.

Date: | May 18, 2006
Issue: | If the "search" or "replace" attribute values in GoogleMapSearchReplace.xml or GoogleEarthSearchReplace.xml contain quotes, the search/replace operation will fail.
Fix: | For the "search" attribute value, use a string that doesn't contain a quote symbol. For the "replace" attribute value, use an apostrophe if possible.

Date: | May 18, 2006
Issue: | Minor change. When stamping images and if altitude data exists, "MSL" is added after the altitude's value.
Fix: | Download and install the latest version from the link above.

Date: | May 18, 2006
Issue: | Minor change. Some of the generated Google Maps JavaScript was non-functional, so it was removed.
Fix: | Download and install the latest version from the link above.

Date: | June 5, 2006
Issue: | When closing an open project file that has been edited, the program will display a prompt asking if you want to save the changes. If you do, the temporary file is saved instead of the original file.
Fix: | Download and install the latest version from the link above.

Date: | June 16, 2006
Issue: | Adobe XMP metadata is not preserved when writing EXIF or IPTC data.
Fix: | Download and install the latest version from the link above.

Date: | June 16, 2006
Issue: | In some situations latitude and longitude values are truncated (instead of rounded) to 2 decimal places when written to the EXIF.
Fix: | Download and install the latest version from the link above.

Date: | June 16, 2006
Issue: | When geocoding from a tracklog and multiple images taken at different locations fall between the same trackpoints, the images will be geocoded to the same location.
Fix: | Download and install the latest version from the link above.

Date: | June 20, 2006
Issue: | When image titles are created or edited on the Google Earth, Google Maps, or Flickr forms, the new titles are not being updated on the main grid. This is strictly a visual issue and does not affect the underlying functionality.
Fix: | Download and install the latest version from the link above.

Date: | June 24, 2006
Issue: | In the demo version, EXIF data was not being written and images were not being stamped when the associated location data was loaded from a project file.
Fix: | Download and install the latest version from the link above.

Date: | June 24, 2006
Issue: | Minor change. Added the ability to write an EXIF photographer copyright notice when other data is written to the EXIF headers.
Fix: | Download and install the latest version from the link above.

Date: | July 15, 2006
Issue: | If you merge EXIF or IPTC information into the image titles and then export a Google Map that uses quicklinks, the items in the quicklinks drop-down list are not merged.
Fix: | Download and install the latest version from the link above.

Date: | July 16, 2006
Issue: | When exporting a shapefile, missing attribute information is written to the DBF file as either -99999, 0, an empty string, or 12:00 PM (depending on the data type) instead of nothing being written.
Fix: | Download and install the latest version from the link above.

Date: | July 19, 2006
Issue: | When setting the camera offset using the "picture of the GPS" method, if the program that's associated with the file type can't accept command line parameters (like Microsoft's Windows Picture and Fax Viewer), the loading of the image will fail.
Fix: | Download and install the latest version from the link above.

Date: | July 30, 2006
Issue: | Exported GPX files that contained either waypoints or routes did not fully comply with the GPX specification, so they would fail when loaded in some 3rd party applications (like Garmin MapSource) that force full compliance.
Fix: | Download and install the latest version from the link above.

Date: | August 5, 2006
Issue: | When loading images with existing EXIF descriptions, the descriptions are not displayed in the main grid until you select an export feature and cycle through the images.
Fix: | Download and install the latest version from the link above.

Date: | August 30, 2006
Issue: | When uploading photos to Flickr, the program doesn't set the permissions that allow others to enter notes, comments, and tags.
Fix: | Download and install the latest version from the link above.

Date: | September 5, 2006
Issue: | If you load a project file that was created on a Windows computer that was using Greek Regional Settings, the loading will fail.
Fix: | This is a bug and is being investigated.

Date: | September 7, 2006
Issue: | When exporting Google Maps with images that contain directional information and if the GmapUseDirectionMarkers preference option is set to False, the directional icons are still referenced in map.xml and map.htm.
Fix: | Download and install the latest version from the link above.

Date: | September 14, 2006
Issue: | You cannot select multiple files with the NMEA file open dialog.
Fix: | Download and install the latest version from the link above.

Date: | September 20, 2006
Issue: | Importing NMEA files will fail if the computer's regional settings uses anything other than a period for the decimal character.
Fix: | Download and install the latest version from the link above.

Date: | September 25, 2006
Issue: | Multi-line image descriptions that were saved and then subsequently loaded from a project file are not properly decoded.
Fix: | Download and install the latest version from the link above.

Date: | September 25, 2006
Issue: | On computers using Chinese, Thai or Japanese character sets, previously entered Flickr account information is not read properly.
Fix: | Download and install the latest version from the link above.

Date: | September 25, 2006
Issue: | On computers using Chinese, Thai or Japanese character sets, project files are not read properly.
Fix: | Download and install the latest version from the link above.

Date: | September 27, 2006
Issue: | Minor revision. Added the GeGeocoderIncludeDirection preference option.
Fix: | Download and install the latest version from the link above.

Date: | September 28, 2006
Issue: | If the Google Earth view is tilted, you may get inaccurate results when using the Google Earth geocoder.
Fix: | Do not tilt the view when geocoding images using Google Earth.

Date: | October 3, 2006
Issue: | Canon Sidecar files (THM) are unnecessarily converted to JPG format when data is written to the EXIF or IPTC fields.
Fix: | Download and install the latest version from the link above.

Date: | October 12, 2006
Issue: | When cycling through previously geocoded images using the Google Earth geocoder, the range would progressively increase.
Fix: | Download and install the latest version from the link above.

Date: | November 2, 2006
Issue: | The program does not properly read the latitude and longitude attribute values in imported GPX files if the longitude is the 1st attribute.
Fix: | Download and install the latest version from the link above.

Date: | November 2, 2006
Issue: | The FindExecutable API function in Windows 2000 and possible other versions of Windows has a bug that may prevent it from returning the correct path to Google Earth when loading the Google Earth geocoder. This will occur when the path to Google Earth contains a space (like "Program Files").
Fix: | Download and install the latest version from the link above, then manually specify the path to Google Earth using the new GeGeocoderGePath preference setting.

Date: | December 20, 2006
Issue: | The Google Earth Geocoder did not function properly with Google Earth v4.0.2416 and higher.
Fix: | Download and install the latest version from the link above.

Date: | December 21, 2006
Issue: | On some systems the program would not load. At startup and after the splash screen displays, the program would unexpectedly end. This was being caused by an improperly installed DLL file.
Fix: | Download and install the latest version from the link above.

Date: | January 17, 2007
Issue: | When importing a NMEA sentence file, if a fix time in an RMC sentence includes a decimal component, the time will be inaccurate by up to a minute. This can cause photos to be geocoded to the wrong location. Most GPS units write fix times as whole numbers, so this won't be an issue for most users.
Fix: | Download and install the latest version from the link above.

Date: | January 17, 2007
Issue: | Minor revision. Added the ExifMaxGpsCompatibility preference option. When True, latitude and longitude values are written to the EXIF with an accuracy of 2 decimal places on the minutes. This ensures compatibility with almost all 3rd party EXIF reader programs. When False (the default), latitude and longitude values are written to the EXIF with exact precision.
Fix: | Download and install the latest version from the link above.

Date: | January 26, 2007
Issue: | If a trackpoint in an imported GPX file has an altitude that's equal to exactly zero and if that trackpoint is used for geocoding a photo, the calculated altitude will be incorrect.
Fix: | Download and install the latest version from the link above.

Date: | February 15, 2007
Issue: | If UtcTimeBias is set to -1 (the default) and if you live in the USA and if you haven't upgraded your O/S and if you try to geocode photos between the time when DST used to change and when it changes now, the geocoding will fail. The U.S. Energy Policy Act of 2005, passed by the U.S. Congress July, 2005, extended Daylight Saving Time (DST) in the U.S. and this change will not be known by your O/S until you patch it.
Fix: | Set the UtcTimeBias preference setting to the actual difference between local time and UTC time or update your Windows O/S .

Date: | February 22, 2007
Issue: | If you write altitude values that are below sea level to the EXIF, the EXIF altitude reference field isn't properly updated.
Fix: | Download and install the latest version from the link above.

Date: | February 27, 2007
Issue: | UNC paths are not supported in imported project files.
Fix: | Download and install the latest version from the link above.

Date: | March 4, 2007
Issue: | Minor revision. Added the PreserveImageDiskDates preference option.
Fix: | Download and install the latest version from the link above.

Date: | March 20, 2007
Issue: | Minor revision. For added compliance with Windows Vista, the program no longer writes to or defaults to writing to system-wide areas or the O/S such as Program Files, HKLM, etc.
Fix: | Download and install the latest version from the link above.

Date: | March 27, 2007
Issue: | If you import a Jelbert Geotagger file that include directional deviation and/or variance values and if applying those values to the photos would cause the directions to be greater than 360 or less than 0, the program was not correcting the directions so that they would fall between 0 and 360.
Fix: | Download and install the latest version from the link above.

Date: | April 18, 2007
Issue: | Minor revision. Added the ShapefileWriteFullPath preference option.
Fix: | Download and install the latest version from the link above.

Date: | May 7, 2007
Issue: | If you're exporting a large number of images (several hundred) to Google Maps or if you're using a slow computer, the program may appear to hang when processing the images.
Fix: | The program is not hung and is working as it should. Be patient. The Google Maps export screen is missing a status indicator.

Date: | May 28, 2007
Issue: | Minor revision. Added the GpxMemoryMapCompatible , GpxMemoryMapIcon , and GpxMemoryMapCategory preference options. When specified and when when exporting GPX files that contain photos, the resulting output is suitable for import into Memory-Map.
Fix: | Download and install the latest version from the link above.

Date: | May 29, 2007
Issue: | Minor revision. Set the default value of GpxMemoryMapIcon to 'Dot'.
Fix: | Download and install the latest version from the link above.

Date: | May 29, 2007
Issue: | Google Earth version 4.1.7087.5048 has a bug that causes the crosshair in the geocoder to unexpectedly resize the first time the network link is refreshed. This resizing causes the crosshair to take on an odd shape and to be improperly positioned over the map.
Fix: | Download and install the latest version of Google Earth or use Google Earth v4.0 or earlier.

Date: | June 8, 2007
Issue: | Altitude values are not read from imported GPX files if the local computer uses "French (France)" regional settings.
Fix: | Download and install the latest version from the link above.

Date: | July 1, 2007
Issue: | Minor revision. Added the GpxMemoryMapTrkCategory , GpxMemoryMapTrkName , and GpxMemoryMapTrkPrompt preference options. When specified and when when exporting GPX files that contain tracklogs, the resulting output is suitable for importing into Memory-Map.
Fix: | Download and install the latest version from the link above.

Date: | September 2, 2007
Issue: | Minor revision. Added the MaxTracklogTimeDifference preference option.
Fix: | Download and install the latest version from the link above.

Date: | September 5, 2007
Issue: | The program fails to read or write Canon CRW EXIF data.
Fix: | Until this issue is resolved, CRW files are not supported.

Date: | September 8, 2007
Issue: | In some cases the program was incorrectly reading longitude values from imported NMEA files.
Fix: | Download and install the latest version from the link above.

Date: | September 8, 2007
Issue: | Minor revision. The program now recognizes files with a .nma extension as being NMEA.
Fix: | Download and install the latest version from the link above.

Date: | September 8, 2007
Issue: | The last minor revision introduced a bug that would cause the import of NMEA files to fail if the computer's regional settings used anything other than a period for the decimal separator.
Fix: | Download and install the latest version from the link above.

Date: | September 14, 2007
Issue: | A bug was introduced in the last minor revision that would cause western longitude values to be incorrectly extracted from imported NMEA files.
Fix: | Download and install the latest version from the link above.

Date: | September 15, 2007
Issue: | Minor revision. Added the Google Earth GeWaypointsOpen , GeTracklogPathVisible , GePhotoRoutePathVisible , GeBoundingBoxVisible , GeTrackPointsVisible , and GeKeyPointsVisible preference settings. Also updated the Preferences UI and enhanced the folder picker dialog.
Fix: | Download and install the latest version from the link above.

Date: | September 19, 2007
Issue: | Minor revision. When removing all currently loaded images, the program now prompts you whether to also unload any associated tracklog data.
Fix: | Download and install the latest version from the link above.

Date: | September 20, 2007
Issue: | Minor revision. Files with a .gps extension are now recognized as valid NMEA sentence files.
Fix: | Download and install the latest version from the link above.

Date: | September 26, 2007
Issue: | When writing to Olympus ORF files, the existing EXIF data may be corrupted.
Fix: | Until this issue is resolved, ORF files are not supported.

Date: | October 6, 2007
Issue: | On some systems the program would fail or freeze the computer when geocoding a large number of large RAW files.
Fix: | Download and install the latest version from the link above.

Date: | October 6, 2007
Issue: | A recent URL change was causing Flickr uploads to fail.
Fix: | Download and install the latest version from the link above.

Date: | October 25, 2007
Issue: | If you set SkipPreviouslyGeocodedPhotos to true and if you load a set of previously geocoded photos and then try to load a tracklog that would otherwise be unable to geocode the photos, the program will report that the geocoding failed and will change the color of the file paths to red.
Fix: | Download and install the latest version from the link above.

Date: | October 29, 2007
Issue: | If the location of your "My Documents" folder is a drive's root folder (like D:\) and if you try to export photos to Google Earth, nothing will happen when you click the 'Create KML File' button.
Fix: | Download and install the latest version from the link above.

Date: | November 5, 2007
Issue: | The GeGeocoderRange preference setting was being ignored by the Google Earth geocoder when images already had latitude and longitude information associated with them. So, if you cycled through the images, the Google Earth view would go all the way to the ground instead of stopping at the specified range.
Fix: | Download and install the latest version from the link above.

Date: | December 26, 2007
Issue: | If an image's latitude or longitude is between -1 and +1, Flickr's flickr.photos.geo.setLocation method interprets those values as 0 if they don't include a leading zero. This will cause the location to be incorrect when viewed in Yahoo Maps.
Fix: | Download and install the latest version from the link above.

Date: | December 31, 2007
Issue: | To work around an issue with how Google Maps handled text inside of info windows, you had to manually insert carriage returns in the image descriptions to control the line lengths. If you didn't, the descriptions would not flow nicely around the thumbnail images. When Google resolved their issue, RoboGEO's work-around morphed into a bug. That has now been fixed, i.e. when entering image descriptions forget about having to enter carriage returns and just let the text flow within the input box. Only enter carriage returns if you want to create new paragraphs.
Fix: | Download and install the latest version from the link above.

Date: | January 5, 2008
Issue: | Minor update. Added the ability to import .LOG files from Magellan eXplorist GPS units.
Fix: | Download and install the latest version from the link above.

Date: | January 8, 2008
Issue: | Minor update. The main grid is now part of a tabbed interface that allows you to view both the images and the currently loaded tracklog.
Fix: | Download and install the latest version from the link above.

Date: | January 19, 2008
Issue: | Minor update. Added the StampOmitDatum and StampOmitUtcOffset options.
Fix: | Download and install the latest version from the link above.

Date: | January 21, 2008
Issue: | The timestamps in OziExplorer PLT were not being read properly if the computer's regional settings used anything other than a period for the decimal separator.
Fix: | Download and install the latest version from the link above.

Date: | February 7, 2008
Issue: | Minor update. Added the ShapefileLinesFileSuffix and ShapefilePointsFileSuffix options.
Fix: | Download and install the latest version from the link above.

Date: | February 11, 2008
Issue: | Minor update. Imported NMEA files can now have any file extension.
Fix: | Download and install the latest version from the link above.

Date: | February 19, 2008
Issue: | Minor update. Added the StampOmitTime and StampOmitAltitude options.
Fix: | Download and install the latest version from the link above.

Date: | March 13, 2008
Issue: | Under some circumstances the /z command line switch will fail to end the program as it should.
Fix: | Download and install the latest version from the link above.

Date: | March 17, 2008
Issue: | Minor upgrade. Added the ability to enter relative altitudes .
Fix: | Download and install the latest version from the link above.

Date: | March 17, 2008
Issue: | Minor upgrade. Added the GmapEnableScrollWheelZoom , GmapAddTrafficOverlay , and LatLonFinderUrlQueryString options.
Fix: | Download and install the latest version from the link above.

Date: | March 24, 2008
Issue: | Minor change. Changed the LatLonFinderUrlQueryString option so that it doesn't apply to images that already have latitude and longitude values with them.
Fix: | Download and install the latest version from the link above.

Date: | April 1, 2008
Issue: | When you enter relative directions using the demo version, the resulting image directions are random.
Fix: | This is partly by-design, partly an unintended consequence of something else, and partly a bug. It does not happen with the registered version.

Date: | June 26, 2008
Issue: | Minor update. Changed and enhanced how the program handles relative directions and the input that it can accept.
Fix: | Download and install the latest version from the link above.

Date: | August 3, 2008
Issue: | Minor update. Added to ability to import GiSTEQ PhotoTrackr tracklog files as standard NMEA files.
Fix: | Download and install the latest version from the link above.

Date: | August 28, 2008
Issue: | When using shapefiles to reverse geocode images , the shapefile attribute names (instead of the values) were being written to the IPTC keywords.
Fix: | Download and install the latest version from the link above.

Date: | August 31, 2008
Issue: | Minor change. Added the GeGeocoderShowStatusInCaption option.
Fix: | Download and install the latest version from the link above.

Date: | September 22, 2008
Issue: | Minor change. Added the ability to stamp logos onto images when stamping location data.
Fix: | Download and install the latest version from the link above.

Date: | October 2, 2008
Issue: | Minor update. Added support for RAF, FujiFilm's RAW format.
Fix: | Download and install the latest version from the link above.

Date: | October 2, 2008
Issue: | The IPTC editor was not writing to some RAW formats.
Fix: | Download and install the latest version from the link above.

Date: | October 3, 2008
Issue: | If you tried to write erroneous data to a RAW file's EXIF, the writing would fail. The program now detects and removes erroneous data before writing.
Fix: | Download and install the latest version from the link above.

Date: | October 9, 2008
Issue: | Minor update. Added several options for setting image titles and descriptions from waypoint names and comments.
Fix: | Download and install the latest version from the link above.

Date: | October 9, 2008
Issue: | Minor update. When writing to the EXIF , added several options for how/where the image titles and description are written.
Fix: | Download and install the latest version from the link above.

Date: | October 16, 2008
Issue: | The program was not correctly reading the EXIF date when both DateTimeDigitized and DateTimeOriginal were missing.
Fix: | Download and install the latest version from the link above.

Date: | January 31, 2009
Issue: | Minor update. Added the StampUseDateAndTotTimeDesignator preference setting.
Fix: | Download and install the latest version from the link above.

Date: | April 9, 2009
Issue: | Minor update. Added the GeRenameKmzImagesUsingLowAscii preference setting.
Fix: | Download and install the latest version from the link above.

Date: | April 10, 2009
Issue: | Minor update. Added the ForceFileNameWithoutExtensionAsImageTitle preference setting.
Fix: | Download and install the latest version from the link above.

Date: | June 16, 2009
Issue: | Minor update. Added the UseExifGpsDestLocations preference setting to provide compatibility with Surveylab's GPS Camera, the ikeGPS.
Fix: | Download and install the latest version from the link above.

Date: | June 17, 2009
Issue: | Minor update. Added the UseExifGpsBearingDirections preference setting.
Fix: | Download and install the latest version from the link above.

Date: | July 2, 2009
Issue: | Update. Added the StampNorthArrowPrompt preference setting. This allows you easily specify and stamp north arrows onto the images.
Fix: | Download and install the latest version from the link above.

Date: | July 3, 2009
Issue: | Minor Update. Added the /defaults command line parameter . This will reset all of the program's configuration items to their default values.
Fix: | Download and install the latest version from the link above.

Date: | July 3, 2009
Issue: | Minor update. Added the StampIptcEditorPrompt preference setting.
Fix: | Download and install the latest version from the link above.

Date: | July 7, 2009
Issue: | Minor update. Added the GridInputLatLonFormat preference setting which allows you to manually enter lat/lon values in either DD, DM, or DMS format.
Fix: | Download and install the latest version from the link above.

Date: | August 30, 2009
Issue: | Minor update. Updated some external libraries to provide enhanced RAW support.
Fix: | Download and install the latest version from the link above.

Date: | August 31, 2009
Issue: | Minor update. Added the StampNorthArrowPercentSize preference setting.
Fix: | Download and install the latest version from the link above.

Date: | February 27, 2010
Issue: | Minor update. Added support for the Solmeta Geotagger Pro and, specifically, support for the $PTNTHPR NMEA sentence (heading, pitch, roll) which is used to determine the photo directions.
Fix: | Download and install the latest version from the link above.

Date: | March 9, 2010
Issue: | If the image file paths were very long when manually geocoding images from waypoints , the paths would not fit in the status label and you would be unable to see the filename. Now the filename alone displays in the status label and the full path displays in the associated tooltip. You can also double click on the label to view the full path.
Fix: | Download and install the latest version from the link above.

Date: | March 9, 2010
Issue: | Minor update. Added the ability to automatically geocode photos from waypoints if the left hand portion of the photo's filename appears in the waypoint's identifier or comment.
Fix: | Download and install the latest version from the link above.

Date: | March 9, 2010
Issue: | Minor update. Added the $filename pattern to the file renaming feature which allows you to use the original filename as part of the new filename.
Fix: | Download and install the latest version from the link above.

Date: | May 4, 2010
Issue: | Minor update. Added the StampUtmLatitudeBandDesignatorType , StampUtmUnitsIsFeet , and StampUtmFeetIsUsaFeet options.
Fix: | Download and install the latest version from the link above.

Date: | May 5, 2010
Issue: | Minor update. Added the StampOmitDirection and StampUseConfiguredDatum options.
Fix: | Download and install the latest version from the link above.

Date: | June 26, 2010
Issue: | Minor update. Added the ability to export projection files (.PRJ) when exporting shapefiles .
Fix: | Download and install the latest version from the link above.

Date: | July 17, 2010
Issue: | Added a local help system (both CHM and PDF format) that can be used locally without having to be connected to the internet.
Fix: | Download and install the latest version from the link above.

Date: | July 17, 2010
Issue: | Minor update. Added the UseOnlineHelp option.
Fix: | Download and install the latest version from the link above.

Date: | July 25, 2010
Issue: | Minor update. The Google Earth Geocoder now displays the image's timestamp in addition to the latitude and longtude values.
Fix: | Download and install the latest version from the link above.

Date: | July 25, 2010
Issue: | Minor update. You can now edit the EXIF titles using the Google Earth Geocoder .
Fix: | Download and install the latest version from the link above.

Date: | July 25, 2010
Issue: | Minor update. Added the GeGeocoderAutoAdvanceAfterTitleEdit and GeGeocoderShowUtcTime options to the Google Earth Geocoder.
Fix: | Download and install the latest version from the link above.

Date: | July 25, 2010
Issue: | The current version of Google Earth has a bug that prevents local images with upper case filename extensions from sometimes displaying in a placemark's flyout window. The program works around that by always writing lower case filenames to the KML files, regardless of the actual filename's case.
Fix: | Download and install the latest version from the link above.

Date: | July 25, 2010
Issue: | Minor update. Added the MainFormForceWidth and MainFormForceHeight options so you can force the main form to be a specific size.
Fix: | Download and install the latest version from the link above.

Date: | October 18, 2010
Issue: | If a KMZ file contains embedded images and if the path to the KMZ file contains one or more spaces, the images won't display in the placemark windows. All you'll see is a blank outline of where the image should be. This is a bug in Google Earth v5.2.1.1588.
Fix: | Wait on Google to fix it or use an earlier version of Google Earth (5.1 or earlier) or don't don't launch KMZ files from paths that contain spaces.

Date: | October 19, 2010
Issue: | Google Earth v5.2.1.1588 did not include the standard icon palette files. That causes all icons to be the default one which is a black and white square.
Fix: | Download and install the latest version from the link above.

Date: | October 26, 2010
Issue: | Minor update. Added the ExifWriteGpsTimeAndDateFields option.
Fix: | Download and install the latest version from the link above.

Date: | October 26, 2010
Issue: | If you imported a tracklog but no photos and then exported a line shapefile, the TIME and UTCTIME attribute values were being improperly truncated.
Fix: | Download and install the latest version from the link above.

Date: | October 26, 2010
Issue: | Minor update. Added additional reporting to the Google Earth Geocoder and Camera Clock interfaces.
Fix: | Download and install the latest version from the link above.

Date: | Decemeber 20, 2010
Issue: | Minor update. Added the GeGeocoderIncludeTracklog option.
Fix: | Download and install the latest version from the link above.

Date: | Decemeber 20, 2010
Issue: | Minor update. Added several options that allow you to specify the size (or specifically, the scale) of the icons and labels when exporting to Google Earth.
Fix: | Download and install the latest version from the link above.

Date: | Decemeber 20, 2010
Issue: | Minor update. Added several enhancements to the user-interface.
Fix: | Download and install the latest version from the link above.

Date: | March 3, 2011
Issue: | Minor update. Removed the IncludeSyncReminderInFirstStep option. The reminder to sync the camera clock is now always treated as Step #1 and it exists in that step by itself.
Fix: | Download and install the latest version from the link above.

Date: | April 16, 2011
Issue: | Very small latitude and longitude values were not being correctly exported to GPX files.
Fix: | Download and install the latest version from the link above.

Date: | April 16, 2011
Issue: | Redating images could fail if you were redating per the EXIF timestamp.
Fix: | Download and install the latest version from the link above.

Date: | May 23, 2011
Issue: | Fixed a bug that would cause very small latitude and/or longitude values to be expressed in scientific notation when copied from the main grid.
Fix: | Download and install the latest version from the link above.

Date: | May 23, 2011
Issue: | Fixed a bug that would cause the incorrect version number in display Windows.
Fix: | Download and install the latest version from the link above.

Date: | May 23, 2011
Issue: | Minor update. Added the ability to specify the tracklog line width, opacity, and color(s) when exporting to Google Earth.
Fix: | Download and install the latest version from the link above.

Date: | June 15, 2011
Issue: | Fixed a bug with PreserveImageDiskDates where file dates were not being preserved when images are auto-rotated when loaded.
Fix: | Download and install the latest version from the link above.

Date: | June 15, 2011
Issue: | Minor update. If a single title cell is selected in the main grid, a copy (ctrl-c) operation will only copy the content of the selected title cell, not the entire grid row. Similarly, paste (ctrl-v) operations will only paste into the selected title cell(s) if only title cell(s) are selected.
Fix: | Download and install the latest version from the link above.

Date: | July 21, 2011
Issue: | Fixed a bug that would cause the program to hang if you tried to load all images from an empty folder.
Fix: | Download and install the latest version from the link above.

Date: | July 21, 2011
Issue: | Minor update. Added the GeIgnoreImageDirections option.
Fix: | Download and install the latest version from the link above.

Date: | August 27, 2011
Issue: | Fixed a bug that could cause audio files to not be saved in project files.
Fix: | Download and install the latest version from the link above.

Date: | August 27, 2011
Issue: | Fixed a bug that could cause the image canvas height to not be increased by the correct amount if the stamped image footer contained 2 lines of text.
Fix: | Download and install the latest version from the link above.

Date: | September 5, 2011
Issue: | Fixed a bug whereas if you saved a configuration file that included an option that specified a local disk path (like StampLogoFilePath ) and then tried to load that configuration file on another computer where the RoboGEO installation path was different (like C:\Program Files\RoboGEO\ v. D:\RoboGEO\), the file associated with the option would not have been found when needed.
Fix: | Download and install the latest version from the link above.

Date: | September 9, 2011
Issue: | If DM or DMS was selected for the GridInputLatLonFormat option, negative fractional values were not being converted correctly.
Fix: | Download and install the latest version from the link above.

Date: | September 12, 2011
Issue: | Location data is not correctly read from RAW files if the computer's regional settings uses a comma for the decimal place character.
Fix: | Download and install the latest version from the link above.

Date: | December 30, 2011
Issue: | There's a bug in Google Earth 6.1.0473 that prevents it from loading images in placemark balloons when the image is specified as an absolute local path.
Fix: | Use an earlier version of Google Earth (such as 6.0.3.2197) or, when exporting, select either the 'KMZ with Images' or 'KMZ for the Web' output format.

Date: | February 25, 2012
Issue: | Adapted to another change in the required format for local file path specifications in KML files for Google Earth.
Fix: | Download and install the latest version from the link above.


Purchase Now

RoboGEO - Purchase Now

Ordering RoboGEO is safe and easy. Your order will be fulfilled by SWREG, Inc., a division of Digital River. The entire process is fully automated and only takes a few minutes.

You can purchase using any major credit card (on-line, fax or phone), PayPal (USA only), check (USA only), invoice, or wire transfer using any major currency.

Registered users receive FREE lifetime upgrades and there's a 30-day money back Guarantee.

We do not use resellers or affiliates - we only sell direct and at the prices listed here.

After purchasing, we'll e-mail you an unlock code that will fully upgrade the demo version to registered.

Note the prices below are in U.S. Dollars. Click the order links see the price in your currency.

Attention USA government entities: You don't need to submit your order using this form. Simply send your purchase order to sales@robogeo.com and we'll immediately issue the unlock code(s) and then invoice you for the balance net 30 days. Our contact info is here . We'll provide any other information that you may need (like our FEIN) upon receipt of your P.O. or upon your prior request.

Step #1 - Place the Order

Select the appropriate license, then click the associated (secure) link.

1. SINGLE USER LICENSE (Download) - $79.95 USD. This license is for a single individual. It allows the application to be installed on a maximum of 3 different computers provided that the individual who purchases the license owns each computer and provided that there would be no concurrent use of the application. For example, the purchaser may install the application on a desktop computer at work, a personal computer at home, and on a laptop.

ORDER THE SINGLE USER LICENSE (Download - $79.95 USD )

2. SINGLE USER LICENSE (Download and CD-ROM) - $89.95 USD. This license is the same as the Single User License download version above, except you'll also receive the product along with the documentation (Windows CHM and PDF formats for local viewing) on CD-ROM.

ORDER THE SINGLE USER LICENSE (Download and CD-ROM - $89.95 USD )

3. 10-USER LICENSE (Download and CD-ROM) - $399.95 USD. This license is for an organization. It allows the application to be installed on a maximum of 10 computers at a single specific physical location where it may be used by any number of people. For example, a company who needs to install the application on 20 workstations will need two 10-User Licenses.

ORDER THE 10-USER LICENSE (Download and CD-ROM - $399.95 USD )

Step #2 - Check Your E-mail

Once your payment has been processed, you'll receive an e-mail containing your unlock code. This usually happens within a minute, but can take longer depending on the time it takes for the message to reach your mailbox and/or if your order requires manual review. Save this e-mail message.

Step #3 - Unlock the Demo

Start RoboGEO, then select the 'Unlock Demo' option from the 'Help' pull down menu. Enter the unlock code found in the e-mail message into the appropriate box. If you need additional help, see the unlock page.

If your license also included a CD-ROM, you'll receive that in a few days. We ship those the next day.

You're done. Thanks for ordering!


Pull Down Menus

RoboGEO - Pull Down Menus

Most of RoboGEO's features can be accessed via the application's pull-down menus. For help on a specific menu option, select either the ' File Pull Down men u', ' Edit Pull Down Menu ', or ' Help Pull Down Menu ' topics.


File Pull Down Menu

RoboGEO - File Pull Down Menu

You can access the 'File' pull-down menu from within the application by either selecting it with your mouse or by pressing Alt-F.


Select Images

RoboGEO - Select Images

The 1st step is to select the images that you want to use. The 2nd step is to geocode them using any of the available methods.

There are 3 ways to select the images that you want to geocode.

1. Select all images in a specific folder.

2. Select one or more image from a specific folder.

3. Dragging and dropping images onto the main grid.

You can select JPG, TIF, BMP, PNG, DNG, NEF, CR2, MRW, ERF, RAF, ORF, PEF, ARW SR2, SRW, RW2, RAW, RWL, and MEF formats. If the image is not an EXIF format (BMP and PNG), you won't be able to geocode it from a GPS tracklog , automatically from a GPX file that contains only waypoints , or from an imported NMEA sentence file . Using any of those methods requires a valid EXIF time stamp which those do not support. You'll have to either manually geocode them or do so from the waypoints in your GPS unit.

When the RotateWhenLoaded preference option is True (the default is False), the orientation of the image is read from the image's EXIF header and, if required, the image is rotated appropriately. The rotation is lossless, permanent, and applied to the original image. The program does not support the rotation of RAW formats such as DNG, NEF, CR2, MRW, ERF, RAF, ORF, PEF, ARW SR2, SRW, RW2, RAW, RWL, and MEF files.

If an image already has a valid time, latitude, longitude, direction, altitude, title or description data in the EXIF headers, that information will be loaded as well. If you want the location data to be obtained from the EXIF GPS destination fields (instead of the normal location fields), set the UseExifGpsDestLocations option to True. If you want the direction data to be obtained from the EXIF GPS bearing field (instead of the normal direction field), set the UseExifGpsBearingDirections option to True.

When exporting to Google Earth , Google Maps , or Shapefiles , you can automatically make use of the image's EXIF and IPTC information.

Some older 3rd party graphic programs don't support the EXIF format, so if you edit your images in those, the EXIF information may be lost. All modern digital cameras create EXIF compliant files.

After an image is loaded, you can perform various operations on it (such as removing it) by double clicking on the filename and then selecting an option from the resulting pop-up menu. You can also multi-select images and perform the same operations via a right-click context menu .

If you've imported or downloaded location data prior to selecting the images and if the images are EXIF format with valid timestamps, they will be automatically geocoded and you'll see the latitude, longitude, altitude, and direction values in the grid. Otherwise, all you'll see in the list is the file name and any existing EXIF data. Not all images will contain all of the information, especially the altitude and direction data.

If you've loaded audio files prior to selecting the images, each image will be associated with the audio file having the closest timestamp. If you want to manually associate the two, you should set the AudioAutoAssociate preference to False before loading either.

Unless you've changed the program option for doing so, your original images will not be affected when processed , i.e. they will first be copied to a folder of your choosing and processed from there.

RAW files (DNG, NEF, CR2, MRW, ERF, RAF, ORF, PEF, ARW SR2, SRW, RW2, RAW, RWL, and MEF) are not supported in Google Earth, Google Maps, or Flickr. If your image list contains any of those, you'll need to convert them to a compatible format (like JPG) before proceeding.

The program does not support the writing of raster data to RAW files, so before stamping , they must be converted to JPG format.

The program fully supports writing EXIF data to all EXIF capable images, including RAW files. Writing to the EXIF is lossless.

If your camera's RAW format isn't supported, you can convert them to DNG using the free Adobe DNG Converter .

You can automate the selection of images by specifying the appropriate command line parameter.

Throughout the program, if you double click on a thumbnail image it'll load in your normal graphics program. You can customize this behavior by setting various program options .

If you're experimenting with the program, a few sample images are provided in the \SampleImages folder.


Select All Images in a Folder

RoboGEO - Select All Images in a Folder

When you select an entire folder, all JPG, DNG, TIF, PNG, BMP, NEF, CR2, MRW, RAF, and ERF files in that folder will be selected. You can quickly choose an entire folder by pressing F2.

The default image folder is always set to the folder that you last selected and is used when the program is automated .

If you're experimenting with the program, a few sample images are provided in the \SampleImages folder.


Select Specific Images

RoboGEO - Select Specific Images

Select this option to select one or more image to add to the list. To select multiple images, click while holding down the Ctrl key.

If you're experimenting with the program, a few sample images are provided in the \SampleImages folder.


Geocode Images

RoboGEO - Geocode Images

The 2nd step is to geocode the images. The first step is to load the images and the next step (the last) is to export or process them.

There are several ways to geocode images:

1. Download the active tracklog from a Garmin GPS.

2. Import a GPX tracklog file .

3. Import a DNR Garmin tracklog file .

4. Import an OziExplorer Track File .

5. Manually associate with the waypoints in a Garmin GPS.

6. Import a GPX waypoint file .

7. Import a NMEA sentence data file .

8. Manually enter the location information (no GPS required).

9. Use Google Earth .

10.Equate them to the location of known places .

11.Use the IPTC headers to lookup the locations.

Once the images have been geocoded using any of the above methods, you'll see the corresponding latitude and longitude in the list. The altitude data will be included if the input source included it - note that most older GPS units do not record altitude information. If the PhotoDirFromTracklog option is set, the direction information will be included. The photo titles, if they exist, are obtained from the image's EXIF description field.

Note: unlike other areas of the program, you don't have to load and geocode photos before exporting to Google Earth, Google Maps, Shapefiles or DXF files. Simply load a GPS tracklog and then export it.

Your images don't have to geocoded if all you want to do is associate dictation , rename , or redate them.

If the program is unable to geocode some or all of the images, you'll be prompted whether to load the troubleshooter to help you determine why. The 'Image' column of ungeocoded images will be changed to bold red. Any images that were geocoded from the nearest trackpoint will also be red, but with a normal font weight. Once the values are edited, the color will change back to normal.


Geocode Images from a GPS Tracklog

RoboGEO - Geocode Images from a GPS Tracklog

To match the UTC times associated with a GPS tracklog to the local times associated with the photos, the program has to convert UTC time to local time. By default, the program does this by looking at your computer's time zone information and whether daylight savings time is in effect for your location. This process can be problematic in some situations. Optionally, you can specify the UtcTimeBias preference option - this is the preferred method, but it requires that you accurately set it.

You can view the imported tracklog data by selecting the main grid's 'Tracklog' tab. This is handy if you need to diagnose why you got unexpected results when geocoding photos.

You can automatically download or import tracklogs by specifying the appropriate command line parameter.


Download Tracklog from GPS

RoboGEO - Download Tracklog from GPS

Note that newer Garmin models save their tracklogs internally as GPX files and since your computer sees the newer units as connected devices, you can open the GPX files directly without having to actually download them.

If you're using an older Garmin GPS model, you can download the tracklog direct from the unit. You'll need the proper data cable for your specific model.

The program supports older Garmin units having either a serial or a USB interface.

The GPS's interface mode must be set to the Garmin protocol.

When you manually save a tracklog to the internal memory of most Garmin models, the trackpoint timestamps are discarded. This behavior is a relic of the days when memory was very expensive. Without timestamps, the tracklogs are of no use. Don't save your tracklogs in your older Garmin GPS units and expect to use them with the program. Some newer Garmin models save the tracklogs to removable media in GPX format where the trackpoint timestamps are preserved. In that case, the tracklogs can be used by the program if you first enable that feature in the GPS unit. With the GPSmap 60CSx model, for example, this is done from the Tracks screen (Setup->Data Card->Log Track to Data Card).

Not all Garmin models support the transferring of altitude data. Generally speaking, the newer Garmin models (like the Etrex and GPS 60) will while the older models (like the GPS 12) will not. If you can't obtain altitude data from your unit, you can either ignore it or manually enter the altitudes for each image by double clicking on the image and then selecting 'Edit Altitude' from the resulting pop-up menu .

The program automatically detects your GPS by first looking for a USB connected device. If one is found, it's used. Otherwise, it scans all of the COM ports and tries to detect an older Garmin model.

If the program is unable to communicate with the GPS, check the following:

1. The GPS unit is turned on and is physically connected to the computer.

2. Make sure the computer port connection (USB or COM) is functional.

3. You're using a Garmin model GPS and that it's supported.

4. The GPS's transfer mode is set to Garmin's proprietary format (not NMEA).

5. Valid data exists in the GPS unit.

6. The cable connection is secure at both the GPS and at the COM port.

The program makes 3 attempts to detect the GPS and/or download the tracklog, waiting 3 second between each try.


Import Tracklog File

RoboGEO - Import Tracklog File

If you don't own a supported Garmin GPS unit, you can import the tracklog from a disk file or by dragging and dropping one onto the main image grid. You can import any of the formats described below.

You can import up to 1,048,576 trackpoints at a time, but you should normally keep your totals much less than that to avoid the potential of running out of system RAM when the trackpoints are processed.

You can select multiple files when prompted by left-clicking while holding down the Ctrl key.

GPX File

Most GPS utility programs can export tracklogs to this industry standard format. The file extension is GPX and you can import them into RoboGEO. If a camera offset is specified, it's applied when imported.

If you're experimenting with the program, a sample GPX file is provided in the \SampleImages folder.

Shapefiles

To import a shapefile it must have, as a minimum, attribute data for the latitude, longitude, and timestamp. The latitude and longitude must be decimal degrees and the timestamp must be in a format that your computer recognizes as a timestamp, per your computer's regional settings. Alternately, the timestamp can be of an ISO 8601 form similar to yyyy-mm-ddThh:mm:ss.sssZ where the date fields are delimited with dashes and the time fields are delimited with colons. By selecting the appropriate box, the date and time components can be obtained from the same attribute field or from separate ones. If the timestamps are not UTC time, you'll need to specify the associated timezone so that it can be computed.

Garmin TCX Files

This is the tracklog format used by Garmin's newest line of fitness products. This includes the Forerunner 101, 201, 205, 301, 305 and the Edge 205 and 305. Note: when importing, be sure that you import the ones with the tracklog data (the activity history) and not the ones that don't (the directory files).

Google Earth KML and KMZ files

These are Google Earth's native file format. Note that in order to import, the points and/or tracks must have timestamps.

OziExplorer PLT Files

This is the tracklog format exported by OziExplorer. The file extension is PLT and you can import them into RoboGEO. If a camera offset is specified, it's applied when imported.

DNR Garmin Format

DNR Garmin, provided by the Minnesota Department of Natural Resources, is an extension for ArcView that allows you to interface with Garmin GPS units.

To export a tracklog, follow these steps:

1. Connect the Garmin GPS to an available port and turn it on.

2. Start DNR Garmin.

3. Select the GPS port from GPS-->Set Port.

4. Is using a COM port, select the baud rate from GPS-->Set Baud Rate.

5. Set the units to feet from GPS-->Units.

6. Ensure that 'time' is selected from Track-->Track Properties-->Track.

7. Download the tracklog from Track-->Download.

8. Save it as a TXT file from File-->Save to File.

Since a DNR Garmin tracklog file contains no information with respect to the units, you must select 'feet' (not 'meters') in step #5 above.

If, per your computer's regional settings, your locale uses commas (instead of periods) for decimal points and if you select the comma delimited format in step #8, RoboGEO won't be able to parse the file. For consistency purposes, you should always select the 'Text File (Semicolon delimited) (*.txt)' format.

Civil Air Patrol CSV File

RoboGEO can open 2 types of CSV files. If the ImportCsvAsCapCsv preference setting is False (the default) CSV files are treated as Generic CSV Files. If ImportCsvAsCapCsv is True, CSV files are treated as Civil Air Patrol CSV Files, as described here. Note that the /cap command line switch automatically sets ImportCsvAsCapCsv to True.

A CAP CSV file is a comma-delimited format that's compatible with the 'CAP Image Processor' application's 'Template Work Sheet'.

The common workflow is to first fill-in the data using the spreadsheet of your choice (OpenOffice, Excel, etc.) and then to export the data to CSV for importing into RoboGEO.

Each record must contain exactly 10 fields as described below:

Field #1. Image Filename without the path. Case doesn't matter.

Field #2. Target ID.

Field #3. Target Name.

Field #4. City.

Field #5. State.

Field #6. Latitude in either DD MM SS or DD MM.MM or DD.DDDD format.

Field #7. Longitude in either DDD MM SS, DDD MM.MM, or DDD.DDDD. format.

Field #8. Zulu Date in DD-MMM-YY format or any other format that's recognized as a date.

Field #9. Zulu Time in HH:SS format or any other format that's recognized as a time

Field #10.Picture Heading measured clockwise from true north.

Here's an example:

DSCN1009.jpg,1,"Levee","Armuchee","GA","34 15 5","117 30 42",15-MAY-08,13:01,"230"

"DSCN1010.jpg",2,"Dike","Subligna","GA","33 12.2","119 33.3",5/15/8,1:01PM,"123" "DSCN1011.jpg",3,"Bridge","Trion","GA","34.1235","117.61514",5-15-8,1:01AM,230

"DSCN1012.jpg",4,"Road","Gore","GA","33 12.2","119 33.0","May 15, 2008",11:01,"123"

etc...

Your file should normally not contain such a mixture of different formats for the same field. They're shown that way above just for illustration purposes.

Quotes are optional and are only required for fields that contain commas. Blank lines are ignored. Records must be delimited with a common CR/LF combination. Fields must be delimited with a a comma. The filename is how the program matches records to images. The Target ID is not used by the program and is only included for your own purposes and to maintain compatibility with the CAP Image Processor's Template Work Sheet. The Target Name, City, and State are associated with the photo's subject. The latitude can be in any of the 3 forms indicated. The longitude should always be entered as a positive number (the program automatically converts it to a negative, which would be the case for points within the USA) and can be in any of the 3 forms listed. Zulu Date can be in the DD-MMM-YY form (like the 1st record in the example above) or in any other form that's recognized as a date per your computer's regional settings. Likewise, Zulu Time can be in any form that's recognized as a time per your computer's regional settings. The Picture Heading can be either blank or a number between 0 and 360 measured clockwise from true north.

If any record or any field in any record is invalid, you'll be alerted of that and will be required to remedy it. The same thing applies to record(s) that can't be matched up with image(s). If an image does not have a corresponding record, you'll be prompted whether to ignore it.

You must load the images before loading the CAP CSV file via the 'File --> Get Locations --> Tracklog --> Import Tracklog File' pull-down menu. Upon loading, the program will write the Target Name, City, and State to the appropriate IPTC headers and then assigns the associated Latitude, Longitude and Picture Heading to the matching image (if you want to write these values to the EXIF headers, you must explicitly do so, though it's not required). Then, upon stamping, all of the data will appear in the image footer.

Generic CSV File

If you select a file having a CSV extension, a form will load that allows you to specify the parameters that the program needs in order to process it. You may need to use this option if the software that came with your GPS doesn't support a common format like GPX or if you manually created the tracklog in a spreadsheet program.

Each record must include a latitude, a longitude, and a timestamp field. Optionally, a record can also include an altitude and/or a new track flag field. An example CSV file with only 2 records is below along with the information that you would need to specify in order to parse it:

32.52;-97.35;1001;6/25/2008 8:55:11 AM;True

32.53;-97.36;1022;6/25/2008 8:56:13 AM;False

Field Delimiter = {SEMI-COLON}

Field Values Encoded in Quotes = False

Decimal Character = {PERIOD}

Record Delimiter = {CR/LF}

Comments =

Ignore 1st Record = False

Timestamp Format = UTC

New Track Denotes True = True

New Track Denotes False = False

Latitude Field Number = 1

Longitude Field Number = 2

Timestamp Field Number = 4

Altitude Field Number = 3

New Track Field Number =

And here's another example:

"Lat","Lon","Elevation","Time";"Is New Tracklog Segment"

# This is a comment and will be ignored by the parser

"32.52","-97.35","1001";"2008-05-20T07:44:10Z","yep"

"32.53","-97.36","1022";"2008-05-20T07:44:10Z","nope"

Field Delimiter = {COMMA}

Field Values Encoded in Quotes = True

Decimal Character = {PERIOD}

Record Delimiter = {CR/LF}

Comments = #

Ignore 1st Record = True

Timestamp Format = UTC in GPX format

New Track Denotes True = yep

New Track Denotes False = nope

Latitude Field Number = 1

Longitude Field Number = 2

Timestamp Field Number = 4

Altitude Field Number = 3

New Track Field Number = 5

And another:

32,52|-97,35|6/25/2008 3:55:11 AM***32,53|-97,36|6/25/2008 3:56:13 AM

Field Delimiter = {PIPE}

Field Values Encoded in Quotes = False

Decimal Character = {COMMA}

Record Delimiter = ***

Comments =

Ignore 1st Record = False

Timestamp Format = UTC Local Time

New Track Denotes True =

New Track Denotes False =

Latitude Field Number = 1

Longitude Field Number = 2

Timestamp Field Number = 3

Altitude Field Number =

New Track Field Number =

Once you've specified the appropriate parameters, press the 'Import CSV' button to import it.


Geocode Images from GPS Waypoints

RoboGEO - Geocode Images from GPS Waypoints

Geocoding photos from waypoints requires more work on your end, both in the field and at the computer, but it's generally more reliable than using a GPS tracklog since you don't have to worry about the potential issues associated with converting the local times of photos to the UTC times in the tracklog. It's especially reliable if you enter the left-hand portion of the photo filename into the waypoint comment field when the photo is taken. That allows the program to automatically assign the correct waypoint to each photo, as described below.

You can assign waypoint identifiers and comments to image titles and descriptions by setting the appropriate options . These can then be written to the EXIF per the options that you specify.

You won't be able to determine the photo direction by using the PhotoDirFromTracklog option or by entering relative directions . That requires a tracklog. The best strategy for recording the photo directions when using waypoints is to save them into the waypoint comment field and then later manually enter them. If you use a magnetic compass to obtain these directions, be sure to specify the MagneticDeclination value before entering the directions into the main grid.


Manually Assign Waypoint Locations to Images

RoboGEO - Manually Assign Waypoint Locations to Images

This option allows you to manually assign a waypoint's location to each photo. The waypoints can be obtained either by downloading them direct from a Garmin GPS unit or by importing them from a GPX file.

When the 'Select Waypoint' form loads, you'll need to load the waypoints. You can do this either by downloading them from a Garmin GPS, by importing a GPX file, or by importing a shapefile. If you import a shapefile, you'll need to specify the attribute field names that contain the latitude, longitude, timestamp, identifier, and comment. The currently selected images will be on the left and the GPS waypoints, upon loading, will be on the right. For each image, select the corresponding waypoint. To undo a selection, click the 'Cancel' button. To cycle through the images, click the 'Next' and 'Back' buttons. When done, click the 'Done' button.

To use this method you must record a waypoint at each photo location. If the left-hand portion of the corresponding image filename exists in either the waypoint identifier or in the waypoint comment, the program will automatically select that waypoint when the image loads if the image has not been previously geocoded. This allows you to semi-automate the process of assigning waypoints to photos.

In the field, a typical workflow involves:

1. Take the photo. Assume the file name is 'IMG 0014.jpg'

2. Enter anything for the waypoint identifier.

3. Enter 'img 0014' for the waypoint comment.

Since the left-hand portion of the image's filename (img 0014) exists in the waypoint comment field, you'll be able to automatically assign the waypoint to the image without you having to manually select it. Searches are not case sensitive. Note that you can match on the waypoint identifier too and when you do that, there's no need to enter anything for the comment.


Import Waypoint File

RoboGEO - Import Waypoint File

Unlike the method of manually assigning waypoint locations to each photo, this allows you to automate the process.

Each waypoint in the imported GPX file must have a time and that time must be in a <time> child element. Note that some Garmin GPS models write the current time to the comment field when a waypoint is recorded. This time is not used by RoboGEO or by other compliant programs because the Garmin Protocol does not allow it.

Upon importing the GPX waypoint file, each photo is geocoded using the location of the waypoint having a timestamp that's closest to the photo's EXIF timestamp and, unlike imported tracklogs, the program does not perform any type of interpolation to determine the final photo location.

The WaypointImageMaxTimeDifference preference option allows you to specify the maximum time difference between the EXIF and waypoint timestamps.


Geocode Images from NMEA Data

RoboGEO - Geocode Images from NMEA Data

NMEA stands for 'National Marine Electronics Association'. NMEA data is a long-established standard for encoding GPS data and most receivers and data loggers support it.


Log NMEA Data

RoboGEO - Log NMEA Data

Select this option to create a NMEA data file. On the resulting screen, you'll need to specify the COM port and baud rate. Click the 'Start' button to begin logging NMEA data from the GPS receiver. Click the 'Stop' button when you're done.

The GPS's interface must be set to any version of NMEA 0183 with the appropriate baud rate. The connection to the computer must be a serial RS-232. USB connections are not supported.


Import NMEA File

RoboGEO - Import NMEA File

Select this option to import tracklog files created by a Sony GPS-CS1 GPS, a GiSTEQ PhotoTrackr, a Solmeta Geotagger Pro, or any other type of GPS data logger that outputs NMEA sentences. Except for JTR files, the file must be per NMEA 0183. A typical NMEA file looks like:

$GPRMC,080935,A,3512.589,N,08449.304,W,000.0,360.0,230806,004.1,W*79

$GPRMB,A,,,,,,,,,,,,V*71

$GPGGA,080935,3512.589,N,08449.304,W,1,08,2.0,311.4,M,-31.4,M,,*76

$GPGSA,A,3,02,,06,,10,18,21,26,,29,30,,3.2,2.0,3.0*31

$GPGSV,3,1,11,02,29,090,42,05,03,202,00,06,53,297,46,08,00,074,00*7E

$GPGSV,3,2,11,10,53,036,46,18,10,239,34,21,15,294,37,26,42,159,45*7D

$GPGSV,3,3,11,27,00,048,00,29,51,146,46,30,16,237,37,,,,*48

$PGRME,15.0,M,22.5,M,15.0,M*1B

$GPGLL,3512.589,N,08449.304,W,080935,A*38

$PGRMZ,1021,f,3*29

$PGRMM,WGS 84*06

$GPBOD,,T,,M,,*47

$GPRTE,1,1,c,0*07

$GPRMC,080937,A,3512.589,N,08449.304,W,000.0,360.0,230806,004.1,W*7B

$GPRMB,A,,,,,,,,,,,,V*71

$GPGGA,080937,3512.589,N,08449.304,W,1,08,2.0,311.4,M,-31.4,M,,*74

etc...

The latitude, longitude, and time values are obtained from the $GPRMC sentences. For Garmin units only, the altitude and datum values are obtained from the $PGRMZ and $PGRMM sentences, respectively. If $GPGGA sentences exist, the altitude information is obtained from that. Directional information is obtained from the $PTNTHPR sentences (heading, pitch, and roll) when you're using a unit that's capable of recording the camera direction, like the Solmeta Geotagger Pro. Other sentence types are ignored.

The program also supports the private sentences contained in a Magellan eXplorist tracklog file. These files have a .LOG extension and begin with $PMGNTRK. A typical file looks like:

$PMGNTRK,3406.836,N,11752.882,W,00185,M,003445.80,A,,220705*6C

$PMGNTRK,3406.860,N,11752.882,W,00178,M,003506.78,A,,220705*6C

$PMGNTRK,3407.680,N,11752.873,W,00185,M,003825.81,A,,220705*6B

$PMGNTRK,3407.703,N,11752.873,W,00185,M,003834.31,A,,220705*6A

$PMGNTRK,3407.714,N,11752.873,W,00185,M,003839.81,A,,220705*6A

etc...

Imported NMEA files can have any file extension, but .nmea, .nme, .gps, .txt, and .log are the most common.

You can view the imported tracklog data by selecting the main grid's 'Tracklog' tab. This is handy if you need to diagnose why you got unexpected results when geocoding photos.

You can automate the import of a NMEA file by specifying it on the command line .

JTR files use a proprietary format where each line contains a $HCHDG sentence appended to the end of a $GPRMC sentence. Each line corresponds to a specific image. JTR files are created by the Jelbert GeoTagger device .


Geocode Images from Placenames

RoboGEO - Geocode Images from Placenames

This option allows you to lookup the location of various places and then assign those locations to your photos. For example, assume you took a picture at the Subligna Church in Subligna Georgia USA. If you search for 'Subligna' on the lookup form, you'll see that church in the results. Simply double click on it, then select the 'Geocode Current Image' on the resulting pop-up menu to geocode the current image at that location.

Note, by default, the 'Place Lookup' form stays on top of all of the other forms. This allows it to remain visible as you select different images to geocode on RoboGEO's main form - just select the image by highlighting it on the main grid and then double click on a place name to geocode it. You can prevent the Place Lookup form from staying on top by setting the PlaceLookupFormOnTop preference setting to False.

The pop-up menu that appears when you double click on a place name contains additional options including 'View Place Information' (displays all known information about the place), 'Show Place in Google Earth' (launches Google Earth and shows the place's location), 'Show All Places in Google Earth' (launches Google Earth and shows the location of all matching places), and 'Lookup Nearby Places' (to do a new search for all nearby places). The 'Lookup Nearby Places' is especially useful in that it allows you to drill-down into the lookup results, e.g. Florida, then Miami, then Miami Beach, etc.

Set the PlaceLookupMaxResults option to control the number of returned search results. If you have a slow internet connection, you should set this to a low number like 50. Set the PlaceLookupSearchRadius option (expressed in km) when doing proximity searches using 'Lookup Nearby Places'.


Geocode Images from the IPTC Fields

RoboGEO - Geocode Images from the IPTC Fields

If the images already contain IPTC location information (country, province/state, city or sub-location), the program can use that information to geocode them.

You must be connected to the internet to look up the lat/lon values. If there's a problem with your internet connection, a problem with the remote server, or if there's no lat/lon data available for the IPTC information, you'll be alerted and prompted whether to continue.

The speed with which the program can lookup the lat/lon values depends on the speed of the internet connection and the responsiveness of the remote server. As with most program operations, you can cancel it by clicking the red X located on the button bar at the top of the screen. Status information is written to the status bar at the bottom of the screen.

You can lookup all of the currently loaded images or just the ones that you have selected. Note that you can multi-select/deselect images by holding down the Ctrl button while left-clicking.

You can specify which IPTC field(s) to include in the search query. Blank fields are ignored and case doesn't matter. An AND operator is used when searching, i.e. if any of the IPTC fields that you include are not found in the search, the entire search will fail. Note that because of this, misspelled or invalid words in the IPTC location fields can cause the searches to fail. Generally, a good strategy is to begin with the most restrictive searches (by including all of the IPTC fields) and then getting less restrictive for subsequent lookups.

You can search all of the available data (street names, countries, landmarks, etc.) or just place names (cities and similar places). Choose which one depending on how restrictive you want your search to be.

If a valid lat/lon pair is found from a lookup, it's inserted in the main screen's grid and is used for subsequent operations.

You can view an image's IPTC data by double clicking on it and then selecting 'View Meta Data' from the resulting pop-up menu.


Geocode Images using Google Earth

RoboGEO - Geocode Images using Google Earth

This option allows you to geocode images with Google Earth. It's also useful when you need to preview or make small adjustments to the locations of previously geocoded images.

In addition to the geocoding, you can also edit the image titles using this option. Just click the 'Title' button. This is especially handy since Google Earth displays place names and those are usually good choices when picking image titles.

Upon selecting, Google Earth will load and you'll see a crosshair icon located at the map's center. There will also be a small geocoder form that floats on top of the map. To geocode the currently displayed image, position the crosshair to the desired location and then press the 'Geocode' button on the geocoder form. Click the next and previous buttons to cycle through the images. If an image is already geocoded, double click on the file name to recenter Google Earth to that location. Double click on the thumbnail preview to load it into your normal graphics program.

Under Windows 2000, the program may be unable to locate the Google Earth executable. If that happens, you'll need to specify the GeGeocoderGePath preference setting.

The latitude and longitude values that show on the geocoder are rounded so they'll fit on the form, i.e. the rounding is for display purposes only. Internally, the latitude and longitude values are the same precision as they are in Google Earth.

From the main RoboGEO interface, press the F5 key to load Google Earth and the geocoder. From the geocoder, press F5 to unload it. This behavior allows you to quickly switch to and from the geocoder when you're previewing or changing the image locations.

There are several options in the Preferences that relate to the geocoder. Of important note is the option to automatically advance to the next image when one is geocoded, the ability to control the thumbnail size on the geocoder form, and whether you also want to record the photo directions .

If your images contain IPTC location data, you may want to geocode them using that information before doing the final geocoding in Google Earth. If they're geocoded, Google Earth will zoom to a photo's approximate location each time you advance to it, which will save time.

The 1st time you load the geocoder in Google Earth, you may receive a prompt that asks, "Do you want to reload <path>\Geocoder.kml and lose any edits you've made?". Click the "Always (don't ask again)" button and you won't see the prompt again.

Google Earth communicates with RoboGEO using HTTP via a network link to the specified host and port . If your computer is running software (like a virus scanner) that prevents this behavior, the geocoder will not function. You may need to disable the offending software, change the port to a random number between 1024 and 32767, or change the host name to "127.0.0.1", "localhost" or to the actual IP number/domain name of the computer.

When exiting Google Earth and when prompted whether to save the Geocoder.kml file, always select No. This file is created automatically by RoboGEO as it's needed, so there's no need to save it.


Assign Dictation to the Images

RoboGEO - Assign Dictation to the Images

Using any modern digital voice recorder , you can associate audio files with the photos. Simply record the dictation after taking a photo and the program will automatically match it with the correct photo.

You can do this in lieu of taking notes in the field or if you want to include the resulting dictation files in the photo descriptions when exporting to Google Maps or to Google Earth .

Setting the AudioAllowUnsupportedFileTypes preference to True (the default is False) allows you to associate ANY type of file with the photos, not just the audio files described here. These files can be anything, i.e. AutoCAD DWG files, ESRI shapefiles, unsupported audio formats, text files, other photos, etc. The only requirement is that the file exists.

RoboGEO associates audio files with images by comparing the audio file's disk date with the image's EXIF time - the one with the closest date gets associated with the photo. It doesn't matter if the audio file was recorded before or after the photo was taken. You can control the maximum time difference by setting the AudioImageMaxTimeDifference preference.

The digital voice recorder's clock must be accurate. To ensure that, use the same method that's used to set the camera's clock.

Optionally, you can manually associate any set of audio files with any set of images by selecting the Manually Associate option. If you use this feature, you should also set the AudioAutoAssociate preference to False to prevent the program from trying to do an automatic association when they are loaded.

You can select the audio files either before or after selecting the images and there are 3 ways to do that:

1. Select all audio files in a specific folder.

2. Select one or more audio files from a specific folder.

3. Dragging and dropping audio files onto the main grid.

The program supports MP1, MP2, MP3, WAV, OGG Vorbis, WMA, WMV and ASF formats. If the file is a video format like WMV or ASF, only the audio portion is loaded. The playback of WMA files requires the Microsoft Windows Media Format modules to be installed. If that's not the case, you'll be advised. You can install the WMA support files by clicking here .

When an image has audio associated with it, you'll see a small paperclip icon in the lower left corner of the image preview - click it to play the dictation.

If you set the AudioAutoPlay preference to True, the audio files will automatically play whenever the image is selected. In addition to that preference option, there are others as well that relate to the audio functionality.

You can automate the loading of dictation files by specifying the appropriate command line parameter.


Select All Dictation Files in a Folder

RoboGEO - Select All Dictation Files in a Folder

When you select an entire folder, all MP1, MP2, MP3, WAV, OGG Vorbis, WMA, WMV and ASF files in that folder are selected.


Select Specific Dictation Files

RoboGEO - Select Specific Dictation Files

Select this option to select one or more audio files to add to the list. To select multiple files, left-click while holding down the Ctrl key.


Manually Assign Dictation Files to Images

RoboGEO - Manually Assign Dictation Files to Images

If you need to manually associate audio files with the photos or if you want to review the current associations, select this option.

The resulting form shows an image preview on the left with 'Back' and 'Next' buttons that allow you to cycle through all of the currently selected images. The right hand side shows a list of the currently loaded audio files.

To associate an audio file, cycle to the correct picture, highlight the sound file, then click the 'Associate' button. To remove an association, associate the '<no associated sound> item (the 1st one in the list) with the current image.

Double click on a sound file to play it.


Process the Geocoded Images

RoboGEO - Process the Geocoded Images

Once you've selected valid images and have geocoded them , they can be processed.

You don't have to process the images if all you want to do is create a web page that uses Google Maps , export a KML or KMZ file to Google Earth , upload to Flickr , export a shapefile , export a DXF file , export to MapPoint or export a GPX file .

You have 4 options for processing the image's latitude, longitude, altitude, direction and time information:

1. Stamp the actual images.

2. Write the data to the EXIF.

3. Stamp the image and write to the at once.

4. Reverse geocode the images.

To rename or redate images, all you have to do is select them, i.e. they don't have to be geocoded first. However, when renaming images, you won't be able to use the pattern items that relate to location and direction .

Unless you've changed the program option for doing so, the images will first be copied to a new folder that you choose and then processed from there. If you're renaming images, you can override this behavior and force the original images to be renamed by specifying the AlwaysRenameOriginal option.

All of the images must be geocoded before you can process them with location data. If some are not, you can either delete them from the list or manually assign the latitude, longitude, and altitude information. You can quickly access these options by double clicking on the image or by typing directly into the grid. Optionally, you can use the 'Edit' pull down menu. If ungeoreferenced images exist when you select this option, you'll be prompted whether to automatically remove them before proceeding.

You can automate any of these processes by using the appropriate command line parameter(s).


Rename Images Per Exif

RoboGEO - Rename Images Per Exif

Select this option to rename the image based on the EXIF date, EXIF time, latitude, longitude, altitude, photo direction, image title, associated dictation file, numerical sequence, literal characters or any combination of those.

The new file name will be based on the pattern that you specify. The pattern can consist of literal characters that are used as-is and the pattern items listed below. Note that pattern items are always preceded with a '$' character: $date - local date from the EXIF, in the form YYYYMMDD

$datez - UTC date from the EXIF, in the form YYYYMMDD

$time - local time from the EXIF, in the form HHMMSS.

$timez - UTC time from the EXIF, in the form HHMMSS.

$yy - local time from the EXIF, the 2 digit year.

$yyz - UTC time from the EXIF, the 2 digit year.

$mm - local time from the EXIF, the 2 digit month.

$mmz - UTC time from the EXIF, the 2 digit month.

$dd - local time from the EXIF, the 2 digit day.

$ddz - UTC time from the EXIF, the 2 digit day.

$hh - local time from the EXIF, the 2 digit hour.

$hhz - UTC time from the EXIF, the 2 digit hour.

$nn - local time from the EXIF, the 2 digit minute.

$nnz - UTC time from the EXIF, the 2 digit minute.

$ss - local time from the EXIF, the 2 digit second.

$ssz - UTC time from the EXIF, the 2 digit second.

$mmm - local time from the EXIF, the 3 character month.

$mmmz - UTC time from the EXIF, the 3 character month.

$lat - Latitude of the form N32-12345.

$lon - Longitude of the form W092-12345.

$alt - Altitude of the form A00745f.

$dir - Photo direction of the form 045.

$title - Title with invalid characters either removed or replaced.

$audio - The associated audio file name.

$seq - A unique numerical sequence.

$filename - The original filename, less the period and extension.

Except for $title, $audio, $seq, and $filename all pattern items are fixed length. The length of $title depends on the actual title length. The length of $audio depends on the length of the associated audio file. The length of $seq depends on the number of images in the set. The length of $filename depends on the length of the left hand portion of the original filename. For example, if there are 100 to 999 images, $seq is 3 characters long. Altitudes below sea level are preceded with 'B' ('A' if it's above sea level) and if the units are meters, it's terminated with 'm' instead of 'f'. $dir is measured clockwise from true north. Decimal points in the latitude and longitude values are replaced with dashes.

As you type the pattern, the resulting file name for the 1st image is displayed as a sample.

For example, if the original image is named 'Picture 001.jpg" and if the pattern is $filename-MyImage$seq-$date, the resulting file name would look something like Picture 001-MyImage004-20060704-163000.jpg. For a simple pattern like $seq, the file names would be 1.jpg, 2.jpg, 3.jpg, etc. The renamed file extension is always the same as the original extension.


Rename Images Per KML Polygons

RoboGEO - Rename Images Per KML Polygons

Select this option to rename images based on the polygon names in a KML file.

You can open KML polygon files either locally or from a URL. Whether you're automatically prompted for a file when the form loads depends on the PromptForKmlPolygonFile preference setting. Regardless of the setting, you can always open either type of file using the pull-down menus.

To create a KML polygon file using Google Earth, follow these steps:

1. Start Google Earth

2. Select the 'Add->Folder' pull-down menu option. The 'New Folder' form will load.

3. Specify the folder name and then click the 'OK' button.

4. Zoom in on the area where you wish to work.

5. Right click on the newly created Folder and then select 'Add->Polygon' from the pop-up menu.

6. On the 'New Polygon' form specify the polygon name.

7. On the map, click a point in the center of the polygon you wish to create.

8. Click a 2nd time on any point that's on the perimeter of the polygon.

9. Continue clicking on the polygon perimeter to fully define it.

10. Click the 'OK' button on the 'Add Polygon' form.

11. Note that the new polygon displays under the new folder.

12. Repeat steps #5 through #11 to define additional polygons.

13. Right click on the folder and select 'Save Place As...' from the pop-up menu.

14. Specify the file path and file type (KML, not KMZ), then click OK.

Note: the current version of Google Earth does not allow you to specify polygon holes. If you need to these (which KML defines and RoboGEO respects), you'll need to add them manually using any text editor (from a KML perspective, a polygon hole is the same as a regular polygon except it's contained within an <innerBoundaryIs> XML element instead of a <outerBoundaryIs> element.

If an image is contained within a defined polygon and not within a hole, the polygon's name will be used as the basis for the new file name. Characters that are not allowed in windows file names (like stars, pipes, et. al.) will be replaced with an underscore character. If the new file name duplicates another new file name, a sequential number will be appended to the end. In the end, each image must have a new file name specified and it must be unique.

The new file names will display in the grid next to the original file name. Note that you can edit the grid data in-place if you want to make additional changes. You can preview the image locations along with the polygons by selecting the 'View in Google Earth' pull-down menu option. Finally, click the 'Rename Images' button to rename the images.


Redate Images

RoboGEO - Redate Images

Select this option to modify the disk file date of the currently selected images. Note, this is different from changing the EXIF time . When you redate the images, you're changing the actual dates of the disk files.

You can specify a specific date or redate the images per the EXIF timestamp. If you're redating the images to match the EXIF timestamp and if a timestamp doesn't exist, the image will be skipped and not processed.

If you simply want to preserve the image disk dates when they are processed, set the PreserveImageDiskDates option to True.


Stamp Location Data onto the Images

RoboGEO - Stamp Location Data onto the Images

Select this option to stamp the latitude, longitude, altitude, time and related information onto the images. Here's a very basic example using the program's default settings.

Instead of stamping the location data directly directly in the image footer, you can optionally increase the image's canvas height ( StampIncreaseCanvasHeight ) and stamp the data there in the newly exposed area. That results in none of the raster data being obscured.

If your images have embedded IPTC data and if you've enabled the StampIptcLocation option, you can stamp that onto the image too above where location data is stamped. You can cause the program to prompt you to load the IPTC editor immediately before stamping occurs by setting the StampIptcEditorPrompt option. Here's an example that shows that type of output.

You can stamp north arrows onto the images by specifying StampNorthArrowPrompt and the related options.

You can include specific text at the beginning ( StampPrefix ) and/or at the end ( StampSuffix ) of the footer text by specifying the related options.

At the top of the image, you can optionally stamp either the image's EXIF title or IPTC headline. To stamp the EXIF title, set StampTitle to True and StampTitleIptcHeadline to False. The stamp the IPTC headline, set both of the options to True. Your can use the IPTC editor to embed data into the images. Here's an example .

In addition to the headers and footers, you can also stamp a logo onto each image. Just specify the options associated with StampLogo . Here's an example .

You can choose the format of the location coordinates and the header / footer font properties, along with other options, from the preferences area.

Here's one example and another after a few of the stamping options were changed from their default values.

If there's no altitude information for the image, as would be the case if you're using an older Garmin model, it will not be included in the footer.

Unless you explicitly set it, the font size is automatically determined so that it's in proportion to the image's width and height.

When a JPG file's raster data (pixels) is changed and saved, it must be recompressed. The amount that it's compressed will depend on the image quality that you've specified in the program options . The default image quality of 98 should be suitable for most applications.

The time is expressed as local time with a value indicating the UTC offset. For example, if the UTC offset is -4.0, it means the image's local time is 4 hours behind Greenwich Mean Time, which would be the case for the eastern coast of the USA during daylight savings time. If the offset is +2.5, it means the image's local time is 2 hours and 30 minutes ahead of GMT.

Unless you've set custom preferences , The latitude and longitude values are expressed in decimal degrees. Positive latitudes and longitudes are in the northern hemisphere and east of Greenwich England, respectively. Areas in the USA will have positive latitudes and negative longitudes.

The altitude units will be as defined in the program options and are relative to mean sea level, abbreviated MSL.

After processing, you can quickly view the processed image by double clicking on it and then selecting 'View' followed by 'Processed Image' from the resulting pop-up menu .


Write Location Data to the EXIF

RoboGEO - Write Location Data to the EXIF

Select this option to write the latitude, longitude, altitude, direction, GPS timestamp, photographer copyright notice and the other required information to the image's EXIF headers. The process is lossless, so no image quality is lost. If there's existing EXIF, IPTC or Adobe XMP metadata, it's preserved when the new data is written.

Set the UseExifGpsDestLocations option to True if you want to write the data to the EXIF's GPS destination fields instead of the normal location fields.

There are various ways to write the title and description fields depending on what you specified in the program options .

If your images are BMP, PNG or a non-EXIF JPG format, they'll need to be converted to a JPG EXIF format before the data can be written. Additionally, if an image doesn't have an EXIF compatible file extension, as would be the case with BMP and PNG files, it'll also need to be renamed so that it has the .JPG extension. If the resulting file name already exists, a number will be added to the end of it until a unique file name is obtained. So, for example, if you have 3 files named pic.jpg pic.bmp and pic.png, the resulting file names would be pic.jpg pic1.jpg and pic2.jpg. Unlike when you're stamping images, you can write directly to a RAW file's EXIF.

Regardless of the altitude units you're using, EXIF altitudes are always written in meters. If your GPS can't transfer the altitude units, nothing will be written to EXIF altitude fields.

Once the data is written to the EXIF headers, make sure that you don't edit the image in a graphics program that doesn't support EXIF. If you do, the information will be lost.

You can also write the EXIF copyright and artist fields by specifying the appropriate options in the preferences.

After processing, you can quickly view the EXIF data by double clicking on it and then selecting 'View Meta Data' followed by 'Processed Image' from the resulting pop-up menu .


Stamp Images and Write to the EXIF

RoboGEO - Stamp Images and Write to the EXIF

Selecting this option will both stamp the images and write the EXIF headers .


Reverse Geocode Images

RoboGEO - Reverse Geocode Images

Once your images are geocoded with latitude and longitude data, you can reverse geocode them. Reverse geocoding involves using a photo's latitude and longitude to determine the photo's actual physical location. For example 34.39148/-85.1855 reverse geocodes to Armuchee, Georgia USA. Then, given the human-readable location, it can be embedded into the photo for future reference or for archival purposes.

The program offers 2 methods for reverse geocoding images. The first method uses the publicly accessible database at geonames.org. The advantage of this is that anyone can use it. The disadvantage is that it's sometimes slow and only provides data for the USA. The second method uses polygon shapefiles provided by the user. The advantage of this is that it allows you to use your own proprietary data and it's more reliable. The disadvantage is that you must already have the data in order to use it. These 2 methods are described in detail below.

Lookup Using GEONAMES.ORG

To use this method simply select the 'On-line' Data Source and then press the 'Reverse Geocode' button. The program will then attempt to determine the corresponding country, province/state, and city. If any or all are found, they will be written back to the appropriate IPTC header (lossless).

You must be connected to the internet to use this method. If there's a problem with your internet connection, a problem with the remote server, or if there's no location data available for the lat/lon pair, you'll be alerted and prompted whether to continue. As of this writing, this method is only available for images located in the U.S.A.

The speed with which the program can lookup the on-line data depends on the speed of the internet connection and the responsiveness of the remote server. As with most program operations, you can cancel it by clicking the red X located on the button bar at the top of the screen. Status information is written to the status bar at the bottom of the screen.

Lookup Using ESRI Shapefiles

This option allows you to reverse geocode images using polygon shapefiles. To use this method select the 'Shapefile(s)' option and then load one of more shapefiles by clicking the 'Load Shapefile(s)' button. Note that the file-open dialog allows you to multi-select files, so do that if you need to include more than one. If the shapefiles are very large or contain an abnormal number of polygons or attributes, they can take a few minutes to load. After they are loaded, you can choose to write any attribute to any listed IPTC/EXIF field provided that the photo's location falls within the attribute's associated polygon and not within a hole.

For example, assume you have a shapefile with polygons that represents each residential sub-division in a county. Also assume that each polygon has custom attributes like 'City', 'State', 'Subdivision Name' etc. You could then use that shapefile to automatically write the attribute data back to the images that were taken within each sub-division. This would be beneficial, for example, to tax assessors who take pictures of properties.

The available IPTC fields for writing custom attribute data includes CountryCode, CountryName, Province/State, City, SubLocation, Headline, Caption/Abstract, and Keywords. Note that you can write any number of keywords to the IPTC headers - you'll want to do that if your attribute data doesn't correspond to the other available IPTC fields. You can control whether to overwrite existing IPTC keywords by specifying the ReverseGeocodingPreserveExistingKeywords option. The default is to preserve them. For the EXIF headers, you can write attribute data to the ImageTitle and ImageDescription fields.


Export the Geocoded Images

RoboGEO - Export the Geocoded Images

Once you've selected valid images and have geocoded them, they can be exported to various applications and shared with others.

You have several export options:

1. Export a Google Maps web site

2. Export a KML or KMZ file for Google Earth

3. Export to Flickr

4. Export an ESRI shapefile

5. Export a DXF file for AutoCAD

6. Export to MapPoint/Streets and Trips

7. Export a GPX File

8. Export as Waypoints back to a GPS Unit

Note you can automate any of the export capabilities by specifying the appropriate command line parameter(s).


Export to Google Maps

RoboGEO - Export to Google Maps

Once your images are geocoded , you can create a web page that shows where the photos were taken. Here are some examples:

1. Only show the images. No typing is required. View example .

2. Include image titles and quicklinks. View example .

3. Include image descriptions. View example .

4. Include the GPS tracklog. View example .

If there's direction information associated with the images, the icons will include arrows that point in the direction that the picture was taken.

Optionally, If you don't have any photos and only want to create a web page that shows your tracklog , you can do that too.

Web browsers don't typically support RAW formats, so you'll need to convert these to JPG before performing this operation.

You'll need to specify a few options for the web page, information about the GPS tracklog and whether you want to include it, and, optionally, a title and description for each image. These are detailed below:

Google Key (Required)

Enter your Google API Key into this field. It looks like a very long word containing seemingly random characters. To avoid errors, don't try to type it into the field - paste it instead.

If you need to obtain a Google Key, double click on the field or click here .

When obtaining a key, you must agree to the "Google Maps API Terms of Use". This could change in the future, so refer back to it as needed.

If you ever try to load a Google Map and receive the error "The Google Maps API key used on this web site was registered for a different web site. You can generate a new key for this web site at http://www.google.com/apis/maps.", it's because of an invalid key.

If you need to change an existing web page to specify a different key, edit the map.htm file and reupload it to your server. Look in the HTML's HEAD section and change the value of the "key" parameter in Google's JavaScript URL.

API Version (Required)

Enter the Google API version into this field. This will change in the future and there's no way for RoboGEO (or Google) to know what it will be at a later date. There's also no assurance that the APIs will be backwards compatible.

It's your responsibility to make sure this number reflects the latest API version. You can determine the current API version by double clicking on the field or by clicking here . Search for "version".

If a web page you've previously made suddenly quits working and an incorrect version number is to blame, you'll need to manually edit the map.htm file and reupload it to your server. Look in the HTML's HEAD section and change the value of the "v" parameter in Google's JavaScript URL.

Web Page Title (Optional)

Enter a short title for the web page. You should limit this to as few words as possible. If you make it too long, it'll span the entire width of the map and obscure Google's buttons. It's used in the HTML's TITLE section and if QuickLinks are used, it's displayed above that. On the sample page , it's the "Acme Realty Homes for Sale" text.

Default View (Required)

Select the map's default view. This can be a street map, satellite photo, hybrid mode (a combination of street and satellite) or terrain. The view can also be changed by clicking the buttons in the upper right corner of the generated web page.

Include QuickLinks (Optional)

Check this box to include the QuickLinks drop down list on the map's upper left corner. If checked, you must also specify a title for each image. On the sample page , this is the list that starts with "Select a photo.."

QuickLinks allow website visitor to select photos without knowing the map location.

QuickLinks Top (Required if using QuickLinks)

Enter the QuickLinks top position in pixels relative to the top of the web page. The goal is to position the QuickLinks so that it doesn't obscure any of Google's controls. As of this writing, the default value of 3 accomplishes that objective, but you may need to change it in the future if Google changes the default layout of their maps.

QuickLinks Left (Required if using QuickLinks)

Enter the QuickLinks left position in pixels relative to the left of the web page. The goal is to position the QuickLinks so that it doesn't obscure any of Google's controls. As of this writing, the default value of 80 accomplishes that objective, but you may need to change it in the future if Google changes the default layout of their maps.

Include GPS Tracklog (Optional if an active tracklog exists)

Check this box to include the active GPS tracklog on the map.

If no tracklog is currently loaded, this option and all of the related ones will be disabled.

If you're adding new images to an existing web page, this option and all of the related ones will be as previously specified. If you're using the demo version , the tracklog will look like random lines on the map. Random errors are not introduced in the registered version .

Tracklog Color (Required if including the tracklog)

Specify the color in HTML format. This should be of the form #RRGGBB, where R is red, G is green, and B is blue. For example, #FF0000 is red, #00FF00 is green, #0000FF is blue, #FFFF00 is yellow, and #C0C0C0 is gray.

Tracklog Width (Required if including the tracklog)

Enter the width, in pixels, of the tracklog. If you use a wide tracklog, you should set the opacity to a low value so you don't obscure map elements.

Tracklog Opacity (Required if including the tracklog)

Enter the opacity of the tracklog. This should be between 0 (transparent) and 1 (solid). If you specify a number too low, you won't be able to see it. If you specify a number too high, it will obscure whatever is beneath it. Use the default value of .75 if you're unsure.

Maximum Number of PolyLine Segments (Required if including the tracklog)

When plotting the tracklog, specify the maximum number of polyline segments to use. To treat each successive GPS tracklog point as a polyline segment, specify a number that exceeds the possible number of tracklog points.

The goal here is to specify a number as high as possible without dramatically increasing the size or processing time of the HTML file. Everything being equal, this should be no more than a few hundred points.

Every 100 polylines adds about 5kb to the HTML file, so if you specify 2000 the size of the resulting HTML file will increase by 100kb, which is probably too big for a website visitor. Also, the processing time increases with increasing polylines, especially in non-IE web browsers.

On the sample page , the tracklog color is red (#FF0000), with a width of 2 pixels, an opacity of .75, and 500 polyline segments. Thick lines (4 or 5 pixels) with a low opacity (.25 or so) also look nice.

Image Title (Required if using QuickLinks)

Enter the image title. You should limit the length to 2 or 3 words. If specified, the image title appears in the QuickLinks list and above the image in Google's info window.

Image titles are only required if you're using QuickLinks or if you want text to appear above the thumbnail image in the info window.

The default image title is determined by looking for non-empty values from the following places in the order listed:

1. The image title that may have been previously entered

2. The EXIF Image Description tag

3. The IPTC Headline tag

4. The image file name

Include Dictation (Optional)

If checked and if an audio file is associated with the current image, an HTML link to the dictation file will be included in the description.

The word or phrase that contains the link is per the GmapDictationLinkText preference. The default value is 'Dictation', but you can use any phrase you desire such as 'Click here to listen to the audio'.

Image Description (Optional)

Enter the image description. Press the enter key twice to insert a new paragraph. Unless you're trying to manually control the width of the text lines by pressing the enter key, let the text automatically wrap from line to line. Google Maps does a good job of formatting the text when there are no carriage returns. You don't have to manually enter HTML <br> tags - the program automatically converts carriage returns to those.

You can include simple HTML markup if you choose.

The default image description is determined by looking for non-empty values from the following places in the order listed:

1. The image description that may have been previously entered

2. The EXIF User Comment tag

3. The IPTC Caption/Abstract

4. Blank

Save the Title and Description (Optional)

Check the appropriate box to save the current title and description to the image's EXIF and/or IPTC headers. The process is lossless and all of the existing comments are preserved.

The program automatically reads this information when it loads an image, so saving it now will prevent you from having to retype it in the future.

Merge EXIF/IPTC fields into the Title or Description (Optional)

Click the Merge button to merge the value of a specific EXIF or IPTC field into either the title or description. Upon clicking, a form will load that lists all of the non-empty fields for the current image. The bracketed field name that you select will be copied to the Windows clipboard so that you can paste it.

There are 179 possible fields , but you can only choose from those that exist in the current image and contain non-empty data.

The merging process is similar to what you would do in a word processor. For example, if your description is "My camera is a [Model] and this photo was taken with a shutter speed of [ShutterSpeed]th of a second", the output would be "My camera is a Canon PowerShot A75 and this photo was taken with a shutter speed of 1/250th of a second".

Select the "Include descriptive text too" checkbox if you want to include descriptive text before the merged field. For example, instead of just pasting "[ShutterSpeed]" to the clipboard, it would paste "Shutter Speed: [ShutterSpeed]".

This merging feature is especially powerful when it's used in conjunction with a template file. Just include the bracketed merge fields in it just as you would normal text.

Load a Template (Optional)

Click the Load button to load an existing image description template.

You'll be prompted whether to apply it to all of the current images. If you select No, it'll only be applied to the current image.

Save Image Description as Template (Optional)

Click this button to save the current image description as a template.

Using this will save time when you need a consistently formatted description for each image. For example, if you're entering real estate information, you may want your template to look like:

Price:

Rooms:

Lot Size:

School District:

Built:

Then, for each image, all you need to do is fill in the blanks.

Or, using the merging capability, you could have a template that looks like:

Model: [Model]

Exposure Time: [ExposureTime]

Shutter Speed: [ShutterSpeed]

Aperture: [Aperture]

Flash Fired: [FlashFired]

F Number: [FNumber]

Digital Zoom Ratio: [DigitalZoomRatio]

That would allow you to create a standard description that's used for all of your images without you having to do any typing. That would be especially useful if your images always contain IPTC data.

Clear Image Description (Optional)

Press this button to erase the current image description.

Create New Web Page or Add to an Existing One (Required)

You can either create a new web page or add the current image(s) to an existing one. When you select an existing web page, the parameters associated with it (web page title, whether to include the tracklog, etc.) are loaded into the form.

Create the Web Page (Required)

Click this button to create all of the required HTML files. These include map.htm (the main HTML file), map.xml (the Google Maps markers file), robogeo.xml (an XML file that contains all of the web page's information), all of the images, and thumbnails of each image. You can then upload all of the files to the server folder associated with your Google Maps API key. Note that because of Google's API key requirement, you can't view these files on your local computer in your web browser.

Note: You can change the name of the main output files from map.htm and map.xml to something different by setting the GmapHtmlFileName program option.

After the web page is created, the output folder is automatically loaded in Windows Explorer. A quick way to upload these to the server folder associated with your Google API key is to highlight all of the files (Ctrl-A), right-click on the highlighted files, then select the 'Web Publishing Wizard' under the 'Send To' menu. You'll need to create the FTP account before doing this. Once uploaded, check the web page. If you need to make changes, do so and then click the 'Create Google Map' button again. Repeat this process until you're happy with the results. When done, click the 'Close' button.

If you don't like the map.htm file that the program outputs, then create your own and only use the map.xml file. You can also apply an XSLT transformation on robogeo.xml to create a new map.htm file.

There are additional options in the program preferences that you can specify.

If you want to automatically make changes to the generated map.htm and/or map.xml file, you can do so by creating a specially formatted XML file named GoogleMapSearchReplace.xml and placing it in the \My Documents\RoboGEO\GoogleMaps directory. If it exists, it'll be processed after the web page is created.

In the file you specify words to search for and, if they exist, what to replace them with. The searches are case sensitive. The format of the file is as follows:

<googleedit>

<edithtml search="" replace="" />

<edithtml search="" replace="" />

<edithtml search="" replace="" />

etc. with the edithtml tag...

<editxml search="" replace="" />

<editxml search="" replace="" />

<editxml search="" replace="" />

etc. with the editxml tag...

</googleedit>

Note you can search/replace on both map.htm and map.xml.

If you manually edit map.xml and then reupload it to the server, you won't be able to see the changes by simply refreshing the page in your web browser. You'll need to close your web browser and then reopen the page in a new web browser instance. You may also need to empty your browser's cache.

If you manually edit the 'html' attribute values in map.xml, be sure that it remains well formed. To accomplish that, replace your less than symbols (<) with &lt;, greater than symbols (>) with &gt;, ampersands (&) with &amp;, quotation marks (") with &quot;, and apostrophes (') with &apos;. If you don't the parser will get confused and think your HTML is XML markup.

In addition to map.htm, map.xml, and the associated image files, the program also creates a file named robogeo.xml and places it in same output directory as the others. It contains all of the information associated with the web page and you can use it for whatever purpose you require.


Export to Google Earth

RoboGEO - Export to Google Earth

Once you've loaded a GPS tracklog or have geocoded some images , you can export a KML or KMZ file for importing into Google Earth.

Google Earth is a 3D interface to the planet. You can download the application from Google's website.

NOTE: There's a bug in Google Earth 6.1.0.5001 that prevents it from loading images in placemark balloons when the image is specified as an absolute local path. To work around this, use an earlier version of Google Earth (such as 6.0.3.2197) or select either the 'KMZ with Images' or 'KMZ for the Web' output format.

A KML file is XML format and contains information about the points, lines and text to display in Google Earth. A KMZ file is simply a zip compressed KML file with a .KMZ extension. KMZ is the default Google Earth format, but the program can import either. KML files are easily readable. KMZ files are relatively small. KML stands for "Keyhole Markup Language".

Unlike other areas of the program, you don't have to load and georeference images before exporting to Google Earth - all that's required is to download a GPS tracklog or to import a GPX file . This enables you to use RoboGEO are your normal GPX viewer or as a way to convert a GPX file to KML or KMZ format. This is demonstrated in two of the examples below.

If there's direction information associated with the images, the icons will include arrows that point in the direction that the picture was taken.

You can use thumbnail images for the Google Earth icons by specifying the GeUsePhotoThumbnailIcons option.

Your can specify the various icon files and where they're loaded from by setting the desired preferences.

Google Earth doesn't support support RAW formats, so you'll need to convert these to a compatible format (like JPG) before performing this operation.

If you're using Google Earth v5.0 or later and if your photos are not displaying in the placemark flyout balloons, you may need to check the box titled 'Allow placemark balloons to access local files and personal data' option under the 'General' tab via the Tools-->Options pull-down menu.

If your image file names contain anything other than low (7-bit) ASCII characters, Google Earth may not be able to access and display them. The use of higher ASCII characters (8-bit) is common outside of the USA. To work around this issue and if you're exporting KMZ files with embedded images, you can set the GeRenameKmzImagesUsingLowAscii option to True.

Before exporting, you'll need to specify what type of file you want to export and the related information. These are detailed below:

Output Format (Required)

You can choose from 4 different output formats. Each has it's own advantages and scenario where it would be the most appropriate choice.

1. KML. This is an XML format file that links to the images on your local computer. The advantage of this format is that it's easily readable. You should not select this option if the local paths to the images will change, if file size is a concern, or if you intend to share the KML file with others.

2. KMZ. This is a zip compressed KML file with a KMZ extension. The advantage of this format is that it's much smaller than the corresponding KML file. You should not select this option if you want to easily read it, if the local paths to the images will change, or if you intend to share the KMZ file with others. Note: If you want to inspect a KMZ file, rename it with a .ZIP file extension and then open it with any ZIP utility.

3. KMZ with Images. This is a zip compressed file that contains the KML file and resized copies of the full-size images. The advantage of this format is that everything is self-contained and it won't matter if the local paths to the images change. You can also share it with others, but the option below would be a better choice if you have the web server space to store the full-size images. You should not select this option if you want the smaller file size that the KMZ for the Web output format offers.

4. KMZ for the Web. This is a zip compressed file that contains the KML file with thumbnails of each full-size image. The advantage of this format is that everything is self-contained, yet it has a small file size. This option requires the full-size images to exist on a web server and that you specify the URL in the associated box. When this format is viewed in Google Earth, the thumbnails instantly appear in the placemark flyout windows (instead of scaled copies of the full-size images) along with a link to view the full-size image. This output format is intended for use with a normal web hosting account where the image filenames are preserved after they're uploaded. Most photo sharing sites (like Flickr) rename newly uploaded photos. You should not use this option if you don't have the web server space to store the images or if you don't intend to share it with others.

Note: If you have a loaded tracklog with no associated images, you can only select from the first two options. In either case, since there are no image links, you can safely share it with others.

Everything being equal, select the 'KMZ with Images' option if you'll only be viewing the file on your local computer or if you intend to share it with others but don't have the web server space to store the full-size images. Otherwise, select the 'KMZ for the Web' option.

Image Folder or URL (Required with KMZ for the Web)

This field is only required if you select the 'KMZ for the Web' output format and, in that case, you must specify a URL that points to the folder where the full-size images are located. For example, you should specify something like http://www.yourdomain.com/folder/. Note that Google Earth doesn't currently support secure HTTP (https) or other protocols like FTP.

For the other 3 output formats, you can optionally specify a local folder or URL where the full size images are located. When you do that, the program will look for the image files in that location instead of the image's current local path.

If you specify a URL, Google Earth will have to retrieve the full-size image from the web when an image placemark is clicked. During that time, the image placeholder will be gray as if the image doesn't exist. Just be patient - when the image download completes it'll appear in the flyout window.

Scale (or Resize) Maximum Dimension (Required)

Specify the maximum pixel dimensions of the image that displays in the Google Earth flyout window. The flyout window is what displays when you click on a point in the Google Earth client.

If you select the 'KMZ for the Web' or 'KMZ w/Images' output format, this will represent the maximum dimensions of the resized images that will exist within the KMZ file. For the other 2 output options, it's the maximum scaled (not resized) dimensions that displays in the flyout window. The default values should be appropriate. The aspect ratio of the full-size image is always maintained and your original images will not be altered. If you want your images to display full size, enter an arbitrary number that's larger than the largest image dimension, like 9999.

Stamp the Images (Optional)

Check this box if you want to stamp the images before exporting. Stamping the images by checking this box is equivalent to stamping the images from the main form, except the original images are always stamped and the EditOriginalImages preference setting is ignored. This doesn't matter when you're exporting 'KMZ with Images' since the images inside of the KMZ file are already copies of the original images. All of the other image stamping options still apply.

Write to the EXIF (Optional)

Check this box if you want to write the location data to the EXIF before exporting. Writing the EXIF to the images by checking this box is equivalent to writing the EXIF to the images from the main form, except the original images are always written to and the EditOriginalImages preference setting is ignored. This doesn't matter when you're exporting 'KMZ with Images' since the images inside of the KMZ file are already copies of the original images. All of the other image writing options still apply.

Altitude Mode (Required)

Select how you want to interpret altitude values. What you select controls how image placemarks, trackpoint placemarks, photo routes, and tracklog polylines are plotted on the map.

1. Clamped to the ground. This is the default value and should be your normal selection. It causes the program to ignore the altitude values and to clamp everything to the ground. This results in placemarks being plotted exactly on the earth's surface and tracklogs flowing smoothly over the earth's terrain.

2. Relative to the ground. This treats the altitude values as being relative to the earth's surface. Normally, since GPS units record absolute values, you should only select this option if you manually created a GPX file and intentionally used relative altitude values in it. Selecting this option with a normal GPS tracklog, though inaccurate, is a good way to illustrate the program's 3-D capabilities.

3. Absolute. This treats the altitude values as absolute, like Google Earth uses. You should usually only select this option if you're substantially above the earth's surface, like if you're flying in an airplane or climbing a tall man made structure. If you select this option when using a GPS tracklog, it can cause some of the tracklog polylines to go below the earth's surface, making them invisible in the Google Earth client. For example, this can happen if you go over a hill between the recording of two successive trackpoints.

The program forces clampedToGround if there is no altitude data. This can occur if you're using an older Garmin GPS that doesn't support altitudes or if the altitudes were missing from an imported GPX file.

Root Caption Title (Required)

This is the main title of the KML or KMZ file and will appear in the left hand pane of the Google Earth client for the root element. You should specify something short and descriptive like, "Mt. Olympus Hike".

It's also used as the basis for the default output file name with all illegal characters removed. For the example above and if creating a KML file, the default file path would be Drive:\OutputPath\MtOlympusHike.kml.

Include Tracklog (Optional)

Check this box if you want to include the tracklog . This will appear as a thin line in the Google Earth Client.

Include Trackpoints (Optional)

Check this box if you want to include the individual trackpoints. These will appear as small circles that, when clicked, display various information about that particular point. In some instances there will be missing or unknown information. For example, if you import a GPX tracklog without trackpoint timestamps, anything relating to time (ground speed, time elapsed, etc.) will be missing. Likewise, if you're using an older Garmin GPS that doesn't record altitude information, all of the altitude related information will be missing too. The information includes:

Trackpoint Time. The local time when the track point was recorded.

Latitude. The latitude expressed in decimal degrees. Positive values are north of the equator.

Longitude. The longitude expressed in decimal degrees. Positive values are east of Greenwich England.

UTM Coordinates. The location expressed in the Universal Transverse Mercator system.

MGRS Coordinates. The location expressed in the Military Grid Reference System.

Heading. The decimal degree heading. 0 is north, 90 is east, 180 is south, and 270 is west.

Slope. The slope of the terrain between 2 successive trackpoints, calculated by dividing the change in height by the change in horizontal distance and then expressed as a percentage. This value can be unrealistic over very short distances.

Distance Completed. The percentage of the total tracklog distance traveled.

Distance Traveled. The total distance traveled.

Distance Remaining. The total remaining distance.

Net Distance. The great circle distance from the current point to the starting point.

Net Distance Remaining. The great circle distance from the current point to the ending point.

Altitude. The current altitude, expressed approximately above sea level.

Altitude Completed. The percentage of the vertical distance traveled between the tracklog's minimum and maximum altitudes.

Net Altitude. The vertical distance from the current altitude to the starting altitude.

Net Altitude Remaining. The vertical distance from the current altitude to the ending altitude.

Time Completed. The percentage of the total tracklog time completed.

Time Elapsed. The elapsed time since the starting point.

Time Remaining. The time until the ending point.

Ground Speed. The horizontal speed. This value can be unrealistic over very short distances.

Moving Average. The ground speed calculated by averaging the speed of the 10 preceding trackpoints.

Vertical Speed. The vertical speed. This value can be unrealistic when using a small tracklog recording interval, especially in an area of poor GPS reception.

Acceleration. The velocity's rate of change. This value can be unrealistic over very short distances.

Treat the Tracklog as One Tracklog Segment (Optional)

A GPS tracklog can contain multiple segments. A new segment is created under various conditions like when tracklog recording is started, when the GPS signal is reacquired after being lost, when new batteries are inserted, etc. Check this box if you want all of the tracklog segments treated as one.

Regardless of whether this box is checked, the program will still analyze the tracklog as if it was one segment. If you don't check the box the program will also analyze each trackpoint segment and list them individually in the Google Earth left hand pane hierarchy, so you can always delete them without affecting the other segments or the entire tracklog.

Note: When you save a tracklog in a Garmin GPS unit, the trackpoint times are lost. So, if you have saved tracklogs the statistical data relating to time and speed will be listed as 'Unknown'.

Having multiple tracklogs in your GPS unit can cause unexpected results when they are analyzed or displayed as one. One example is having the end of one tracklog segment being connected to the beginning of the next segment. That wouldn't be desirable if you intentionally recorded multiple segments. However, it would be if the multiple segments were unintentional like if the GPS repeatedly lost satellite reception. Normally, you should erase all of the tracklogs in your GPS prior to recording a new one to prevent these ill effects.

If you have a substantial number of trackpoints and if you're not treating all of the tracklog segments as one, the size of the resulting KML file could become a issue. Every 400 trackpoints will contribute about 1 MB to the KML file size. Compressing it by specifying a KMZ output type will reduce the file size by about a factor or 15.

Customize the Tracklog (Optional)

Click this button if you want to specify custom values for the tracklog display. You can specify the line thickness, opacity and color(s). The thickness is expressed in pixels with one pixel being the default. If you want a thicker line width, a number between 4 and 8 would be appropriate. The opacity value can range between 0 (invisible) and 255. The default is 255, which is completely solid. You can colorize the tracklog either with a constant color (red is the default) or with colors that correspond to the various ranges of altitude, speed, heading, slope, acceleration, moving average, or vertical speed. For example, if you were flying in an airplane, you may want the tracklog color to be green when below 1000m AGL, yellow when between 1000m AGL and 3000m AGL, and red when above 3000m AGL. If you're hiking, you may want to colorize the track based on slope. You can specify up to 18 colors and the min/max numbers associated with each. To change the color for a given range, click on the color block. To auto-populate the ranges associated with each color based on the currently loaded tracklog, press the Auto Fill button.

Image Title (Required)

Enter the image title. You should limit the length to 1 or 2 words. If you don't specify a title, the program will use the image filename. The title is used as the image caption in the left hand pane of the Google Earth client. It also appears next to the placemark on the map, so if it's too long your map will become cluttered.

The default image title is determined by looking for non-empty values from the following places in the order listed:

1. The image title that may have been previously entered

2. The EXIF Image Description tag

3. The IPTC Headline tag

4. The image file name

Title Maker (Optional)

Press this button to load the Title Maker .

Include Dictation (Optional)

If checked and if an audio file is associated with the current image, an HTML link to the dictation file will be included in the description.

The word or phrase that contains the link is per the GmapDictationLinkText preference. The default value is 'Dictation', but you can use any phrase you desire such as 'Click here to listen to the audio'.

Image Description (Optional)

Enter the image description. Press the enter key twice to insert a new paragraph. Unless you're trying to manually control the width of the text lines by pressing the enter key, let the text automatically wrap from line to line. Google Earth does a good job of formatting the text when there are no carriage returns. You can include basic HTML markup in the description, but nothing advanced.

The layout of the Google Earth flyout window will depend on the output format that you select. With 'KMZ for the web', the description will appear on the left and the thumbnail image on the right. With the other output formats, the scaled image will be below the description.

The default image description is determined by looking for non-empty values from the following places in the order listed:

1. The image description that may have been previously entered

2. The EXIF User Comment tag

3. The IPTC Caption/Abstract

4. Blank

Save the Title and Description (Optional)

Check the appropriate box to save the current title and description to the image's EXIF and/or IPTC headers. The process is lossless and all of the existing comments are preserved.

The program automatically reads this information when it loads an image, so saving it now will prevent you from having to retype it in the future.

Merge EXIF/IPTC fields into the Title or Description (Optional)

Click the Merge button to merge the value of a specific EXIF or IPTC field into either the title or description. Upon clicking, a form will load that lists all of the non-empty fields for the current image. The bracketed field name that you select will be copied to the Windows clipboard so that you can paste it.

There are 179 possible fields , but you can only choose from those that exist in the current image and contain non-empty data.

The merging process is similar to what you would do in a word processor. For example, if your description is "My camera is a [Model] and this photo was taken with a shutter speed of [ShutterSpeed]th of a second", the output would be "My camera is a Canon PowerShot A75 and this photo was taken with a shutter speed of 1/250th of a second".

Select the "Include descriptive text too" checkbox if you want to include descriptive text before the merged field. For example, instead of just pasting "[ShutterSpeed]" to the clipboard, it would paste "Shutter Speed: [ShutterSpeed]".

This merging feature is especially powerful when it's used in conjunction with a template file. Just include the bracketed merge fields in it just as you would normal text.

Load a Template (Optional)

Click the Load button to load an existing image description template.

You'll be prompted whether to apply it to all of the current images. If you select No, it'll only be applied to the current image.

Create Photo Route (Optional)

Check this box to create a route that connects the photos. In order to connect the photos in the proper order, each photo must have a valid EXIF time stamp. If any of these are missing, this option will not be available.

Be sure to take a photo at both the beginning and the end if you want the generated route to represent your entire track.

This is a very useful feature because it allows you to create a route without having to have a GPS. Just take the pictures, manually geotag them , then export to Google Earth.

Save Image Description as Template (Optional)

Click this button to save the current image description as a template.

Using this will save time when you need a consistently formatted description for each image. For example, if you're entering fishing photos information, you may want your template to look like:

Lake:

Cove:

Species:

Lure:

Weight:

Then, for each image, all you need to do is fill in the blanks.

Or, using the merging capability, you could have a template that looks like:

GPS Date Stamp: UTC [GPSDateStamp]

GPS Latitude: [GPSLatitudeRef][GPSLatitude]

GPS Longitude: [GPSLongitudeRef][GPSLongitude]

GPS Altitude: [GPSAltitude] meters MSL

That would allow you to create a standard description that's used for all of your images without you having to do any typing. That would be especially useful if your images always contain IPTC data.

Clear Description (Required)

Press this button to erase the current image description.

Create KML (or KMZ) File (Required)

Press this button to generate the requested output file. Upon completion and if Google Earth is installed on the computer, the file will automatically load.

If nothing (seemingly) happens after pressing this button, it's because the default save path (the one you last used) is no longer accessible. This can happen with paths associated with networks or removable media. You need to either wait until the Windows process terminates (a few seconds to a few minutes) so that you can specify a new path or you need to manually delete the HKEY_CURRENT_USER\Software\Pretek\RoboGEO\GetLastSaveFolder registry key.

Depending on your input, the output will include the following folders in Google Earth:

Root Element. This is the parent folder for everything else. The caption is what you specified for the Root Caption Title.

Waypoints. This folder contains links to each image. The title is the specified Image Title or, if one was not specified, the file name.

Tracks. This folder contains the Active Log folder.

Active Log. This folder contains various other folders relating to the tracklog including a plot of the actual tracklog, the tracklog points, the key trackpoints, various views, and the bounding box. If you're analyzing the individual tracklog segments, there will also be folders names Segment #1, Segment #2, etc., that contain the same sub-folders.

Path. This is a child of either the Active Log or of a Tracklog Segment folder. It displays the tracklog as a thin red line.

Bounding Box. This is a child of either the Active Log or of a Tracklog Segment folder. It displays a 3 dimensional box that completely encloses all of the trackpoint and photo locations. The height equals the height of the highest photo or trackpoint, so if everything is at ground level or if the altitude information is missing, it'll appear to be a 2-D box on the ground. The bounding box, if visible, is partially transparent and blue.

Points. This is a child of either the Active Log or of a Tracklog Segment folder. Each trackpoint displays as a small red icon that, when clicked, displays extensive statistical information about the point.

Key Points. This is a child of either the Active Log or of a Tracklog Segment folder. It lists key trackpoints in the tracklog including the northernmost point, easternmost point, southernmost point, westernmost point, start point, end point, maximum altitude, minimum altitude, maximum ground speed, minimum ground speed, tracklog midpoint, distance midpoint, and time midpoint. Each key trackpoint shows as a slightly larger white icon that, when clicked, displays extensive statistical information about the point.

Views. This is a child of either the Active Log or of a Tracklog Segment folder. It contains numerous views including the 8 cardinal directions and elevations ranging from 1 to 1000 miles above the surface.

Routes. This folder contains the image path folder. It exists if there are loaded images and if the Create Photo Route box was checked.

Path. This is a child of the Routes folder. It displays a thick yellow line that connects the photos in the order in which they were taken. It only exists if there are loaded images and if the Create Photo Route box was checked.

About. This a child of the root element and it displays the time the file was generated and the software version that was used.

There are additional options in the program preferences that you can specify.

If you want to automatically make changes to the generated KML file, you can do so by creating a specially formatted XML file named GoogleEarthSearchReplace.xml and placing it in the \My Documents\RoboGEO\GoogleEarth directory. If it exists, it'll be processed after the output file is created.

In the file you specify the words to search for and, if they exist, what to replace them with. The searches are case sensitive. The format of the file is as follows:

<googleedit>

<editxml search="" replace="" />

<editxml search="" replace="" />

<editxml search="" replace="" />

etc...

</googleedit>

For example, if you want the tracklog width to be 4 pixels wide instead of 2, you could search for <geomScale>2</geomScale> and replace it with <geomScale>4</geomScale>. Again, XML is case sensitive.

Note: unlike well formed XML, you can safely include XML within editxml's search and replace attributes.


Export to Flickr

RoboGEO - Export to Flickr

Once your images are geocoded , you can upload them to Flickr. Flickr is the internet's best and most popular photo sharing service.

RoboGEO creates the Flickr geotags that allow you to link your photos to various types of maps including Google Earth, Google Maps (street, satellite, hybrid, or terrain), topo maps, or aeronautical charts using the free Flickr2Map service . Here's a sample .

The program also supports the Flickr Geo API which allows your Flickr photo pages to contain 'Map' links that will locate your photos using Yahoo! Maps. You can prevent this behavior or control who can view the photo locations by setting the appropriate options .

You can categorize your photos by adding them to specific Flickr sets or to sets that satisfy a SmartSet filter.

You can also merge specific EXIF or IPTC fields into the photo titles, tags and descriptions.

You must have a Flickr account before uploading. Sign up here . It's free and only takes a few minutes.

If your list contains any RAW formats, you'll need to convert them to JPG before proceeding.

Before uploading you'll need to specify a few options as described below.

Select Flickr Account (Required)

Select the Flickr account from the drop down list.

Upon selection, the program will communicate with Flickr to verify the previously issued account token and to obtain the account's current photo set information. Depending on Flickr's responsiveness, this can take up to several seconds.

Add a Flickr Account (Required)

Click this button to add a Flickr account to the list of accounts that RoboGEO is authorized to access. Without your authorization, RoboGEO can't access your Flickr account.

To complete the authorization process, follow the on-screen instructions. Upon completion, the account will appear in the drop down list. You'll only need to do this once for each Flickr account.

Flickr Account Quota

Click this button to display the Flickr quotas for the currently selected account.

Remove Flickr Account

Click this button to remove the currently selected account from the drop down list.

Removing an account does not delete it from Flickr - it only removes it from the list of accounts that RoboGEO recognizes.

Photo Permissions - Viewing

Indicate whether the uploaded photos are public or private.

Public photos are viewable by anyone on the internet. Your photos must be public if you're linking to the Flickr2Map service in the photo descriptions.

Private photos are only viewable by your Flickr friends, family, neither, or both.

Photo Permissions - Adding Comments

Indicate who is authorized to leave comments about the photos. Comments appear below the image in a message forum format. You should normally let anyone leave comments.

Photo Permissions - Adding Notes or Tags

Indicate who is authorized to leave notes or tags. Notes allow you to comment about a specific area of the photo. Tags serve as the image's metadata and describe the image for non-humans. You should normally only allow highly trusted contacts to leave notes and tags.

Select a Photo Set (Required)

Select the Flickr photoset that will contain all of the newly uploaded photos. You can also choose not to include the photos in a photoset or to categorize them based on your SmartSet filters.

This list is populated with the existing photosets each time you select a Flickr account. The list also includes the photosets that you have queued for creation.

Create a Photo Set (Optional)

Upon clicking this button a form will load that allows you to define a new Flickr photoset. On it you must select the new photoset's default photo, the title and (optionally) the description.

The new photoset will be created after the default photo is uploaded.

Important note: If you have a free Flickr account, the maximum number of photosets you can create, as of this writing, is 3. A Flickr Pro Account allows you to have an unlimited number of photosets.

Define SmartSet Filters (Required if using SmartSets)

If you select the 'Use the SmartSet Definitions' item in the list of Flickr photosets, newly uploaded photos will be placed in new or existing photosets based on the image tags.

When you click this button a form will load that allows you to define a SmartSet filter for each existing or new Flickr photoset. You can also specify the photoset that will hold any photos that don't satisfy any of the SmartSet filters.

With SmartSet filters you can accomplish, in effect, something like, "If a photo contains the tags 'Montana' and 'hike' add it to my 'Western USA Adventures' photoset" or "If a photo does not contain the tag 'personal' add it to my 'Business Related' photoset" or "If a photo contains 'fluffy' or 'fido' or 'fishy' add it to 'My Pets' photoset" or "If a photoset does not satisfy any of my SmartSet filters add it to my 'Uncategorized' photoset".

HTTP Proxy Settings (Required is behind an HTTP Proxy Server)

If you're on a computer network that's behind an HTTP proxy server, you'll need to specify the proxy's address, port, username and password. Contact your network administrator if you encounter difficulties.

RoboGEO uses no form of non-Flickr authentication and port 80 for all HTTP communication when there is no HTTP proxy server defined.

Automatically Resize Photos

Before uploading, you can automatically resize your photos to the maximum dimension that you specify here. The aspect ratios and EXIF/IPTC data is preserved during the resize. The images will not be resized if they are already sized to or are smaller than this dimension, i.e. images are never enlarged.

Your original images will be overwritten if you have the program configured to do so. If not, they'll first be copied to a temporary directory and then processed from there.

When resizing a JPG, the image data must be recompressed. The amount of compression depends on the image quality that you have specified.

Flickr imposes file size limits on the photos that you can upload, which is 5.2 MB as of this writing. If your photos are larger than that, you must resize them. You should also resize them so they'll fit nicely in a web browser window.

Normally, you should have this box checked and 800 specified for the maximum pixel dimension.

Image Title (Required)

Enter the image title. This should typically be only a few words in length with important words capitalized. Each photo must have a title.

The default image title is determined by looking for non-empty values from the following places in the order listed:

1. The image title that may have been previously entered

2. The EXIF Image Description tag

3. The IPTC Headline tag

4. The image file name

Flickr Tags (Optional)

Enter a space delimited list of keywords for the image. These words serve as metadata on Flickr and are used with RoboGEO's SmartSet filters.

The program automatically adds the Flickr geotags based on the photo's location. These tags look like:

geotagged geo:lat=35.123456 geo:lon=-103.987654 geo:dir=135

These 4 tags are used by various 3rd party applications to provide mapping capabilities for Flickr photos. The 'geotagged' tag is added to provide compatibility with those applications. The Flickr2Map service uses only the 3 'geo' tags.

Image Description (Optional)

Enter the image description. Allow the text to automatically wrap within the text box for best results. To include a new paragraph, press the enter key twice.

Flickr will recognize a limited amount of HTML markup in the description, so you can include that as well. You don't have to enter HTML line breaks (<br/>) - the program does that automatically by converting the carriage returns.

Check the 'Include Flickr2Map Links' to automatically include (or exclude) the Flickr2Map links at the beginning of the description. The link to a topo map will be omitted if the photo's location falls outside of the USA.

Save the Title and Description (Optional)

Check the appropriate box to save the current title, description, and keywords to the image's EXIF and/or IPTC headers. Note: since there is no associated EXIF field, keywords are only saved to the IPTC header. The process is lossless and all of the existing comments are preserved.

The program automatically reads this information when it loads an image, so saving it now will prevent you from having to retype it in the future.

Merge EXIF/IPTC fields into the Title, Tags or Description (Optional)

Click the Merge button to merge the value of a specific EXIF or IPTC field into either the title, tags or description. Upon clicking, a form will load that lists all of the non-empty fields for the current image. The bracketed field name that you select will be copied to the Windows clipboard so that you can paste it.

There are 179 possible fields , but you can only choose from those that exist in the current image and contain non-empty data.

The merging process is similar to what you would do in a word processor. For example, if your description is "My camera is a [Model] and this photo was taken with a shutter speed of [ShutterSpeed]th of a second", the output would be "My camera is a Canon PowerShot A75 and this photo was taken with a shutter speed of 1/250th of a second".

Select the "Include descriptive text too" checkbox if you want to include descriptive text before the merged field. For example, instead of just pasting "[ShutterSpeed]" to the clipboard, it would paste "Shutter Speed: [ShutterSpeed]".

This merging feature is especially powerful when it's used in conjunction with a template file. Just include the bracketed merge fields in it just as you would normal text.

Load a Template (Optional)

Click the Load button to load an existing image description template.

You'll be prompted whether to apply it to all of the current images. If you select No, it'll only be applied to the current image.

Save Image Description as Template (Optional)

Click this button to save the current image description as a template.

Using this will save time when you need a consistently formatted description for each image. For example, if you're entering information for a recent hike, you may want your template to look like:

Day:

Weather:

Trail:

Then, for each image, all you need to do is fill in the blanks.

Or, using the merging capability, you could have a template that looks like:

Model: [Model]

Exposure Time: [ExposureTime]

Shutter Speed: [ShutterSpeed]

Aperture: [Aperture]

Flash Fired: [FlashFired]

F Number: [FNumber]

Digital Zoom Ratio: [DigitalZoomRatio]

That would allow you to create a standard description that's used for all of your images without you having to do any typing. That would be especially useful if your images always contain IPTC data.

Clear Image Description (Optional)

Press this button to erase the current image title, tags and description.

Upload to Flickr (Required)

Once you've specified all of the required information, click this button to upload the images to Flickr. If the required information is invalid or if uploading the photos would result in you exceeding your Flickr quotas, you'll be advised.

As the uploads proceed, status information will be displayed at the bottom of the form. The amount of time that it takes will depend on the size and number of photos and the speed of your internet connection.

After the photos are uploaded, each photo will be added to the specified photoset. If, for reasons relating to Flickr account quotas, a photo can't be placed in the requested photoset, you'll need to manually remedy the situation from the Flickr website.

Upon completion, your web browser will load Flickr where you can further edit the photo titles, tags and descriptions. When you're satisfied, submit them to complete the process.


Export an ESRI Shapefile

RoboGEO - Export an ESRI Shapefile

Once you've loaded a GPS tracklog or have geocoded some images, you can export a shapefile for loading into programs such as ArcView.

Unlike other areas of the program, you don't have to load and geocode images before exporting the shapefile - all that's required is to download a GPS tracklog or to import a GPX file .

If the paths to the images will change after you export the shapefile and if the new path will be the same as the shapefile, you should set the ShapefileWriteFullPath preference setting to False.

Before exporting, you'll need to specify a few options as described below:

Specify the Basename (Required)

A shapefile actually consists of 3 different files. Each share the same name, but have a different file extension. The basename is used to name the files. For example, if you use the basename 'MyShapeFile' and export a point shapefile, the files will be named MyShapeFile-points.shp, MyShapeFile-points.shx, and MyShapeFile-points.dbf. Likewise, if you use the same basename and export a line shapefile, the filenames would be MyShapeFile-lines.shp, MyShapeFile-lines.shx, and MyShapeFile-lines.dbf.

You can change the default basename suffixes ('-points' or '-lines') by setting the ShapefileLinesFileSuffix and ShapefilePointsFileSuffix options.

Select the Output Folder (Required)

The shapefile files will be saved to this folder. If files with the same name already exist, they'll be overwritten.

Select the Output Type (Required)

You can export point shapefiles, line shapefiles, or both.

Point shapefiles represent the geocoded photos. This option will be unavailable if no photos exist.

Line shapefiles represent the GPS tracklog. This option will be unavailable if there is no tracklog, as would be the case if you manually geocoded the photos or if you did so from the GPS waypoints.

Export Projection File(s) (Required)

Check this box to export a projection file along with the shapefile(s). Projection files have a .PRJ file extension and they define the shapefile's coordinate system.

There are several predefined ellipsoids for you can choose from. You can also define your own, along with the associated equatorial radius and inverse flattening values, by typing them into their respective boxes.

Specify a URL Folder (Optional)

If you specify a URL in this field, the program will create an additional attribute field named 'Url' in the point shapefile. For example, if you want to have the same URL for all photos, you could enter something like http://www.yourdomain.com/contact.htm.

This is optional and is ignored if left blank.

Append the Image Filename to the End of the URL (Optional)

Check this box if you want to append the image filename to the end of the URL specified above. For example, if you specify a URL of 'http://www.yourdomain.com/folder/' and have an image named image.jpg, the URL attribute would become 'http://www.yourdomain.com/folder/image.jpg'.

The purpose of this is to allow linking to the full size image when all of the images exist in a specific folder on a web server.

EXIF/IPTC Attributes (Optional)

Select the EXIF and/or IPTC field(s) that you want to include in the output.

For each item that you select, an additional text field will be added to the database. The fields will contain the string representation of the selected item. If an image doesn't contain a selected field, a blank string will be written.

Export the Shapefile(s) (Required)

Click this button to export the shapefile(s). Upon completion, the output folder will be loaded.


Export an AutoCAD DXF File

RoboGEO - Export an AutoCAD DXF File

Once you've loaded a GPS tracklog or have geocoded some images, you can export a DXF file that's compatible with most vector based drawing programs such as AutoCAD or IntelliCAD.

Unlike other areas of the program, you don't have to load and geocode images (though you can) before exporting a DXF file - all that's required is to download a GPS tracklog or to import a GPX file .

The exported DXF file is in AutoCAD 2000 format.

You should typically insert the generated DXF file as a block into a new layer within an existing DWG file. By inserting it into a new layer, you can easily control the properties of the generated entities. The insertion base point is either the location of the 1st photo or the location of the 1st GPS trackpoint if no photos exist. If, when inserting, you see that the scale is wrong because you specified the wrong units in RoboGEO, change it before inserting. For the imperial system, this will typically be either .08333 or 12. Note that changing the scale will also change the size of the donuts and may make them smaller (or bigger) than you like.

After inserting and upon selecting a solid circle (donuts) at a photo location, use ctrl-click in AutoCAD to view the image.

You'll need to specify the options described below before exporting the DXF file:

Units (Required)

When the program converts the latitude and longitude values to drawing units, it needs to know how big a unit is. This should match the unit size of the drawing into which you intend to insert the DXF file.

To determine the physical units of an existing drawing, measure the number of units for a known distance. For example, if you know a road is 100 feet wide and 1200 units are used to represent it, specify inches in RoboGEO. If it's represented with 100 units, specify feet.

In AutoCAD 2006 and possibly other versions, you'll also need to specify the insertion scale units. That's specified on the UNITS screen in AutoCAD (type UNITS at the ACAD prompt). This should match what you enter in RoboGEO.

The DXF file's default unit settings (Imperial or Metric) will be set per the units. For example, if you select centimeters for the units, metric will be used. Imperial will be used if inches, feet, yards or miles is selected.

Include the Tracklog (Optional)

Check this box to include the GPS tracklog as a single entity polyline in the DXF file. If no tracklog is loaded, this option will be disabled.

Photo Entity Diameter (Required)

Enter the diameter of the solid circle that represents the photo location.

The number that you enter should be expressed in the drawing units of the DWG file into which you intend to insert the DXF file and should be sized so that it's in proportion to the rest of the drawing. If your drawing represents an area 2 miles long and if you specify a diameter of 12 inches, you won't be able to see the clickable entities at each photo location.

The entity is a filled circle which is equivalent to an AutoCAD donut with the diameter of the inner circle set to 0 with an outer circle having a thickness equal to half the overall diameter. The circles are represented in the DXF file as closed polylines.

Photo Entity Text (Required)

Select the text that you want to include next to each photo entity. Select 'No Text' if you don't want to include any text. The other text options all relate to the photo that the entity represents and includes the image file name, the location (lat/lon/alt or UTM coordinates), the EXIF time, the EXIF title and the IPTC headline.

Photo Entity Text Size (Required)

Enter the height of the text. The number that you enter should be expressed in the drawing units of the DWG file into which you intend to insert the DXF file.

Image Location (Required)

The images can exist either on the local computer or on a web server. If you select the 'Images exist in a folder on the web', you'll need to upload all of the photos to a common folder on the web and then specify the associated URL in the box below.

If you're storing the images on the web, the complete image URL is constructed by appending the local image's filename to the end of the URL. For example, if an image's local path is c:\folder\image.jpg and if the URL field is http://www.yourdomain.com/photos/, the URL http://www.yourdomain.com/photos/image.jpg will be saved to the entity's hyperlink extended data. You can also use this feature to specify a different local path. In either case, the file name is simply appended to the end of whatever you specify in the URL field

Export the DXF File (Required)

Click this button to export the DXF file.

Upon completion and if you have an application associated with DXF files, it'll be loaded. Otherwise, you'll just be advised that the DXF file was saved.


Export to MapPoint and Streets And Trips

RoboGEO - Export to MapPoint and Streets And Trips

Select this option to export a file that can be imported into Microsoft's MapPoint or Streets and Trips. You can export either the photo locations or the GPS tracklog.

From either program, select the 'Import Data Wizard' from the 'Data' pull-down menu to import it. When prompted for the field delimiter, choose semi-colon.

Note: In MapPoint you can link to the actual image. Streets and Trips only allows you to view the image information.


Export a GPX File

RoboGEO - Export a GPX File

This option allows you to export a GPX file containing the currently loaded information.

You can export the photos as a list of waypoints and/or as the basis for route. You can also include the tracklog in the output.

Set the GpxImagePathInWaypointComment preference if you want to write the image file path to the waypoint comment fields instead of the image title. You should do this if you'll be loading the program into a 3rd party utility that can make use of it.

Set the GpxImageTitleAsWaypointName preference if you want to use the image title (instead of the filename) for the waypoint name. If you do this you need to ensure that all of the titles are unique.

Set the various Memory-Map options to export GPX files that are suitable for importing into Memory-Map or, if you're using Garmin's MapSource program, set those options .


Upload Photo Locations Back to the GPS

RoboGEO - Upload Photo Locations Back to the GPS

Once you've geocoded the images, you can upload the associated locations as waypoints back to a connected Garmin GPS unit that supports and is configured to use the Garmin Protocol.

You'll first be prompted for a waypoint identifier prefix. This will be used to create unique, sequentially numbered, waypoint names. For example, if you enter HIKE, the waypoints will be named HIKE1, HIKE2, HIKE3, etc. The number of digits (or zero placeholders) that will be appended to the end of the prefix will depend on the number of images. The previous example would apply if there were 9 or fewer images. Press the 'Cancel' button if you want to manually specify the waypoint identifier names.

On the 'Upload Waypoints' form you can specify the waypoint identifiers and, optionally, the comments. Cycle through the images by pressing the 'Back' and 'Next' buttons. When you're done, press the 'Upload' button to upload them to your Garmin GPS unit.

You need to be careful that you don't inadvertently overwrite any or your GPS's existing waypoints and that your geocoded photo locations don't overwrite one another. For example, assume that you have 3 geocoded photos and have assigned them the waypoint identifiers CAMPING1, CAMPING2, and CAMPING3. You need to ensure that the following scenarios do not occur:

1. If your GPS currently has waypoints named CAMPING1, CAMPING2, or CAMPING3 they will be overwritten.

2. If your GPS only supports 6 characters in the waypoint name and if your GPS currently has a waypoint named CAMPIN, it'll be overwritten.

3. If your GPS only supports 6 characters in the waypoint name, CAMPING1 will be saved to the unit as CAMPIN. CAMPING2 will, in turn, be saved as CAMPIN (overwriting the one that was just uploaded). The same thing will then happen to CAMPING3. In the end, only one new waypoint will have been uploaded - the one that was formerly named CAMPING3.

4. If you include a character in the waypoint identifier that the GPS does not support, the GPS may simply discard the character when it's uploaded and that may cause an existing waypoint to be overwritten. For example, a waypoint named HIKE~1 may overwrite an existing waypoint named HIKE1.

Press the 'Download' button to download the existing waypoints into the grid so that you can ensure that you're not overwriting any existing waypoints.

If you specify the WaypointIdentifierMaxLength option for your specific Garmin GPS unit, the program will warn you if your waypoint identifier names are too long. There are other options you can specify as well that relate to the waypoint comment and symbol.


Export HTML

RoboGEO - Export HTML

Select this option to export HTML that can be viewed either locally or from a web server. The output is pure HTML (no script or dependencies on 3rd party APIs) that can be viewed in any browser.

All of the input parameters on the HTML Export form are optional. The minimum default output is a simple grid of thumbnails with 4 columns. If you specify any image titles or descriptions, the output will consist of a list of thumbnails on the left with the associated titles and descriptions on the right instead of the default 4 column wide grid. You can also specify the page title (large text centered at the top of the page), the page description (justified text between the page title and the image grid), and the page footer (small text centered below the thumbnail). The footer text should typically contain a copyright notice ((c) is automatically converted to ©).

You can control the appearance of the web page by specifying HtmlExportMaxTableWidth and the related options. You can also manually edit the style.css and index.html files. The program also outputs data.xml which can be used to generate fully customized output.

You can automate the HTML export by using the /w command line switch .


Project Files

RoboGEO - Project Files

RoboGEO Project files contain all of the information associated with the currently loaded images and location data. Saving and loading them allows you to work on a set of images in multiple sessions.

Project files are also useful for reviewing the files that are associated with the images.

Project files are plain ASCII text and have a RGW file extension. Records are delimited with a carriage return line feed combination and fields are delimited with a linefeed. The first field in each record, which is a single letter, denotes the type of record. 'V' stands for RoboGEO version, 'I' for image and 'T' for trackpoint. The format of each numeric and date field is per the computer's Regional Settings. If you attempt to open a project file that was created on a computer that used different regional settings, the loading may fail with an 'Overflow' error message. Overflow error messages can also happen when there's missing data.

If you save a project file and then subsequently move the associated images to a different location on your computer, you'll receive an error when you try to reload it. RoboGEO does not store the actual image data in the project file - just the file path.

The installation program automatically associates the .RGW file extension with the RoboGEO application.

You can automatically open project files by specifying the path as a command line parameter.


Open a Project File

RoboGEO - Open a Project File

Open an existing project file. If there's data currently loaded, you'll be prompted whether to remove it before loading the new file. If you don't remove it, the project file data will be appended to the current data.

If you load a project file that was created with RoboGEO v5.0.7 or earlier, you'll be prompted whether to convert it to the current format.

Project files can also be passed on the RoboGEO.exe command line or dragged/dropped onto the main grid.


Close a Project File

RoboGEO - Close a Project File

This closes the current project file. You'll be prompted to save it if changes have been made.


Save a Project File

RoboGEO - Save a Project File

Save the current project file or create a new one from the existing data.


Preferences

RoboGEO - Preferences

Selecting this option loads the Preferences screen where you can specify various program settings. The items listed are either those that apply globally or those that cannot be specified elsewhere.

To set an option in the RoboGEO preferences, select it from the tree view and then enter the new value into the 'Current Value' box. Click the 'Save' button to save it.

If an item requires a True/False value, select the appropriate option. Other items require that you type a value directly into the textbox. Some items, such as the Datum, require an additional input form - double click on the 'Current Value' box to load it. If the field is a URL or media file, double clicking on it will load it into the associated program.

You can save your current configuration by selecting 'Save' under the Preference's 'File' pull-down menu. By default, saved config files have an RCF (RoboGEO Config File) file extension. Note that the program only saves those values that differ from the default values.

Some settings specify file paths and some of those are dependent on the location of the RoboGEO installation folder or dependent on the Windows user's Documents folder. For example, on your computer the StampLogoFilePath setting may be C:\Program Files\RoboGEO\YourLogo.png. If you exported a config file and then tried to load it on a computer where the installation folder was D:\RoboGEO\, the C:\Program Files\RoboGEO\YourLogo.png path would not exist. For that reason, if a option's configured path does not exist, the program will look for it in a list of predefined locations as documented for that specific option. In the example above, after not finding YourLogo.png in C:\Program Files\RoboGEO\YourLogo.png, the program would then look for it in D:\RoboGEO\.

There are 3 ways you can open a previously saved RCF file. The 1st is by loading a local file by selecting the 'File->Open->Local File' pull-down menu option. The next way is to load it from the web by selecting the 'File->Open->From the Web' pull-down menu option. You may need to load it from the web if you're part of a team that must use a common config file. The 3rd way is to load it (either a local file or a URL) from the roboge.exe command line. Since saved RCF files only contain the preference items that differ from their default values, you may need to reset your preference settings to the default values before loading the RCF file.

You can reset all of your preference settings to the default values by selecting the Preference's 'File->Reset' pull-down menu. Note you can also do this by passing /DEFAULTS on the robogeo.exe's command line .

You can specify the URL associated with the Preferences form's Help button by setting PreferencesHelpButtonUrl and you can display a custom message when the form loads by setting PreferencesMessageAtStartup . Using these 2 settings along with the program's ability to load a config file from a URL allows you to coordinate and communicate with multiple users who must share the same program settings.

UseOnlineHelp

If True, the on-line help system will be used instead of the local help. Set this to False if you don't have access to the internet or if you just want to use the local help system.

EditOriginalImages

If True, the program will overwrite the existing images when they're processed.

If False (the default), you'll be prompted for an output folder and the images will be copied to and processed from there, i.e. the original images will not be modified.

This must be set to False if you specify multiple options on the robogeo.exe command line.

Note: You can override this setting when renaming or redating images.

BackupOriginalImages

If both this and EditOriginalImages are True, the original images will be backed up to a new folder under \My Documents\RoboGEO\Backup\ before they are processed. The name of the new folder will be based on the current time and will be of the form yyyymmddhhmmss. For example, if the time is 4:49:01am on December 31, 2007, the new folder will be named \My Documents\RoboGEO\Backup\20071231044901\.

JpgQuality

Specify the image quality to use when saving JPG files. This can range from 1 (lowest quality, highest compression, smallest file size) to 100 (highest quality, lowest compression, largest file size).

As the quality increases, so does the resulting file size. High quality is good. Large file size is bad. The goal is to reach a happy compromise where the quality is acceptable without having huge files. The default value of 98 produces reasonably sized images with no perceptible loss of image quality.

The program writes EXIF and IPTC data in a lossless manner, so this option doesn't matter when you're only doing that.

Datum

Specify the datum. The datum that you select should be the same as your GPS unit and/or the same datum that's associated with the tracklog files that you import. Select WGS 1984 if you're unsure.

Double click on the Current Value box to select a recognized datum from the list.

AltitudeIsFeet

If True, altitudes are expressed in feet. Otherwise, meters are used. The units are used for display purposes only, like when stamping images or displaying trackpoint statistics. Altitudes are always written as meters when saved to the EXIF headers, regardless of what is specified here, because that's what the EXIF specification requires.

If your GPS unit doesn't support altitude data and if you never manually enter the values, it won't matter what you use.

CoordinateFormat

The program will display location values in this format. DEGREES will use decimal degrees and MGRS will use the Military Grid Reference System. Note that the 'Images -> Stamping -> Footer -> StampLatLonFormat ' setting controls the coordinate format when stamping images. You'll need to restart the program for the change to take effect.

CameraOffset

You can automatically determine this value by selecting the ' Camera Clock ' option under the 'File' pull-down menu.

This option allows you to compensate for an inaccurate camera clock. The camera offset is specified in seconds and is added to the GPS time so that it matches the camera's time.

To geocode images from a GPS tracklog, the camera's time must be in sync with the GPS's time. If they aren't, there will be errors in the image locations as described here.

The camera offset should be positive if the camera clock is ahead of where it should be or negative if the clock is running slow. Normally, you should simply ensure that the camera clock is accurate by using the method below and specifying zero for this option.

This option isn't intended to be used for specifying the UTC offset for your time zone. Use the UtcTimeBias option for that or let the program determine it automatically by looking at your computer's time zone information.

The best way to ensure that the camera's clock is accurate is to simply set it so that it matches the GPS. Turn on your GPS and go to the page where the time is displayed. Assume that it shows 11:22:02. Now go to the setup screen in your camera where you set the time. It doesn't matter if your camera displays seconds or not. Set it to the next highest minute (11:23 in this case) and wait for the GPS to reach that time. When it does, save the camera time. Be quick.

Since camera clocks drift, it's a good practice to do this fairly often and, at least, once on the day before you take any pictures.

Note that some GPS units don't support the display of daylight savings time. In you live in a locality that does and if it's in effect, the time that displays on your GPS will be 1 hour behind (or ahead of) the actual local time. Don't be alarmed by this and don't think that you need to set a 3600 second offset or set your camera's time back an hour to account for it. Just ignore the 1 hour error because it's not really an error. GPSs always use UTC time - the local time that a GPS displays is for human eyes only.

When your camera and GPS clocks are in sync, the camera offset should be set zero.

If you must specify a camera offset, either type it in or double click on the Current Value to load an interactive form. The form gives you 2 methods for determining the camera offset:

For the 1st method, when prompted whether to load an image of your GPS unit showing the time, select 'NO'.

You'll then be prompted to enter the offset (in seconds) between the camera and GPS. If the camera's time is behind the GPS, the number should be negative. Otherwise it should be positive.

For example, if the GPS time is 11:30:00 and the Camera time is 13:31:01, the offset would be 7261 (2 hr + 1 min + 1 sec = 7261 sec). Note that the offset is positive since the camera time is ahead of the GPS time.

The 2nd method is the "picture of the GPS" method. To do that select 'Camera Clock' from the 'File' pull-down menu, set the appropriate options, then press the 'Set CameraOffset' button. Note that the "picture of the GPS" method isn't as accurate as manually setting the camera's clock to match the GPS. A GPS only displays time in 1 second increments, so the error in automatically determining the offset can be as great as 1 second. On the other hand, when you're manually setting the camera clock, you can probably do that with a maximum error of about 1/4 of second if you're quick.

If a tracklog is loaded when you change this option, you'll be prompted whether to adjust the tracklog timestamps to account for the new value. If you choose yes and if you're geocoding images from multiple cameras that have different time settings, you won't have to reload the common tracklog each time to account for different cameras.

UtcTimeBias

You can automatically determine this value by selecting the ' Camera Clock ' option under the 'File' pull-down menu.

Time zone boundaries are political things and because of that, your GPS knows nothing about them. Knowing nothing about time zones, your GPS also knows nothing about your current local time. All your GPS knows is UTC time. UTC stands for "Universal Time Coordinated" and it is, for all practical purposes, the same as the local time at the Royal Observatory in Greenwich, London. For example, in the summer when daylight savings time (another political thing) is in effect, it's 5pm in London when it's 10am in Los Angeles.

Your camera only knows the time that you set for it and, since you're a human, you probably set it to your local time. If you set it to UTC time then it's just like your GPS - it only knows UTC time. Your camera only knows the time that you set for it.

Since your GPS only knows UTC time and since your camera (presumably) only knows local time, you need to equate the two. That's the purpose of this option. Using it, you can specify the difference between your camera's local time and your GPS's UTC time and in doing that, the program will be able to sync your GPS data with your camera's data.

To do this, specify the number of minutes that your camera's clock was ahead of or behind Greenwich Mean Time at the time you took the pictures. The number should be positive for areas west of Greenwich England, like Canada and the USA. For areas to the east, like India and Australia, the number should be negative. NOTE: the number of minutes is per the camera's clock at the time you took the pictures since that was the applicable time with respect to the photos.

For example, in New York City, NY USA during the summer when daylight savings time (DST) is in effect the UtcTimeBias should be 240. Note that it's positive and that it's expressed in minutes. In the winter when DST isn't in effect, it would be 300.

If your camera's clock is set to UTC time, set this option to 0.

If you specify -1 (the default), the program will automatically determine the bias by looking at your computer's time zone information. This can be problematic if your camera and computer are not set to the same time zone, if Windows cannot accurately report whether DST is in effect for your locale, or if DST changes between the time you record a tracklog and the time that you use it to geocode images.

If a tracklog is loaded when you change this option, you'll be prompted whether to adjust the tracklog timestamps to account for the new value. If you choose yes and if you're geocoding images from multiple cameras that have different time settings, you won't have to reload the common tracklog each time to account for different cameras.

CmdLineAutoModePlayWav

Specify the local path to a WAV sound file. If robogeo.exe is started in automode by using the /a command line parameter, the sound file will be played at program startup. You can double-click on the file path in the associated text box to preview the sound.

If the program can't find the file at the indicated path, RoboGEO will first look for it in the folder where robogeo.exe resides, then in the Windows user's Documents folder, and then finally in the RoboGEO folder that exists under the Windows user's Documents folder.

CmdLineAutoModePrompt

If True and if robogeo.exe is started in automode by using the /a command line parameter, you'll be prompted at program startup whether to cancel the execution of the other command line parameters. This prompt occurs after the WAV file is played.

CmdLineAutoModeLogFilePath

Specify a file path to an ASCII text file. When the program is started in automode by using the /a command line parameter, status information and/or errors are written to this file instead of being displayed to the user. The file is created if it doesn't currently exist.

If not specified, the log file will be named AutoMode.log and will be located in the current Windows user's 'My Documents' folder. Note that because of that, different Windows users will have different log files.

If the program can't find the file at the indicated path, RoboGEO will first look for it in the folder where robogeo.exe resides, then in the Windows user's Documents folder, and then finally in the RoboGEO folder that exists under the Windows user's Documents folder.

CmdLineAutoModeLogFileArchive

If True and if the log file size exceeds what's specified in CmdLineAutoModeLogFileArchiveSize , it will be renamed to a dated format (YYYYMMDDHHMMSS with an extension that matches the original log file name), compressed, and then added to an archive named LogArchive.zip located in the same folder as the original log file. Once added, the original log file will be deleted.

CmdLineAutoModeLogFileArchiveSize

Specify a number between 65536 and 2147483647. When the log file size (in bytes) exceeds this number, it'll be archived per CmdLineAutoModeLogFileArchive .

CmdLineAutoModeLaunchGoogleEarth

If True and if exporting to Google Earth (/g) in automode (/a), the generated KML or KMZ file will be launched in Google Earth upon completion.

CmdLineAutoModeLaunchGoogleMaps

If True and if exporting to Google Maps (/m) in automode (/a), the folder containing the generated files will be launched in Windows Explorer upon completion.

CmdLineAutoModeLaunchShapefile

If True and if exporting a Shapefile (/h) in automode (/a), the folder containing the generated files will be launched in Windows Explorer upon completion.

CmdLineAutoModeLaunchDxfFile

If True and if exporting a DXF file (/c) in automode (/a), the generated DXF file will be launched in the Windows program associated with the .DXF file extension upon completion.

CmdLineAutoModeLaunchMapPointFile

If True and if exporting a CSV file for MapPoint (/b) in automode (/a), the generated CSV file will be launched in the Windows program associated with the .CSV file extension upon completion. Note that MapPoint isn't usually associated with .CSV files - that's usually a spreadsheet program.

CmdLineAutoModeLaunchGpxFile

If True and if exporting a GPX file (/b) in automode (/a), it will be launched in the Windows program associated with that file extension upon completion.

CmdLineAutoModeLaunchHtmlFolder

If True and if exporting HTML (/w) in auto mode (/a), the folder to which the HTML files were exported will be launched in the associated Windows program upon completion. The default is False.

CmdLineAutoModeRemoveUngeocoded

If True when running in auto mode (/a), ungeocoded images will be automatically removed from the selected image list and the requested operation will proceed. If False, the default, the operation will abort.

CmdLineImgLoadGeocoder

When only an image path is passed on the robogeo.exe command line, the image is loaded and added to the grid just as if you selected it from the pull-down menu. In addition to that and if this is set to True, the Google Earth geocoder will load and allow you to quickly (manually) geocode the image.

To use this efficiently in your normal workflow, it may be necessary to temporarily associate robogeo.exe (instead of your normal graphics program) with the image format that you're dealing with. That way when you launch an image file, it'll automatically load in the Google Earth geocoder. Another option is to eliminate the association with the image format. When that's the case and when you try to launch an image file, Windows will prompt you for the program to use - select robogeo.exe or your normal graphics program depending on what you want to do.

In Windows XP you can change an association by loading Windows Explorer and then selecting Tools-->Folder Options-->File Types. In Vista, select 'Default Programs' in the Control Panel.

CmdLineTracklogExportGoogleEarth

When only a tracklog file is passed on the robogeo.exe command line, the tracklog is loaded just as if you selected it from the pull-down menu. In addition to that and if this is set to True, it'll also be loaded in Google Earth, allowing you to quickly view it.

This serves as a very quick way to view tracklogs, so you may want to manually associate robogeo.exe with .GPX files on your computer.

CmdLineTracklogExportGoogleEarthThenEnd

If just a tracklog is passed on the command line and if CmdLineTracklogExportGoogleEarth is True, robogeo.exe will automatically end after it launches it.

CmdLineCmdLineDotTxtUse

If this is True and if CmdLine.txt exists in the same folder as robogeo.exe, the contents of that file will be used for robogeo.exe's command line. If something is also specified on the command line, it'll be ignored, i.e. CmdLine.txt overrides what may exist on the command line.

CmdLine.txt should be plain ASCII text and contain a single line of text that conforms to the requirements of a normal robogeo.exe command line. For example, CmdLine.txt may contain a single line of text that reads (without quotes), '/p:c:\robogeo\projects\hike.rgw /s /e /g /a'. That CmdLine.txt file would be equivalent to starting RoboGEO using the command line parameters 'C:\Program Files\RoboGEO\robogeo.exe /p:c:\projects\hike.rgw /s /e /g /a'.

There are other options that relate to the use of Cmdline.txt command line file including CmdLineCmdLineDotTxtDeleteAfterUse , AutoStartLaunchApp & AutoStartWaitForCmdLineDotTxtExist . The intent of this feature is to allow you to develop independent applications that dynamically create the CmdLine.txt file so that you can control RoboGEO's behavior when running in automode.

CmdLineCmdLineDotTxtDeleteAfterUse

If True, Cmdline.txt is deleted after it's used. You should usually do this if you're using a 3rd party application to dynamically create the file.

AutoStartDelCmdLineDotTxt

If True, Cmdline.txt is deleted at program startup.

AutoStartLaunchApp

If specified and if it represents a local file path to an application, the application is launched at program startup. What robogeo.exe does after it launches the application depends on what you specify for AutoStartWaitForAppEnd , AutoStartWaitForCmdLineDotTxtExist , and AutoStartWaitTimeOut .

Your application could, for example, preprocess images or dynamically create the CmdLine.txt file.

If the program can't find the file at the indicated path, RoboGEO will first look for it in the folder where robogeo.exe resides, then in the Windows user's Documents folder, and then finally in the RoboGEO folder that exists under the Windows user's Documents folder.

AutoStartWaitForAppEnd

If the application associated with AutoStartLaunchApp is launched at program startup, robogeo.exe will resume either when the application ends or when there's a timeout.

AutoStartWaitForCmdLineDotTxtExist

If the application associated with AutoStartLaunchApp is launched at program startup, robogeo.exe will resume either when this file path exists (such as c:\robogeo\CmdLine.txt) or when there's a timeout.

AutoStartWaitTimeOut

If the application associated with AutoStartLaunchApp is launched at program startup, robogeo.exe will resume if the application has not ended in this amount of time. The number is expressed in seconds. If you specify -1, the program will wait indefinitely for the program to end.

AutoEndLaunchApp

If specified and if it represents a local file path to an application, the application is launched asynchronously before the program ends.

If the program can't find the file at the indicated path, RoboGEO will first look for it in the folder where robogeo.exe resides, then in the Windows user's Documents folder, and then finally in the RoboGEO folder that exists under the Windows user's Documents folder.

IsSpeedy

If True, some of the visual effects associated with the user interface will be turned off, which may speed up the application on slower computers.

This has no effect on the program's functionality - just how it looks. The default value is False.

MainFormForceWidth

If both this and MainFormForceHeight are non-zero and valid for your screen size, the main form's width will be set to this many pixels. Set this to 1280 and MainFormForceHeight to 720 to force HD mode.

MainFormForceHeight

If both this and MainFormForceWidth are non-zero and valid for your screen size, the main form's height will be set to this many pixels. Set this to 720 and MainFormForceWidth to 1280 to force HD mode.

GridInputLatLonFormat

This is the required format when typing latitude and longitude values directly into the grid. It does not apply when entering values via the 'Edit' pull-down menu - only when typing directly into the grid.

There are 3 formats to choose from: DD (decimal degrees, the default), DM (degrees and decimal minutes), or DMS (degrees, minutes and decimal seconds). These are case sensitive and must entered exactly as shown. For example, if DD = -87.2554, then DM = -87 15.324 and DMS = -87 15 19.44.

You must include spaces between the degrees, minutes and seconds. You can include as many decimal places as you wish. Specify a leading minus sign as required, but never include leading zeros.

After you enter the number in your desired input format, the program will automatically convert it to decimal degrees for display in the grid.

GridRowHeight

Specify the height, in pixels, of the grid rows. The default value is 18.

GridFontSize

Specify the grid font height in points. Depending on the font, the actual font size may differ from what you specify here. The default is 8.

GridFontFace

Specify the grid font face. The font must exist on your system. The default is MS Sans Serif.

FolderPickerShowFiles

If True, the folder picker dialog will show files in addition to folders. The default is False.

PreferencesHelpButtonUrl

If specified, this URL is launched when the 'Help' button is pressed on the Preferences screen. If blank, the program's normal help file will be loaded.

PreferencesMessageAtStartup

If specified, this text is displayed when the preferences screen loads.

UseMilitaryTimeZones

If True, military style time zone descriptions will be used on the camera clock form and, additionally, when a military time zone is selected, the associated time zone designator will be written to the StampUseMilitaryTimeDesignator preference setting.

ForceStepOneExpanded

If True, the Step #1 node in the task pane will be automatically expanded and all of the other ones will be closed.

IncludeEditTimestampsReminder

If True, a reminder to correct the photo timestamps will be including in the taskpane under Step #3.

PreserveImageDiskDates

If True, image disk dates are preserved when data is written to the EXIF, when stamped, when auto-rotated, or when they are renamed. Otherwise, the image disk date reflects the date when the image was last modified. The default value is False.

StampTitle

If True and if an image title exists, it's stamped at the top of the image. The header font size is automatically determined so that the title is as wide as possible without exceeding the image width and without being taller than 3.25% of the overall image height.

StampTitleUseIptcHeadline

When stamping images if both this and StampTitle are True, the program will use the IPTC headline for the header text instead of the EXIF title.

StampTitleFontFace

Specify the header font face for stamped images. The font should be a TrueType and must be installed on your system. The default is Arial.

StampTitleFontSize

Specify the header font size. If you enter 0 (the default), the program will automatically determine the optimal size so that the width is as wide as possible without exceeding the image width, but never being taller than what's specified by StampTitleFontSizePercentage of the overall image height.

StampTitleFontSizePercentage

When StampTitleFontSize is 0, the program will automatically calculate the font size so that it's as wide as possible without being more than this percentage taller than the image's total height. The default is 3.25.

StampTitleFontBold

When True, a bold font will be used for the header. Note that making a font bold also makes it wider.

StampTitleFontColor

Specify header's 24-bit long font color. This ranges from 0 (black) to 16777216 (white). The default value (12632256 = gray) corresponds to RGB(128, 128, 128). Red is 255. Green is 65280, yellow is 65535, blue is 16711680, etc.

StampTitleFontOpacity

Specify the header font opacity. This should be a whole number between 0 (invisible) and 255 (totally solid).

StampTitleBackgroundBrightness

This controls the brightness of the header text background and it should range between -100 (solid black) and 100 (solid white). Numbers in between those, like 0, result in a partially transparent background.

StampLatLonFormat

Specify the latitude/longitude format to use when stamping images.

There are 5 formats to choose from: DD (decimal degrees, the default), DM (degrees and minutes), DMS (degrees, minutes and seconds), UTM (Universal Transverse Mercator) , and MGRS (Military Grid Reference System) coordinates. These are case sensitive and must entered exactly as shown.

StampMgrsPrecision

MGRS precision. 1 is 10km, 2 is 1km, 3 is 100m, 4 is 10m, and 5 is 1m.

StampUseMilitaryTimeConvertedToUtc

When stamping images if both this and StampUseMilitaryTime are True, the timestamps from the camera will be converted to UTC time before they're stamped onto the images. This should be set to False if the camera's clock is already set to UTC time.

StampMgrsNoSpaces

If True no spaces will be included in the MGRS coordinates. Set to False if you want to include as space between the various components, i.e. grid zone designator <space> 100,000 meter square identifier <space> easting value <space> northing value.

StampUtmDecimalPlaces

The number of truncated decimal places in a UTM coordinate's easting and northing values.

StampUtmLatitudeBandDesignatorType

Specify the format of the latitude band designator to use when stamping images. The latitude band designator is the letter that appears after the UTM zone number.

There are 3 formats to choose from: MGRS (Military Grid Reference System) which uses A-Z except except I and O, HEMISPHERE which uses either N or S depending on the latitude, and NONE which omits the designator entirely. The default is MGRS.

StampUtmUnitsIsFeet

If this is True and if StampLatLonFormat is set the UTM, the UTM northing and easting values will be expressed in feet instead of meters. The type of feet is per the StampUtmFeetIsUsaFeet setting. The default is False (they're expressed in meters).

StampUtmFeetIsUsaFeet

If both this and StampUtmUnitsIsFeet are True, U.S. Survey feet (1 meter = 3.28083333333333) are used instead of International feet (1 meter = 3.28083989501312 feet) when converting from meters.

StampFontFace

Specify the footer font face for stamped images. The font should be a TrueType and must be installed on your system. The default is Arial.

StampFontSize

Specify the footer font size. If you enter 0 (the default), the program will automatically determine the optimal size so that the width is as wide as possible without exceeding the image width, but never being taller than what's specified by StampFontSizePercentage of the overall image height.

StampFontSizePercentage

When StampFontSize is 0, the program will automatically calculate the font size so that it's as wide as possible without being more than this percentage taller than the image's total height. The default is 3.25.

StampFontBold

When True, a bold font will be used for the footer. Note that making a font bold also makes it wider.

StampFontColor

Specify the footer's 24-bit long font color. This ranges from 0 (black) to 16777216 (white). The default value (12632256 = gray) corresponds to RGB(128, 128, 128). Red is 255. Green is 65280, yellow is 65535, blue is 16711680, etc.

StampFontOpacity

Specify the footer font opacity. This should be a whole number between 0 (invisible) and 255 (totally solid).

StampBackgroundBrightness

This controls the brightness of the footer text background and it should range between -100 (solid black) and 100 (solid white). Numbers in between those, like 0, result in a partially transparent background.

StampIncreaseCanvasHeight

When stamping location data in the image footer, the default method is to place it directly on top of the image. This causes a small amount of the image to be obscured by the text. If you set this option to True, the image's canvas height will be increased by the required amount so that the text can be stamped into the newly exposed area. This results in none of the raster data being obscured by the text.

StampIncreaseCanvasColor

If StampIncreaseCanvasHeight is True, the color of the newly exposed canvas will be set to this. This will become, in effect, the background color for the stamped footer text. 0 (black) is the default.

StampOmitDate

If True, the image date is not included in the footer when stamping. Use this if the date isn't important or if you're running out of horizontal space on the image.

StampOmitUtcOffset

If True, the UTC offset is not included in the footer as part of the timestamp when stamping.

StampOmitTime

If True, the timestamp that's used when stamping is per your computer system's Short Date format instead of the Long Date format, i.e. no time component will be included on the image, only the date. The UTC Offset will also also omitted.

StampOmitAltitude

If True, the altitude is not included in the footer when stamping.

StampOmitDirection

If True and if it exists for the image, the direction is not included in the footer when stamping.

StampOmitDatum

If True, the map datum is not included in the footer when stamping.

StampUseConfiguredDatum

If True, the value that you've specified for the Datum setting will be used when stamping images. If False the Datum setting will be ignored and whatever currently exists in the EXIF's datum field will be used. The default value is False.

StampUseCardinalDirections

When True and when stamping images, cardinal directions (N, NNE, NE, ENE, etc.) are used in the footer instead of decimal degrees measured clockwise from true north.

StampMinutesDecimalPlaces

When stamping images with degrees-minutes format (DM), this many decimal places will be used for the minutes.

StampElapsedTime

When True and when stamping images, the elapsed time relative to the earliest image will be stamped on the image footer instead of the image's local timestamp.

StampElapsedTimeWord

When StampElapsedTime is True and when stamping images, this word is placed after the elapsed time. The default word is "Elapsed".

StampUseDateAndTot

If True and when stamping images, the date and time will be stamped in a format similar to 'Date: 23SEP08 TOT: 1615Z' instead of using the long date format associated with your computer's regional settings. It's assumed that the camera's clock is set to the local time, so the time is converted to UTC time before stamping.

StampUseMilitaryTime

If True and when stamping images, the date and time will be stamped in a format similar to '0335:49Z 06JAN2011' instead of using the long date format associated with your computer's regional settings. It's assumed that the camera's clock is already set to UTC time, so the time is used verbatim and not converted before stamping. If you want to override this and also convert to UTC time, set StampUseMilitaryTimeConvertedToUtc to True.

StampUseDateAndTotTimeDesignator

If StampUseDateAndTot is True when stamping images, this is appended to the end of the timestamp. The default is Z.

StampUseMilitaryTimeDesignator

If StampUseMilitaryTime is True when stamping images, this value, if any, is appended to the end of the time portion of the timestamp, but before the date. If this value is Z, the resulting timestamp would look similar to 0809:19Z 18JAN2011.

StampPrefix

If specified when stamping images, this text will be included to the left of the stamped footer text. If StampPrefixPrompt is also True, this text will be used for the associated prompt's default value.

StampPrefixPrompt

If True when stamping images, you'll be prompted for text to include at the beginning of the footer text. If StampPrefixPromptText is also specified, it'll be used for the prompt text. If StampPrefix is also specified, it'll be used for the default value.

StampPrefixPromptText

When stamping images and if StampPrefixPrompt is True, this is the text that will be presented to the user when prompting for the text to stamp to the left of the footer text.

StampSuffix

If specified when stamping images, this text will be included to the right of the stamped footer text. If StampSuffixPrompt is also True, this text will be used for the associated prompt's default value.

StampSuffixPrompt

If True when stamping images, you'll be prompted for text to include at the end of the footer text. If StampSuffixPromptText is also specified, it'll be used for the prompt text. If StampSuffix is also specified, it'll be used for the default value.

StampSuffixPromptText

When stamping images and if StampSuffixPrompt is True, this is the text that will be presented to the user when prompting for the text to stamp to the left of the footer text.

StampLeftRightJustified

If True when stamping images, the footer text, except for the timestamp, will be left justified. The timestamp will be right justified. The text in the middle, if it exists, will be centered between the two.

StampLeftRightJustifiedTitleInMiddle

If both this and StampLeftRightJustified are True when stamping images, the image title, if it exists, will be centered between the left and right justified components.

StampPreprocessorApplicationPath

Before an image is stamped and if specified, this application will be launched with the current image path passed as a command line parameter to it. Whether RoboGEO waits for the application to terminate before continuing depends on the StampPreprocessorApplicationWaitForEnd setting.

If the program can't find the file at the indicated path, RoboGEO will first look for it in the folder where robogeo.exe resides, then in the Windows user's Documents folder, and then finally in the RoboGEO folder that exists under the Windows user's Documents folder.

StampPreprocessorApplicationWaitForEnd

If True and if StampPreprocessorApplicationPath is specified, RoboGEO will wait for the launched application to terminate before continuing. Otherwise, the program is launched asynchronously.

StampPreprocessorApplicationTimeOut

If StampPreprocessorApplicationPath is specified and if StampPreprocessorApplicationWaitForEnd is True, this is the maximum amount of time (in seconds) RoboGEO will wait on the launched program to terminate. If -1, the wait will be indefinite.

StampPostprocessorApplicationPath

After an image is stamped and if specified, this application will be launched with the current image path passed as a command line parameter to it. Whether RoboGEO waits for the application to terminate before continuing depends on the StampPostprocessorApplicationWaitForEnd setting.

If the program can't find the file at the indicated path, RoboGEO will first look for it in the folder where robogeo.exe resides, then in the Windows user's Documents folder, and then finally in the RoboGEO folder that exists under the Windows user's Documents folder.

StampPostprocessorApplicationWaitForEnd

If True and if StampPostprocessorApplicationPath is specified, RoboGEO will wait for the launched application to terminate before continuing. Otherwise, the program is launched asynchronously.

StampPostprocessorApplicationTimeOut

If StampPostprocessorApplicationPath is specified and if StampPostprocessorApplicationWaitForEnd is True, this is the maximum amount of time (in seconds) RoboGEO will wait on the launched program to terminate. If -1, the wait will be indefinite.

StampLogo

If this is True when stamping images, the logo specified by StampLogoFilePath will be stamped onto each image.

If the program can't find the file at the indicated path, RoboGEO will first look for it in the folder where robogeo.exe resides, then in the Windows user's Documents folder, and then finally in the RoboGEO folder that exists under the Windows user's Documents folder.

StampIptcEditorPrompt

If True when stamping images, you'll be prompted whether to load the IPTC editor so you can specify IPTC data before stamping begins.

StampLogoFilePath

If StampLogo is True when stamping images, this logo will be stamped onto each image. If blank (the default), the program will look for and use Logo.png if it exists in the same folder as robogeo.exe.

StampLogoSizePercent

When stamping images and if StampLogo is True, the logo specified by StampLogoFilePath will be resized so that it's this percentage of the image's width or height, whichever is greater. If 0, the logo will not be resized.

StampLogoX

When a logo is stamped onto an image, the left side of the logo will be located this many pixels from the left hand side of the image. If the value you specify causes any part of the logo to fall outside of the image's area, the logo will be cropped. The default value is 0 for both this and StampLogoY - that will position the logo in the image's upper left corner.

StampLogoY

When a logo is stamped onto an image, the top of the logo will be located this many pixels from the top of the image. If the value you specify causes any part of the logo to fall outside of the image's area, the logo will be cropped. The default value is 0 for both this and StampLogoX - that will position the logo in the image's upper left corner.

StampLogoOpacity

When a logo is stamped onto an image, this is used for the logo's opacity. This can range from 1 (fully transparent or invisible) to 255 (fully opaque or solid). The default is 255.

StampLogoFeather

When a logo is stamped onto an image, this is used for the logo's feathering. Feathering allows the merged logo to appear as if it blends into the image instead of there being a sharp edge around it. It's expressed in pixels and is the width of the feathering. It can range from 0 to 250. The default is 0 (no feathering).

StampIptcLocation

When stamping an image, if this is True and if IPTC location data (city, state/province, and/or country) exists in the image, the IPTC data will be extracted and stamped onto the image above where the lat/lon location data is stamped.

StampIptcLocationWord

When stamping an image and if StampIptcLocation is True, this is used as the label for the location stamp. The default is 'Location'. If, for example, you specified 'Photo Location' for this option, the resulting image stamp may look something like 'Photo Location: Sunrise, FL USA'.

StampIptcLocationIncludeCountry

If this and StampIptcLocation are both True, the country will be included in the IPTC location stamp.

StampIptcLocationUseCountryAbbreviation

If this, StampIptcLocation , and StampIptcLocationIncludeCountry are all True, the country abbreviation will be included in the IPTC location stamp.

StampIptcLocationIncludeState

If this, StampIptcLocation , and StampIptcLocationIncludeState are all True, the state abbreviation will be included in the IPTC location stamp.

StampIptcLocationUseStateAbbreviation

If this, StampIptcLocation , and StampIptcLocationIncludeState are all True, the state abbreviation will be included in the IPTC location stamp. If the abbreviation cannot be automatically determined, the full state name will be included. Currently, only state/province abbreviations for the USA, Canada, and Australia are supported.

StampIptcLocationIncludeCity

If this and StampIptcLocation are both True, the city will be included in the IPTC location stamp.

StampIptcSubLocation

When stamping an image and if StampIptcSubLocation is True, this is used as the label for the sub-location stamp.

StampIptcSubLocationWord

When stamping an image and if StampIptcSubLocation is True, this is used as the label for the sub-location stamp. The default value is 'Object'. If you specified, for example, 'Neighborhood' for this option, the resulting string would look similar to 'Neighborhood: Whispy Pines Subdivision'.

StampNorthArrowPrompt

If True when stamping images, you'll be prompted whether to load an interactive form that allows you to specify north arrows to stamp onto each image.

If an image already has directional information associated with it, the north arrow direction will be automatically calculated.

On the interactive form you can specify the direction that the north arrow points by either clicking on the graphic or by typing in a value. When clicking on the graphic, the arrow will automatically orient itself so that it points to where you clicked, e.g. clicking at the 3 o'clock position will cause the north arrow to point to the right. You can reset an image's north arrow direction by clicking on the north arrow icon.

If you want to think in terms of the photo directions instead of the north arrow directions, select the 'Spec per photo direction' option and then enter in the photo directions. Doing that will cause the program to automatically determine the north arrow direction from the photo direction that you enter.

When you're done with the interactive form, the north arrows will be stamped onto each image along with the other information.

StampNorthArrowPath

If StampNorthArrowPrompt is True and if you select Yes to the resulting prompt, the graphic specified by this path will be used for the north arrow. If blank (the default), the program will use the supplied NorthArrow.png graphic located in the same folder as robogeo.exe.

Before stamping, this image will be dynamically resized per the percentage specified by StampNorthArrowPercentSize .

This graphic must a supported format and be sized to 640x640 pixels. The program dynamically stamps a white N in the center of it, so it must be the appropriate color too.

If the program can't find the file at the indicated path, RoboGEO will first look for it in the folder where robogeo.exe resides, then in the Windows user's Documents folder, and then finally in the RoboGEO folder that exists under the Windows user's Documents folder.

StampNorthArrowPercentSize

If StampNorthArrowPrompt is True and if you select Yes to the resulting prompt, the graphic specified by StampNorthArrowPath will be resized so it's this percentage of the image's width or height, whichever is greater.

The default value is 8, so if you're using that and if your image is 2000 x 1000 pixels, the north arrow graphic would be resized to 160 x 160 (8% of the greater dimension, 2000, is 160).

StampNorthArrowLeft

When stamping a north arrow onto an image, it will be positioned this many pixels from the image's left hand side. If this value exceeds the image's width, it'll be automatically adjusted so that the north arrow's right side aligns with the image's right side.

StampNorthArrowTop

When stamping a north arrow onto an image, it will be positioned this many pixels from the image's top. If this value exceeds the image's height, it'll be automatically adjusted so that the north arrow's bottom aligns with the image's bottom.

If you want the north arrow to be in the upper left corner, specify 0 for both StampNorthArrowTop and StampNorthArrowLeft . For the upper right corner, specify 0 for StampNorthArrowTop and any number larger than the image's width (like 9999) for StampNorthArrowLeft .

StampNorthArrowOpacity

Specify the north arrow graphic's opacity. This should be a whole number between 0 (invisible) and 255 (totally solid).

StampNorthArrowFeather

When a north arrow is stamped onto an image, this is used for the feathering. Feathering allows the merged north arrow to appear as if it blends into the image instead of there being a sharp edge around it. It's expressed in pixels and is the width of the feathering. It can range from 0 to 250. The default is 0 (no feathering).

ExifWriteSoftwareField

If False, the program will not update the EXIF Software field whenever it updates the EXIF data.

ExifWriteGpsTimeAndDateFields

If False, the program will not update the EXIF GPS Date and GPS Time fields whenever it updates the EXIF data. The default is True which will update these two fields whenever the GPS data is changed.

ExifCopyrightNotice

When this is specified and when other data is written to the EXIF headers, this is written to the photographer copyright notice EXIF field.

If (c) or (year) exists, they are replaced with © and the year of the EXIF timestamp, respectively. So, for example, Copyright (c) (year) Nort McGurski would become Copyright © 2010 Nort McGurski. Note that (c) and (year) are case sensitive.

ExifCopyrightNoticeOverwriteExisting

If False (the default value), existing photographer copyright notices are never overwritten.

ExifArtistCameraOwner

If specified and when writing other data to the EXIF headers, this value is used to construct the EXIF Artist field. Normally, you should also specify the ExifArtistPhotographer and ExifArtistImageCreator fields in conjunction with this.

The final form of the Artist field will be similar to "Camera owner, John Smith; Photographer, Michael Brown; Image creator, Ken James", with this option shown in bold.

ExifArtistPhotographer

If specified and when writing other data to the EXIF headers, this value is used to construct the EXIF Artist field. Normally, you should also specify the ExifArtistCameraOwner and ExifArtistImageCreator fields in conjunction with this.

The final form of the Artist field will be similar to "Camera owner, John Smith; Photographer, Michael Brown; Image creator, Ken James", with this option shown in bold.

ExifArtistImageCreator

If specified and when writing other data to the EXIF headers, this value is used to construct the EXIF Artist field. Normally, you should also specify the ExifArtistCameraOwner and ExifArtistPhotographer fields in conjunction with this.

The final form of the Artist field will be similar to "Camera owner, John Smith; Photographer, Michael Brown; Image creator, Ken James", with this option shown in bold.

MagneticDeclination

For your location, this is the difference between magnetic and true north. East values should be positive, west negative.

This number is added to the photo directions that you enter. You should only specify this number if your photo directions were obtained using a magnetic compass. You can determine the magnetic declination for a given location from here .

UseDiskDateAsTimeStamp

If True, the program will use the image disk date as the timestamp instead of trying to determine it from the EXIF headers. This is useful for webcams or older cameras that don't produce EXIF compliant images.

ExifMaxGpsCompatibility

If True, the program writes latitude and longitude values to the EXIF with a precision of 2 decimal places on the minutes. This results in a maximum error of 0.005 minutes, but it ensures compatibility with almost all 3rd party EXIF reader programs. If False (the default), the latitude and longitude values are written to the EXIF with exact precision.

Normally, you should only set this to True if your EXIF reader program can't read the high precision values that the program writes.

ForceFileNameAsImageTitle

If True and if ForceFileNameWithoutExtensionAsImageTitle is False, when an image is loaded the EXIF image title is set to the image's file name and is used for any subsequent processing. You may want to do this if your camera automatically sets the title to the make/model of the camera or if it sets it to an arbitrary string. The default is False.

ForceFileNameWithoutExtensionAsImageTitle

If True, when an image is loaded the EXIF image title is set to the image's file name without the extension and is used for any subsequent processing. You may want to do this if you use the EXIF titles for descriptive purposes. The default is False.

ForceTextAsImageTitle

If not empty, when an image is loaded the EXIF image title is set to what you specify here and is used for any subsequent processing. You may want to do this if your camera automatically sets the title to the make/model of the camera or if it sets it to an arbitrary string. The default is blank.

WriteImageTitleToExifTitle

If this is True when writing data to the EXIF, the image title, if it exists, will be written to the EXIF title field.

WriteImageTitleToIptcHeadline

If this is True when writing data to the EXIF, the image title, if it exists, will be written to the IPTC headline field.

WriteImageDescriptionToExifDescription

If this is True when writing data to the EXIF, the image description, if it exists, will be written to the EXIF description field.

WriteImageDescriptionToIptcCaptionAbstract

If this is True when writing data to the EXIF, the image description, if it exists, will be written to the IPTC caption/abstract field.

UseExifGpsDestLocations

If True, an image's latitude and longitude data will be read from and written to the EXIF's GPS destination fields instead of the normal EXIF location fields. This adds compatibility for some GPS cameras like the ikeGPS.

UseExifGpsBearingDirections

If True, an image's direction will be read from and written to the EXIF's GPS bearing direction field instead of the normal EXIF direction field. This adds compatibility for some GPS cameras like the ikeGPS.

ApplyRelativeDirectionsToTracklogHeading

If True, when applying relative directions to images that have existing directional information and when a tracklog is loaded, the relative direction will be applied to the computed tracklog heading instead of it being applied to image's existing directional information. Normally, this should be False so that the image's directional information takes precedence over what may be computed from a tracklog. Note that you can accomplish the same thing by selecting the 'Edit Direction' option under the 'Edit' pull-down menu instead of using this setting and typing directly into the grid.

PromptToEditTimestampsAfterGeocoding

If this option is True after geocoding images without error, you'll be prompted whether to update each image's EXIF timestamp to account for the current CameraOffset and/or UtcTimeBias value. Once applied to the image timestamps and if you chose to do so, CameraOffset will be reset to 0 and UtcTimeBias will be reset to the new value you selected. These changes are always applied to your original images, regardless of the EditOriginalImages setting. You can also perfrom this operation via the 'Edit' pull-down menu.

WarnIfExifDateIsJanFirst

After loading images, you'll be warned if any image has an EXIF date of January 1st.

WarnIfExifDateIsOneYearPast

After loading images, you'll be warned if any image has an EXIF date that's more than 1 year old.

ExifPreprocessorApplicationPath

Before data is written to the EXIF and if specified, this application will be launched with the current image path passed as a command line parameter to it. Whether RoboGEO waits for the application to terminate before continuing depends on the ExifPreprocessorApplicationWaitForEnd setting.

If the program can't find the file at the indicated path, RoboGEO will first look for it in the folder where robogeo.exe resides, then in the Windows user's Documents folder, and then finally in the RoboGEO folder that exists under the Windows user's Documents folder.

ExifPreprocessorApplicationWaitForEnd

If True and if ExifPreprocessorApplicationPath is specified, RoboGEO will wait for the launched application to terminate before continuing. Otherwise, the program is launched asynchronously.

ExifPreprocessorApplicationTimeOut

If ExifPreprocessorApplicationPath is specified and if ExifPreprocessorApplicationWaitForEnd is True, this is the maximum amount of time (in seconds) RoboGEO will wait on the launched program to terminate. If -1, the wait will be indefinite.

ExifPostprocessorApplicationPath

After data is written to the EXIF and if specified, this application will be launched with the current image path passed as a command line parameter to it. Whether RoboGEO waits for the application to terminate before continuing depends on the ExifPostprocessorApplicationWaitForEnd setting.

If the program can't find the file at the indicated path, RoboGEO will first look for it in the folder where robogeo.exe resides, then in the Windows user's Documents folder, and then finally in the RoboGEO folder that exists under the Windows user's Documents folder.

ExifPostprocessorApplicationWaitForEnd

If True and if ExifPostprocessorApplicationPath is specified, RoboGEO will wait for the launched application to terminate before continuing. Otherwise, the program is launched asynchronously.

ExifPostprocessorApplicationTimeOut

If ExifPostprocessorApplicationPath is specified and if ExifPostprocessorApplicationWaitForEnd is True, this is the maximum amount of time (in seconds) RoboGEO will wait on the launched program to terminate. If -1, the wait will be indefinite.

TitleMakerCaption1

This phrase will be used for the caption of the 1st input field on the Title Maker form.

TitleMakerCaption2

This phrase will be used for the caption of the 2nd input field on the Title Maker form.

TitleMakerCaption3

This phrase will be used for the caption of the 3rd input field on the Title Maker form.

TitleMakerDelimiter

If more than one of the title parts are specified on the Title Maker form, this value will be inserted between the part(s).

TitleMakerThumbnailWidth

This is the width, in pixels of the thumbnail preview on the Title Maker form.

TitleMakerThumbnailHeight

This is the height, in pixels of the thumbnail preview on the Title Maker form.

AlwaysRenameOriginal

If True, the program always renames the original images regardless of the EditOriginalImages setting.

PromptForKmlPolygonFile

If True, you'll be prompted to load a KML polygon file when the applicable form loads. If False, you'll have to load the KML polygon file from the resulting form. You may want to do this if you simply want to type the renamed values directly into the grid without relying on the polygons.

AlwaysRedateOriginal

If True, the program always redates the original images regardless of the EditOriginalImages setting.

RotateWhenLoaded

If True and if orientation information exists in the EXIF headers, images will be automatically rotated when loaded and the EXIF Orientation field will be reset to 1. The process is entirely lossless.

RoboGEO does not support writing the raster data to RAW formats, so they will not be rotated when loaded.

NOTE: The rotation is always performed on the original images.

PromptBeforeRotating

If both this and RotateWhenLoaded are True, you'll be prompted whether to rotate images prior to loading them.

KeepImageDirAfterProjecting

The direction in which an image is projected is per the photo's direction. It's presumed that when you project a photo location that the new location represents the true location of the photo's subject, making the photo direction value obsolete.

If False (the default), the photo direction will be removed after projecting the image to the new location.

RemoveImageAltitudeAfterProjecting

If True, the image altitude will be removed after projecting the image. The default value is True.

When projecting a photo location in airplane mode, the altitude value associated with the image will also change depending on the GPS receiver's distance above the ground and the camera angle. Since the distance above the ground can vary with the terrain below or with the skill of the pilot, this can cause the resulting altitudes after projecting to be inaccurate.

LocateWorldMapUrl

If specified, this URL will be launched when the Edit-->Locate-->World Map menu option is chosen. If the URL contains the bracketed terms [lat] or [lon], the program will automatically insert the current image's true values for them. For example, your URL may look like http://www.yourmap.com/script.php?lat=[lat]&lon=[lon]. Leave this setting blank (the default) to use the default world map provider.

LatLonFinderUrlQueryString

If specified and if the selected image doesn't already have latitude and longitude values associated with it, this ampersand delimited string of name=value pairs is appended to the end of the URL (http://www.robogeo.com/latlonfinder/map.asp) associated with the 'Lookup Lat/Lon Values' option under the 'Edit' pull-down menu. This allows you to specify the default 'view' (normal, satellite, hybrid, physical), 'zoom' (1 to 15), 'lat' (-90 to 90), and/or 'lon' (-180 to 180). For example if you want the terrain view to be the default, specify (without the quotes) 'view=terrain'. If you want a hybrid view with a zoom value of 10, specify 'view=hybrid&zoom=10' (note the ampersand). Do not include a leading question mark.

LaunchImageFolder

If True, when you double click on a thumbnail, the image's folder will be loaded into Windows Explorer instead of the full-size image opening in the graphics program associated with the image's file extension. The default is False.

LaunchImageWithDifferentExtension

When you double click on a thumbnail and if this file extension is specified, the extension replaces the image's current extension and the resulting file path is opened in the program associated with that extension. The default is blank so that the full size image opens in your normal graphics program. Do not include a leading period.

For example, if you specify 'XMP' for this option and if you double click on an image with the name 'MyImage.JPG', the program will try to load 'MyImage.XMP' into the Windows program that's associated with the XMP file extension.

LaunchApplication

If this file path is specified, when you double click on a thumbnail image, this application will launch instead of the image being loaded into your normal graphics program. Do not enclose the path in quotes. The default is blank.

If the program can't find the file at the indicated path, RoboGEO will first look for it in the folder where robogeo.exe resides, then in the Windows user's Documents folder, and then finally in the RoboGEO folder that exists under the Windows user's Documents folder.

LaunchApplicationWithImageAsParameter

If True and if LaunchApplication is specified, when you double click on a thumbnail image, this application will load and the associated image's file path will be passed as a command line parameter to it. Do not enclose the path in quotes. The default is blank.

SkipPreviouslyGeocodedPhotos

When True and when geocoding images from a tracklog, previously geocoded images will be skipped. The default value is False.

You should set this to True, for example, if you use the GPS tracklog as a backup method for geocoding images in the event that a real-time hardware solution fails.

UseClosestTrackPoint

If True and if the program is unable to geocode an image normally from a tracklog, the closest trackpoint will be used for the photo location. The closest trackpoint is the one with a timestamp that is the closest to the image timestamp.

Images that were geocoded from the nearest trackpoint will show up as red (non-bold)in the resulting list.

Use this option with care because it can result in (very) inaccurate results or mask other problems.

CombineTracklogSegments

If True, all of the tracklog segments will be combined into one before being used for geocoding photos.

You should use this option if your tracklog contains many unintentional tracklog segments and if you're unable to geocode the images because the image timestamps fall between these segments.

PhotoDirFromTracklog

If True and if geocoding images from a tracklog, the image direction will be set to the current tracklog heading. Headings are measured clockwise from North.

For example, if you were traveling west when a photo was taken, the photo direction will be set to 270.

PhotoDirFromTracklogOffset

If PhotoDirFromTracklog is True and if geocoding images from a tracklog, this number is added to the tracklog heading to determine the photo direction.

For example, if you were traveling east when a photo was taken and if this is set 45, the photo direction will be set to 135.

This option should normally be used if all of your photo directions are at a constant angle relative to your direction of movement. For example, if all of the photos are taken out of the left hand window of a moving car, use 270 for this option. If taken out the right window, use 90. If taken straight ahead, use 0.

Note: When you manually enter a photo direction by typing directly into the main grid, you can use directions relative to the current tracklog heading by preceding the number with an @ symbol, i.e. setting PhotoDirFromTracklogOffset = 45 is the same as manually entering @45 for the photo direction. The benefit of manually entering directions is that each image can have a different relative direction, which is easy to determine if there is foreground data (like a cockpit or car window) in the image that gives a clue as to the relative direction. The benefit of using PhotoDirFromTracklogOffset is that it calculates all of the directions automatically when it geocodes the images, meaning that you don't have to manually enter the data.

MaxJtrTimeDifference

When geocoding photos from an imported JTR file, if the time difference between an image and the closest trackpoint exceeds this values, the image will be skipped and not geocoded. The number is expressed in seconds. If you specify -1, the time difference will be ignored.

MaxTracklogTimeDifference

When geocoding photos from a tracklog, if the time difference between an image and the closest trackpoint exceeds this value, the image will be skipped and not geocoded. The number is expressed in seconds. If you specify -1 (the default), the time difference will be ignored.

ImportCsvAsCapCsv

If True, imported CSV files will be treated as if they were generated from the 'Template Work Sheet' that's associated with the 'CAP Image Processor' instead of being treated as generic CSV files.

WaypointImageMaxTimeDifference

When geocoding photos from waypoints in an imported GPX file, the photos are matched to the waypoint having a timestamp that's closest to the photo's EXIF timestamp if the time difference is less than this number, specified in seconds. If you specify -1 (the default) the difference is ignored.

SetImageTitleToWaypointName

If this is True when geocoding images from waypoints and if the waypoint name is not blank, the waypoint name will be used for the image title. Image titles are written to the EXIF per these options.

SetImageTitleToWaypointComment

If this is True when geocoding images from waypoints and if the waypoint comment is not blank, the waypoint comment will be used for the image title. This setting is ignored if SetImageTitleToWaypointName is True.

SetImageDescriptionToWaypointName

If this is True when geocoding images from waypoints and if the waypoint name is not blank, the waypoint name will be used for the image description.

SetImageDescriptionToWaypointComment

If this is True when geocoding images from waypoints and if the waypoint comment is not blank, the waypoint comment will be used for the image description. This setting is ignored if SetImageDescriptionToWaypointName is True.

WaypointIdentifierMaxLength

Enter the maximum number of characters that your Garmin GPS supports for waypoint identifiers. When uploading waypoints, you'll be warned if any of the waypoint name lengths exceed this number.

WaypointIdentifierSymbol

Enter the Garmin Protocol waypoint symbol number. Not all Garmin units support all symbol numbers. Set this value to -1 to force the Garmin unit to use its default waypoint symbol.

WaypointCommentMaxLength

Enter the maximum number of characters that your Garmin GPS supports for waypoint comments. When uploading waypoints, you'll be warned if any of the waypoint comment lengths exceed this number.

WaypointCommentUseDate

When uploading waypoints, if this is True the program will automatically create waypoint comments based on the photo's EXIF timestamp. These timestamps are for human eyes only and cannot be used by any program that's fully compliant with the Garmin Protocol. Set this to False if you want to manually enter the comments or if you want to leave them blank.

PlaceLookupFormOnTop

If True, the 'Place Lookup' form will stay on top of all other windows.

PlaceLookupMaxResults

When looking up places, this is the maximum number of records that will be returned. The default is 100, but the actual number can be as high as 1000. Each record will be about 700 bytes so, depending on the speed of your internet connection, 1000 records may take a long time to download.

PlaceLookupSearchRadius

When you double click on a place lookup result, you can search for places near the current one. The number that you specify here (in km) is the radius of that search.

GeonamesUserName

Before using the reverse geocoder, you should register with geonames.org. When you do that, you'll be issued a user name that you can use for this option. If you use the default value (robogeo), you'll likely experience intermittent failures looking up data as the robogeo user name's account quota is exceeded. This value, if it exists, will be appended to the end of the query string of the associated URLs with the name 'username'.

GeonamesUrlSearch

Specify any URL that's compatible with and can accept the same parameters as the search service at geonames.org.

GeonamesUrlNearestAddress

Specify any URL that's compatible with and can accept the same parameters as the nearest address service at geonames.org.

GeonamesUrlAltitude

Specify any URL that's compatible with and can accept the same parameters as the SRTM service at geonames.org.

GeonamesUrlNearbyPlaces

Specify any URL that's compatible with and can accept the same parameters as the nearby place name service at geonames.org.

GpxImagePathInWaypointComment

If True, and if exporting the photo locations as a list of waypoints, the local image file path will be written to the comment field in the form file:<path>.

When False (the default), the image title, if it exists, is written to the waypoint comment field. You should set this to True if you're using the GPX files in a 3rd party application that can make use of the local path.

GpxImageTitleAsWaypointName

When exporting a GPX file and if this value is set to True, the image's EXIF title will be used for the waypoint name instead of the filename.

GpxMemoryMapCompatible

When exporting a GPX file that contains photos and if this value is set to True, a <link> element with an HREF attribute that points to the image's local file path is included in the resulting GPX file. This makes the GPX file suitable for importing into Memory-Map.

GpxMemoryMapIcon

If GpxMemoryMapCompatible is True when exporting a GPX file, a <sym> element is added to the GPX file. The symbol value should be a Memory-Map icon name. The default value is 'Dot'.

GpxMemoryMapCategory

If GpxMemoryMapCompatible is True when exporting a GPX file, a <type> element is added to the GPX file. The type value should be a Memory-Map category name.

GpxMemoryMapTrkCategory

If GpxMemoryMapCompatible is True when exporting a GPX file that includes a tracklog, a <type> element is added to the GPX file under the <trk> element. The value that you enter should represent a broad category name. The default value is 'Track'.

GpxMemoryMapTrkName

If GpxMemoryMapCompatible is True when exporting a GPX file that includes a tracklog, a <name> element is added to the GPX file under the <trk> element. The value that you enter should represent a specific track name that falls under the category name that you specify. The default value is 'Track'.

GpxMemoryMapTrkPrompt

If GpxMemoryMapCompatible is True when exporting a GPX file that includes a tracklog and if this value is set to True, you'll be prompted for the GpxMemoryMapTrkCategory and GpxMemoryMapTrkName values at the time you're exporting the GPX file instead of you having to go back to the preferences area and changing it from there each time. The default value is 'False'.

GpxMapSourceWaypointCompatible

If True and if exporting a GPX file that uses the photo locations as waypoints, Garmin's GPX extension will be added to the output. This will allow you to view the associated images from within MapSource.

GpxMapSourceWaypointDisplayMode

If GpxMapSourceWaypointCompatible is True and if exporting a GPX file, this setting controls how the waypoints are displayed in Garmin's MapSource program. You can specify SymbolOnly, SymbolAndName, or SymbolAndDescription.

GpxMapSourceWaypointSymbol

If GpxMapSourceWaypointCompatible is True, this is used for the <sym> element in the exported GPX file. If must be something that MapSource recognizes. The default value is Waypoint.

AudioAutoPlay

If True and if an image has dictation associated with it, the audio will automatically play whenever the image is selected. Normally, you'll have to click the small paperclip icon in the lower left corner of the image preview to play the associated audio file.

The default value is False. Setting it to True can be functional, but can also get very annoying very quickly.

AudioAutoAssociate

When True (the default) audio and image files are automatically associated when either is loaded. Set to False if you intend to manually associate the audio files to the images.

AudioUseAssociatedProgram

Instead of using the built-in audio player, set to True if you want to use the program on your system that's associated with the current audio format. The default value is False.

AudioKeepPlayerOnTop

Set to True to keep the built-in audio player on top of all other windows.

AudioRewindAfterPause

If True and when resuming play after pausing, the audio will 1st rewind per the AudioRewindTime preference before resuming play.

If False, the audio will simply resume play at the point from which it was paused.

AudioRewindTime

The number of seconds to rewind per 1 click of the rewind button. The default value is 3 seconds.

AudioImageMaxTimeDifference

Enter the maximum time (in seconds) that the image and audio times can differ.

The program associates images with audio by comparing an image's EXIF time to the audio file's disk date. For a given image, the associated audio file is the one with the disk date that's closest to the EXIF time. It doesn't matter if the audio time is before or after the image time.

AudioAllowUnsupportedFileTypes

If True, you'll be able to select and associate any type of file (not just audio files) with the images.

To execute the unsupported file types within the program, there must be a program currently associated with the given file extension.

Unless the unsupported file type has a disk date stamp that equates back to the photo (which it probably doesn't), you should also set AudioAutoAssociate to False to prevent the automatic association that occurs when they are loaded. In that case, you'll need to manually associate them.

GeUsePhotoThumbnailIcons

If True, thumbnail images are used for the Google Earth icons instead of the standard camera or directional icons. This works best when there are only a few images. Otherwise, the map can become very cluttered.

GeLaunchFileExtension

Newly created KML or KMZ files will be automatically launched in the program associated with the file extension you specify.

Since Google Earth associates itself when KML files when it's installed, newly created KML or KMZ files load in Google Earth if KML (the default) is specified. If you want KML files to load into your default ASCII editor, for example, specify TXT for this option.

GeWaypointsOpen

If True, the waypoints node in Google Earth's left hand pane will be expanded when the KML/KMZ file is opened. The default is False.

GeTracklogPathVisible

If True, the tracklog path node in Google Earth's left hand pane will be selected when the KML/KMZ file is opened, causing the tracklog path to be visible. The default value is False if there are photos and True if there's only a tracklog.

GePhotoRoutePathVisible

If True, the photo route node in Google Earth's left hand pane will be selected when the KML/KMZ file is opened, causing the photo route to be visible. The default value is False.

GeBoundingBoxVisible

If True, the bounding box node in Google Earth's left hand pane will be selected when the KML/KMZ file is opened, causing the bounding box to be visible. The default value is False if there are photos and True if there's only a tracklog.

GeTrackPointsVisible

If True, the tracklog points node in Google Earth's left hand pane will be selected when the KML/KMZ file is opened, causing the tracklog points to be visible. The default value is False if there are photos and True if there's only a tracklog.

GeKeyPointsVisible

If True, the key points node in Google Earth's left hand pane will be selected when the KML/KMZ file is opened, causing the key points to be visible. The default value is False if there are photos and True if there's only a tracklog.

GeIncludePhotoTimeLine

When exporting to Google Earth, if this is True and if the photos have valid EXIF timestamps, a photo timeline will be included in the output. The default is False. Note that if a photo's timestamp does not fall within the range of the current Google Earth timeline, the photo will not have an icon on the map. You'll need to adjust the timeline range to see all of the photo icons. This may be confusing to others who view your KML files.

GeIncludeTracklogTimeLine

When exporting to Google Earth, if this is True and if there's a tracklog currently loaded, a tracklog timeline will be included in the output.

GeRenameKmzImagesUsingLowAscii

If this is True when exporting a KMZ file with embedded images to Google Earth, the images within the KMZ file will be renamed using only 7-bit ASCII characters. The original images will not be changed. You should normally set this to true if your image file names contain extended ASCII characters beyond decimal 127, as are commonly used outside of the USA.

GeForceDefaultNoTracklog

If True when exporting to Google Earth, the default values associated with including the tracklog in the output will be unchecked.

GeForceDefaultIncludeTracklog

If True when exporting to Google Earth, the default value associated with including the tracklog in the output will be checked while the option to include the trackpoints and the option to combine the tracklog segments will be unchecked.

GeForceDefaultStampImages

If True when exporting to Google Earth, the default value associated with whether to stamp the images will be checked.

GeForceDefaultWriteToExif

If True when exporting to Google Earth, the default value associated with whether to write to the EXIF will be selected.

GeForceDefaultKmzWithImages

If True when exporting to Google Earth, the default output will default to KMZ w/images.

GeForceDefaultNoPhotoRoute

If True when exporting to Google Earth, no photo route will be included in the output.

GeForcedMaxScaleWidth

If non-zero, this will be used for the default maximum scale width when exporting either a KML or KMZ file type to Google Earth. When zero, the default will be the last value that you used.

GeForcedMaxScaleHeight

If non-zero, this will be used for the default maximum scale height when exporting either a KML or KMZ file type to Google Earth. When zero, the default will be the last value that you used.

GeForcedMaxResizeWidth

If non-zero, this will be used for the default maximum resize width when exporting a KMZ w/Images file type to Google Earth. When zero, the default will be the last value that you used.

GeForcedMaxResizeHeight

If non-zero, this will be used for the default maximum resize height when exporting a KMZ w/Images file type to Google Earth. When zero, the default will be the last value that you used.

GeForcedMaxThumbnailWidth

If non-zero, this will be used for the default maximum thumbnail width when exporting a KMZ for the web file type to Google Earth. When zero, the default will be the last value that you used.

GeForcedMaxThumbnailHeight

If non-zero, this will be used for the default maximum thumbnail height when exporting a KMZ for the web file type to Google Earth. When zero, the default will be the last value that you used.

GeWarnBeforeStampingImages

If True a warning will be displayed before images are stamped from the Google Earth Export screen. Note that when you stamp images from there, the original images are always stamped regardless of the EditOriginalImages settings.

GeWarnBeforeWritingToExif

If True a warning will be displayed before the EXIF is written to the images from the Google Earth Export screen. Note that when you write to the EXIF from there, the original images are always written to regardless of the EditOriginalImages settings.

GeAutoUpdateExifTimestamp

If writing to the EXIF when exporting to Google Earth and if the CameraOffset preference setting is non-zero, the current value of CameraOffset will be permanently applied to the EXIF timestamps of the original images and then it will be reset to 0.

GeAutoOpenTitleMaker

If True the Title Maker form will automatically load whenever the Export to Google Earth form loads.

GeWarnIfEmptyImageTitles

If True when exporting from Google Earth, you'll be warned if there are any images with blank titles.

GeRootCaptionTimeBased

If True the default root caption for Google Earth output will be of the form YYYYMMDD_rGEO, where YYYYMMDD is per the most recent photo or trackpoint date. If False, the root caption will be what you used last.

GeOmitBoundingBox

If True the bounding box will not be included in the Google Earth output.

GeIgnoreImageDirections

If True when exporting to Google Earth, the image directions will be ignored.

GeIconPlaceUrl

When exporting to Google Earth from the Place Lookup screen and if GeIconUseLocalPaths is False, this graphic is used for the places placemarks. The default value is http://www.robogeo.com/home/GEMarkers/place.png.

GeIconPlaceLocalPath

When exporting to Google Earth from the Place Lookup screen and if GeIconUseLocalPaths is True, this graphic is used for the places placemarks.

If the program can't find the file at the indicated path, RoboGEO will look for it in \GEMarkers folder that exists under the folder where robogeo.exe resides.

GeIconPlaceScale

This is scale factor that's applied to the Google Earth place icon. Numbers that are smaller than 1 make the icon smaller than normal. Numbers larger than 1 make them bigger. The default is 0.75.

GeIconPhotoDirectionUrl

When exporting to Google Earth and if GeIconUseLocalPaths is False, this graphic is used as the icon for photos that have directions associated with them. The graphic is automatically rotated so that it points in the correct direction. The default value is http://www.robogeo.com/home/GEMarkers/photodirection.png.

GeIconPhotoDirectionLocalPath

When exporting to Google Earth and if GeIconUseLocalPaths is True, this graphic is used as the icon for photos that have directions associated with them. The graphic is automatically rotated so that it points in the correct direction. You should not use local paths if you'll be sharing the file with others. If GeIconIncludeInsideKmz is True, the icon is obtained from this location regardless of what the setting is.

If the program can't find the file at the indicated path, RoboGEO will look for it in \GEMarkers folder that exists under the folder where robogeo.exe resides.

GeIconPhotoDirectionScale

This is scale factor that's applied to the Google Earth photo direction icon. Numbers that are smaller than 1 make the icon smaller than normal. Numbers larger than 1 make them bigger. The default is 0.75.

GeIconPhotoPointUrl

When exporting to Google Earth and if GeIconUseLocalPaths is False, this graphic is used as the icon for photos that do not have directions associated with them. The default value is http://www.robogeo.com/home/GEMarkers/photopoint.png.

GeIconPhotoPointLocalPath

When exporting to Google Earth and if GeIconUseLocalPaths is True, this graphic is used as the icon for photos that do not have directions associated with them. You should not use local paths if you'll be sharing the file with others.

If the program can't find the file at the indicated path, RoboGEO will look for it in \GEMarkers folder that exists under the folder where robogeo.exe resides.

GeIconPhotoPointScale

This is scale factor that's applied to the Google Earth photo point icon. Numbers that are smaller than 1 make the icon smaller than normal. Numbers larger than 1 make them bigger. The default is 0.75.

GeIconPhotoPointLabelScale

This is scale factor that's applied to the Google Earth photo icon's label. Numbers that are smaller than 1 make the icon smaller than normal. Numbers larger than 1 make them bigger. This is only applied if GeIncludePhotoIconLabel is also set to True. The default is 0.75.

GeIconTrackPointUrl

When exporting to Google Earth and if GeIconUseLocalPaths is False, this graphic is used as the icon for tracklog trackpoints. The default value is http://www.robogeo.com/home/GEMarkers/trackpoint.png.

GeIconTrackPointLocalPath

When exporting to Google Earth and if GeIconUseLocalPaths is True, this graphic is used as the icon for tracklog trackpoints. You should not use local paths if you'll be sharing the file with others.

If the program can't find the file at the indicated path, RoboGEO will look for it in \GEMarkers folder that exists under the folder where robogeo.exe resides.

GeIconTrackPointScale

This is scale factor that's applied to the Google Earth trackpoint icon. Numbers that are smaller than 1 make the icon smaller than normal. Numbers larger than 1 make them bigger. The default is 0.50.

GeIconTrackPointLabelScale

This is scale factor that's applied to the Google Earth trackpoint icon's label. Numbers that are smaller than 1 make the icon smaller than normal. Numbers larger than 1 make them bigger. This is only applied if GeIncludeTrackpointIconLabel is also set to True. The default is 0.75.

GeIconKeyPointUrl

When exporting to Google Earth and if GeIconUseLocalPaths is False, this graphic is used as the icon for key points such as the highest elevation, time midpoint, northernmost point, etc. The default value is http://www.robogeo.com/home/GEMarkers/keypoint.png.

GeIconKeyPointLocalPath

When exporting to Google Earth and if GeIconUseLocalPaths is True, this graphic is used as the icon for key points such as the lowest elevation, starting point, southernmost point, etc. You should not use local paths if you'll be sharing the file with others.

If the program can't find the file at the indicated path, RoboGEO will look for it in \GEMarkers folder that exists under the folder where robogeo.exe resides.

GeIconKeyPointScale

This is scale factor that's applied to the Google Earth key point icon. Numbers that are smaller than 1 make the icon smaller than normal. Numbers larger than 1 make them bigger. The default is 1.0.

GeIconKeyPointLabelScale

This is scale factor that's applied to the Google Earth key point icon's label. Numbers that are smaller than 1 make the icon smaller than normal. Numbers larger than 1 make them bigger. This is only applied if GeIncludeKeyPointIconLabel is also set to True. The default is 0.75.

GeIconViewUrl

When exporting to Google Earth and if GeIconUseLocalPaths is False, this graphic is used as the icon for the various views. The default value is http://www.robogeo.com/home/GEMarkers/view.png.

GeIconViewLocalPath

When exporting to Google Earth and if GeIconUseLocalPaths is True, this graphic is used as the icon for the various views. You should not use local paths if you'll be sharing the file with others.

If the program can't find the file at the indicated path, RoboGEO will look for it in \GEMarkers folder that exists under the folder where robogeo.exe resides.

GeIconViewScale

This is scale factor that's applied to the Google Earth view icon. Numbers that are smaller than 1 make the icon smaller than normal. Numbers larger than 1 make them bigger. The default is 1.0.

GeIconUseLocalPaths

If True, the local paths specified by the GeIcon***LocalPath preference settings will be used in the KML file. If False, the URLs specified by the GeIcon***Url preference settings will be used. If you intend to share the file with others, you should not use local paths so this should be False, which is the default value.

GeIconIncludeInsideKmz

If True and if exporting a KMZ file, the placemark icons will be stored inside of the KMZ files and will be read from there instead of being retrieved from the URLs associated with the various GeIcon***Url preference settings. The default is False.

GeIncludePhotoIconLabel

If True, photo labels will be displayed next to the photo icons. If you want to unclutter the map or if the photo titles are not important, set this to False. The default is True.

GeIncludeTrackPointIconLabel

If True, trackpoint labels will be displayed next to the trackpoint icons. The deafult is False.

GeIncludeKeyPointIconLabel

If True, keypoint labels will be displayed next to the keypoint icons. The deafult is False.

GeGeocoderHttpPort

When geocoding photos with Google Earth, this is the port through which all communication occurs. If you encounter problems using the default value or if a 3rd party application on your computer prevents the access, try any arbitrary number between 1024 and 32767.

GeGeocoderHttpHost

When geocoding photos with Google Earth, this is the local host name with which all communication occurs. This should usually be either (without quotes) "127.0.0.1" or "localhost".

GeGeocoderAutoAdvance

When True and after geocoding a photo in Google Earth, the next image in the set is automatically selected. Setting this to True is equivalent to clicking the Next button after geocoding an image. The default value is False, but you'll probably want to set it to True once you get used to the workflow.

GeGeocoderAutoAdvanceAfterTitleEdit

When True and after editing an image's title using the Google Earth geocoder, the next image in the set is automatically selected. Setting this to True is equivalent to clicking the Next button after editing the image's title. The default value is False. Normally, this should be False and GeGeocoderAutoAdvance should be True if you prefer to set an image's title before geocoding it.

GeGeocoderShowUtcTime

If True, the Google Earth geocoder will display photo timestamps as UTC time instead of local time. The default is to display local times.

GeGeocoderRange

When using the Google Earth Geocoder, this is the default altitude. It's expressed in meters.

GeGeocoderThumbnailWidth

Expressed in pixels, this is the width of the thumbnail image on the Google Earth Geocoder form. The corresponding thumbnail height is automatically calculated to maintain the correct aspect ratio. If it's too small, you won't be able to see the image. If it's too big, you'll obstruct your view of Google Earth. The default is 120 pixels.

GeGeocoderIncludeDirection

When True and when geocoding images with Google Earth, the current heading in Google Earth is used for the photo direction. The default value is False.

GeGeocoderIncludeTracklog

If True and if a tracklog is loaded when geocoding images in Google Earth, the tracklog will be displayed. You may want to set this to False if it slows down Google Earth or if the tracklog isn't needed as a refererece when locating the photos. The default is True.

GeGeocoderGePath

If specified, this is used for the path to Google Earth when the Google Earth geocoder is launched. If it's blank (the default), the program automatically determines the path.

You should only set this option if the program is unable to automatically locate the Google Earth executable. If that's the case, you'll receive an error message when you try to load the Google Earth geocoder that reads, "The program associated with KML files on this computer 'C:\Program' does not exist or is...'. This happens because of a bug in the Windows FindExecutable API function.

GeGeocoderShowStatusInCaption

If True, the Google Earth Geocoder form's caption will show status information like 'Geocoder - Image 5 of 7'. Otherwise, it'll be simply 'Geocoder'. The default is True. Set to False if you need to use a custom application to programmatically identify the form.

GmapHtmlFileName

If specified, this will be used for the main file name of the Google Maps output. It will also be used for the accompanying XML file. The default is map.htm (and map.xml). You may want to specify something like index.html or default.asp if you don't want to include the file name in the resulting URL.

GmapZoomLevel

When -1 (the default), the program automatically determines an optimal initial zoom level for Google Maps based on the coverage of the photos and/or tracklog.

You can manually specify the initial zoom by entering a whole number between 0 and 17. The amount of zoom increases with the number.

GmapIncludeOverview

If True, a map overview window is added to the lower right corner of the Google Maps output.

GmapIncludeScale

If True, a small scale is added to the lower left corner of the Google Maps output.

GmapIncludeMapTypeButtons

If True, buttons are added to the upper right corner of the Google Maps output that allows selecting different map types.

GmapPanZoomType

Enter a number that indicates the type of zoom/pan control to use with Google Maps. 0=none, 1=small (zoom only), 2=medium (zoom and pan), 3=large (zoom and pan).

GmapEnableScrollWheelZoom

If True, the mouse's scroll wheel can be used to zoom the Google Maps in and out. The default value is False.

GmapAddTrafficOverlay

If True, icons are shown over some metropolitan areas that, when clicked, show the current traffic conditions. This option does not add a traffic button to the Google Map, only the icons. The default value is False

GmapUseDirectionMarkers

If True (the default) and if direction information exists for an image, custom icons will be used with Google Maps that indicate the photo direction.

GmapDictationLinkText

When the 'Include Dictation' box is checked in a Google Earth or Google Maps description, an HTML link is created and added to the description. This option specifies the text that displays for the link.

The default value is 'Dictation', but you can use any phrase such as 'Click here to listen to the associated audio'.

FlickrDefaultUserSelectUponLoad

If specified and if the Flickr account has been previously authorized, it'll be automatically selected when the Flickr upload form is loaded. Loading the account can take anywhere from a few to several seconds, so be patient.

You must specify this option if you intend to automate your Flickr uploads by using the /f command line parameter.

FlickrGeoAddLocation

If True and when uploading Flickr photos, the photo's location will automatically be added to Flickr's internal database. This will cause the resulting Flickr photo page to contain 'Map' links that allow you to view the photo locations using Yahoo! Maps.

Note: To use this feature you must first set your Flickr account's default setting for viewing location data. If you haven't done this, you'll be prompted to do so.

FlickrGeoPublicView

If both this and the FlickrGeoAddLocation options are set to True, anyone on Flickr will be able to view the location of your photos.

FlickrGeoContactsView

If both this and the FlickrGeoAddLocation options are set to True, only your Flickr contacts will be able to view the location of your photos.

FlickrGeoFriendsView

If both this and the FlickrGeoAddLocation options are set to True, only your Flickr friends will be able to view the location of your photos.

FlickrGeoFamilyView

If both this and the FlickrGeoAddLocation options are set to True, only your Flickr family will be able to view the location of your photos.

ShapefileWriteFullPath

If True (the default), the image's full local file path is written to the path field. If False, only the file name is written.

You should set this to False if the paths to the images will change after you create the shapefile and if the shapefile and images will reside in the same folder.

ShapefileLinesFileSuffix

When exporting line shapefiles, this is appended to the end of the basename when writing the output files. For example, if the basename is 'Shapefile' and this value is '-lines' (the default), the resulting filenames will be Shapefile-lines.shp, Shapefile-lines.shx, and Shapefile-lines.dbf. This value must differ from the ShapefilePointsFileSuffix setting.

ShapefilePointsFileSuffix

When exporting point shapefiles, this is appended to the end of the basename when writing the output files. For example, if the basename is 'Shapefile' and this value is '-points' (the default), the resulting filenames will be Shapefile-points.shp, Shapefile-points.shx, and Shapefile-points.dbf. This value must differ from the ShapefileLinesFileSuffix setting.

ReverseGeocodingPreserveExistingKeywords

If True and when reverse geocoding images using ESRI shapefiles, existing IPTC keywords are preserved when new keywords are written. The default is to preserve them.

HtmlExportMaxTableWidth

When exporting HTML , this is the maximum table width. If you want to generate output that's compatible with mobile devices, set it to 1 to force the output to be a single column of thumbnail images. The default is 736 pixels.

HtmlExportMaxThumbnailWidth

When exporting HTML, this is the maximum thumbnail width. The default is 160 pixels.

HtmlExportTableDataPadding

When exporting HTML, this is the padding around table data elements. If you want more whitespace in the output, make this larger. The default is 10 pixels.

HtmlExportTableBackgroundColor

When exporting HTML, this is the background color of the thumbnail grid. The default is white (#FFFFFF).

HtmlExportBodyBackgroundColor

When exporting HTML, this is the background color of all areas outside of the thumbnail grid. The default is a very light gray (#F8F8F8).


Camera Clock

RoboGEO - Camera Clock

Sync Camera Clock and GPS Using Google Earth

This feature allows you to automatically set the UtcTimeBias and CameraOffset preference settings. To use it, you must be geocoding photos from a GPS tracklog and at least one of the images must have a known location.

Upon selecting, the photos and the tracklog will load into Google Earth where you can manually position one of the photos to its known location. RoboGEO will then calculate the two preference settings so that they can be applied to the rest of the photos.

You can quickly see your current CameraOffset and UtcTimeBias settings by hovering your mouse over the applicable button.

After setting UtcTimeBias and/or CameraOffset and upon unloading the Camera Clock form, you'll be prompted whether to reload the tracklog. Select Yes and all of your photos should be correctly geocoded with the new settings applied. If not, see the troubleshooting page for more information.

Sync Camera Clock and GPS Using a Picture

This option allows you to automate the setting of UtcTimeBias and CameraOffset items by specifying the timezone and by specifying the camera error.


Exit the Program

RoboGEO - Exit the Program

Select this option to exit the program. When automating the program , you can automatically exit by using the /z command line switch.


Edit Pull Down Menu

RoboGEO - Edit Pull Down Menu

You can access the 'Edit' pull-down menu from within the application by either selecting it with your mouse or by pressing Alt-E.

To edit an image's latitude, longitude, altitude, direction, or title either type the new information directly into the grid, use the Google Earth Geocoder , or select the image(s) and then use the various options under the 'Edit' pull-down menu. You can only edit the EXIF time using the pull-down menu. If multiple images are selected, the new values that you enter are applied to each.

To select a single image, double click on either the 'Image' or 'EXIF Time' columns. To select multiple images, click on each while holding down the Ctrl key. To select all images, press Ctrl-A. Once one or more images are selected, you can act on them either by directly selecting the 'Edit' pull-down menu or by right clicking in the grid.

Double clicking on the latitude, longitude, altitude, direction or title cells allows you to edit the cell value in-place. You can also simply begin typing when the cell is highlighted. Press the <enter> key to save the new value.

To remove one or more images from the list, select them and then press the Del key. To remove all images, press Shift-Del.

To copy the grid data to the clipboard, multi-select the rows that you want to copy and then press Ctrl-C. The resulting tab-delimited data can then be pasted directly into Excel or other 3rd party program.

Columns can be sorted by clicking on the column headers. Reverse the sort order by clicking a 2nd time.

You can embed a copyright notice or the name of the artist in the EXIF headers from the preferences area.


Remove Specific Images

RoboGEO - Remove Specific Images

This option removes the selected image(s) from the list. It does not delete anything from the disk. You may want to do this if, after geocoding , you find that a specific image was not geocoded. You can also accomplish this by selecting the image(s) and then pressing the Del key.


Remove All Currently Loaded Images

RoboGEO - Remove All Currently Loaded Images

This option removes all of the selected images, waypoint data, and any associated audio files that may be currently loaded. If tracklog data exists, you'll be prompted whether to remove it too. Removing all of the data is equivalent to restarting the program. You can also accomplish this by pressing Shift-Del.


Edit Image EXIF Time

RoboGEO - Edit Image EXIF Time

Unlike the other items under the 'Edit' menu, the new time is immediately written to the EXIF headers and doesn't require you to process them. For that reason, you can only edit the times of images that are already EXIF (or EXIF capable) format, i.e. JPG, TIF, DNG, NEF, CR2, MRW, RAF, and ERF files.

Since time formats vary with the user's locale, you can't edit the time by typing directly into the cell. You have to first highlight the image(s) and then select either of the options below

Specify a Specific Time

Use this option to edit an existing EXIF time or to assign an EXIF time to an image that doesn't currently have one.

You can enter the new times in either absolute terms (of the form YYYY:MM:SS HH:MM:SS) or, if a time already exists, a number of seconds to add to (or subtract from) the current time. When entering relative times, you must precede the number of seconds with an @ sign. Negative numbers go back in time, positive numbers forward.

For example, if you want the new time to be 1 second before midnight on the 3rd day of the year, you would enter 2006:01:03 23:59:59. Note the leading zeros, when needed, and the space between the date and time. If you want the time to be 1 hour behind where it currently is, enter @-3600. To set it 1 minute ahead, enter @60.

If you want to change the image's disk date so that it matches the EXIF time stamp, redate the images.

Shift by Seconds or by Timezone

Use this option to apply the current UtcTimeBias and/or CameraOffset values to the image timestamps. The adjustments are always applied to the original images. This, in effect, allows you to move an image to a different timezone and/or to correct the timestamps per the camera clock's error at the time the photos were taken.

Use this feature after you've geocoded the images if it's important for your photos to have exact timestamps based on a specific time zone. You can use the PromptToEditTimestampsAfterGeocoding preference setting to remind you to do that.


Lookup Latitude and Longitude Values Online

RoboGEO - Lookup Latitude and Longitude Values Online

This option allows you to lookup latitude and longitude values using an on-line Google Map. Alternatively, you can use the Google Earth Geocoder .

Upon selecting, http://www.robogeo.com/latlonfinder/map.asp will load into your web browser. You can control the default view by setting the LatLonFinderUrlQueryString option.

This webpage simply displays the latitude and longitude for points on a map. It's intended for use in conjunction with the 'Edit All Values' option when you're manually georeferencing images.

Double-click on the map to recenter it. Press/hold your left mouse button, then drag, to pan the map. Click the slider control on the left hand side to zoom. Click the buttons in the upper right corner to change the view. Note the crosshair at the map's center and how the displayed coordinates changes as it moves.

Here's the routine for looking up and specifying lat/lon values using the on-line map:

1. Select the 'Lookup Lat/Lon Values' option under the 'Edit' pull down menu.

2. Wait for the LatLonFinder website to load.

3. Double click and/or zoom the map to your desired location.

4. Copy the red lat;lon line to the Windows clipboard.

5. Back in RoboGEO, double click on the desired image.

6. Select 'Edit All Values' from the resulting pop-up menu.

7. Paste the latitude and longitude into the box when prompted.

8. Optionally, include the altitude at the end of the pasted text.

9. Select 'OK'.

Repeat steps 3 thru 9 for each image that you need to manually georeference.

If the image you're working with (step #5) isn't currently georeferenced and if a valid lat;lon pair exists on the Windows clipboard (step #4), the lat;lon pair will be the default value and there will be no need to paste the coordinates (step #7). Just click the 'OK' button. This allows you to manually georeference images very quickly.


Manually Edit Image Location

RoboGEO - Manually Edit Image Location

This option is only available if you've selected DEGREES (which is the default) for the default CoordinateFormat .

Instead of manually entering the latitude, longitude, and altitude individually, you can enter all 3 at once by selecting this option.

The input must be of the form:

Latitude;Longitude[;Altitude]

Note that's the latitude, followed by a semi-colon, followed by the longitude. The last semi-colon and altitude are optional.

The decimal separator in the values can either be a period or what's defined in the Windows Regional Settings for your locale.

Here are some valid examples:

32.72372;-95.632532;1120

34.29299292929;-91.838383

36;-92

34,29299292929;-91,838383 (valid where commas are used for decimal points)

Here are some invalid examples:

-95.632532;32.72372;1120 (latitude is out of range)

34.29299292929:-91.838383 (must use a semi-colon delimiter, not a colon)

34.29299292929,-91.838383 (must use a semi-colon delimiter, not a comma)

34.29299292929-91.838383 (missing semi-colon)

36N;92E (values must be numeric)

36-22-43;-91 12'-33" (lat/lon values must be decimal degrees)

This option is intended to be used in conjunction with the 'Lookup Lat/Lon Values' option described above.


Manually Edit Image Latitude

RoboGEO - Manually Edit Image Latitude

This option is only available if you've selected DEGREES (which is the default) for the default CoordinateFormat .

Manually enter the latitude of the selected image. Normally, latitude information is automatically obtained when you geocode the images , so you'll probably never need to use this option.

The latitude must be between -90 and +90, entered as decimal degrees. The decimal character must be as defined in the Windows Regional settings for your locale, i.e. if your locale is 'Finnish', which uses a comma for a decimal point, a value of 55.12345 would be invalid.

Areas north of the equator are positive, south of that are negative.

If you need to convert DD-MM-SS (degrees, minutes and seconds) to decimal degrees, use the following method:

1. Convert the seconds component to minutes by dividing it by 60

2. Add the result of #1 to the minutes

3. Convert the new minutes to degrees by dividing it by 60

4. Add the result of #3 to the degrees

For example, 39-20'-15'' = 39-20.25' = 39.3375 degrees.

If you're converting from DD-MM.MMMM (degrees and decimal minutes) to decimal degrees, do steps #2 and #3 above.


Manually Edit Image Longitude

RoboGEO - Manually Edit Image Longitude

This option is only available if you've selected DEGREES (which is the default) for the default CoordinateFormat .

Manually enter the longitude of the selected image.

The longitude must be between -180 and +180, entered as decimal degrees. The decimal character must be as defined in the Windows Regional settings for your locale, i.e. if your locale is 'English (United States)', which uses a period for a decimal point, a value of 32,12345 would be invalid.

Areas east of Greenwich England are positive, west of that are negative.

See the info about entering latitudes above for more information.


Manually Edit Image MGRS Coordinate

RoboGEO - Manually Edit Image MGRS Coordinate

This option is only available if you've selected MGRS for the default CoordinateFormat .

Manually enter the MGRS coordinate of the selected image. Spaces, if they exist, are ignored. Your input should normally be with 1m precision and look similar to 16SEE5009852124. Lower precisions are also supported.


Edit Image Altitude

RoboGEO - Edit Image Altitude

You can edit an image's altitude either manually or by automatically looking it up on-line .


Manually Edit Image Altitude

RoboGEO - Manually Edit Image Altitude

Manually enter the altitude of the selected image.

The altitude must be relative to sea level and entered in the same units (feet or meters) as you've specified in the program options .

Positive numbers are above sea level, negative are below.

Optionally, you can enter a relative altitude by preceding it with an @ symbol. The value after the @ symbol will be added to or subtracted from the existing altitude. For example, if an image's altitude is 1000 meters and if you enter @-300, the new altitude will be 700 meters.

If you own a Garmin GPS unit that doesn't support the transferring of altitude data, use this option to manually enter the values. You may want to do this anyway to correct the normal errors that occur when any GPS receiver records altitude data.


Lookup Altitude Online

RoboGEO - Lookup Altitude Online

If your photos contain latitude and longitude information, you can lookup the altitudes using NASA's SRTM data . Note that this data only exists for most land areas between the latitudes of 60 degrees north and 56 degrees south and that it was recorded at 3 arc-second intervals (about 90 meters). Because of the recording interval, the data for areas with steep elevation changes may not be accurate enough for your needs.

Normally, you should not use this option if your GPS records accurate altitudes, as would be the case if the GPS had a built-in barometric altimeter.


Manually Edit Image Direction

RoboGEO - Manually Edit Image Direction

There are 2 methods for editing image directions. The first method is to use the 'Edit Direction' pull-down menu. That will give you access to a user-interface where you can specify the various options (the actual direction, whether the direction is relative to the tracklog heading, whether it's relative to the image's current direction, to a specific location, or to the location of the nearest landmark). The second method is to type the directions directly into the grid. The details of doing that are described below:

The abbreviations (N, NNE, NE, etc.) and (F, FFR, FR, etc.) apply to both input methods:

Directions are measured clockwise from true north, i.e. north is 0, northeast is 45, east is 90, southeast is 135, etc.

There are 4 ways to enter directions when typing them directly into the grid:

1. Absolute Numeric. Enter a number between 0 and 359.99.

2. Absolute Abbreviated. Enter N, NNE, NE, ENE, E, ESE, etc. Case doesn't matter. The program will automatically convert these to their numerical equivalents (N=0, NNE=22.5, NE=45, etc.).

3. Relative Numeric. Any number that you precede with an @ symbol will be considered relative to the current direction. If the image doesn't have a direction associated with it and if a tracklog is currently loaded, the heading will be computed from the tracklog and the relative direction will be added to it. If there's no tracklog or image direction, the relative direction is treated as absolute. For example, assume all you know about a photo was that it was taken out of the left window of a moving car (you know that by looking at the image preview). The relative direction is 270 degrees, so you would enter @270. If the car was traveling southeast at the time, the photo direction would be calculated to be 45 (northeast). If the picture was taken looking out the right side window, the relative direction would be @90. If looking straight ahead, it would be @0, etc.

4. Relative Abbreviated. Instead of entering relative numeric directions (@90, @270, etc.), you can enter abbreviations. These are easier to remember and more intuitive. In the abbreviations 'F' is short for 'FRONT', 'R' for 'RIGHT', 'B' for 'BACK' and 'L' for LEFT. Case doesn't matter. You can also enter these in a way similar to the 16 cardinal directions (always going clock-wise), i.e. 'FFR' is 'FRONT FRONT RIGHT', 'FR' is 'FRONT RIGHT', 'FRR' is 'FRONT RIGHT RIGHT', 'R' is 'RIGHT', etc. until the last value of 'LFF' which is 'LEFT FRONT FRONT'. So, if the tracklog direction is already associated with a photo and if you see that the photo was taken looking out the right hand window, simply enter 'R' (without quotes) and the photo direction will automatically computed.

You can also determine the photo direction from the tracklogs at the time of geocoding by specifying the PhotoDirFromTracklog and PhotoDirFromTracklogOffset preferences. For example, specifying PhotoDirFromTracklog=True and PhotoDirFromTracklogOffset=270 is equivalent to manually entering @270 for all of the photo directions.

The normal work flow is to first assign the direction of movement to each photo direction. You can do that by either capturing the directions in real-time using a capable GPS unit or by making use of the PhotoDirFromTracklog option. Then, looking at the foreground of each thumbnail, determine the relative direction of each photo and enter it into the grid. Note that you can enter the same value for multiple images by multi-selecting the images (hold down the CTRL button and left-click), right-clicking, and then selecting the 'Edit Direction' option in the resulting pop-up menu.

Using the user-interface, you can set the image directions by specifying a single point. That will give each image a direction that points to the specified point. The point could be, for example, the end-point of the journey. If you have multiple photos of the same subject, like if you're photographing a building while circling it in a helicopter, all of the photos would point to the building. Specifying a single point is equivalent to loading a landmark file that has only one landmark.

You can also use the user-interface to load a landmark file to set the photo directions so that they point to the closest landmark. For example, if you're flying in an airplane and photographing a series of radio towers, you can automatically set the photo direction of each photo so that it points to the applicable (or closest) tower. You may want to do that instead of using the landmark file to relocate the photos.

More information about landmark files can be found here .


Project Image Location

RoboGEO - Project Image Location

This option allows you to project (pro-JECT', not PRO'-ject) a photo to a new location. Perform this operation if you want the location to correspond to the photo subject instead of the GPS receiver.

Locations are always projected in the direction of the photo direction, so these must exist before you can use this option.

You'll be prompted for a distance to the new location. The units will be either feet or meters, depending on your preferences .

There are 2 ways you can specify the distance. The type of distance that you enter depends on your situation.

The 1st is 'ground mode' where both you and the subject are on the ground. Here you simply enter the distance. So, for example, if the photo's direction is 90, the AltitudeIsFeet is set to False and if you enter 1000, the photo location will be moved 1000 meters to the east.

The 2nd is 'airplane mode' where you're above the subject and the camera is pointing down to it. Here you enter your altitude AGL (not MSL), followed by a semicolon, followed by the camera angle relative to horizontal. The camera angle can vary from 0 (horizontal) to 90 (straight down). For example, if AltitudeIsFeet is set to True, you're flying in a plane 3000 feet MSL over terrain that's 1000 feet MSL and your camera is pointing almost straight down, you would enter 2000;80.

In airplane mode, projecting a location changes the altitude of the image. Since it's impossible to fly a plane at an constant elevation above the earth's surface, this can cause the new altitude values to be erroneous. By setting the RemoveImageAltitudeAfterProjecting to True, you can completely remove the new altitude values.

After you project a location in either mode, it makes the photo's direction value obsolete, so the program removes it. You can prevent this behavior and retain the directional information by setting the KeepImageDirAfterProjecting preference to True.


Relocate to Landmark

RoboGEO - Relocate to Landmark

This option allows you to relocate photos to the location of the closest known landmark. For example, if you're in a plane taking pictures of landmarks on the ground, you may want the photo's location to reflect the actual landmark location instead of the GPS or camera's location.

The normal workflow is to first geocode the images, then to relocate them using this option, and then to process or export them.

Note, like other options under the 'Edit' pull down menu, only the currently selected photos will be processed. If you want to process all of the photos, you'll need to multi-select them first.

You can specify the maximum distance to the landmark and, if the photo has directional information, the maximum field of view. For a given photo, both criteria must be satisfied before the photo will be relocated. The maximum distance must be either feet or meters depending on the AltitudeIsFeet preference setting. If you specify 0, the maximum distance will not be considered. The field of view must be a number between 0 and 360 degrees. For example, if a photo's current direction is 45 degrees (northeast) and if you specify 100 degrees for the maximum field of view, the program will choose the closest landmark between 355 degrees (just west of north) to 95 (just south of east). Note that the angle between 355 and 95 is 100 degrees and that 45 degrees is in the center. If the photo doesn't have directional information or if your specify 0 for the maximum field of view, the field of view is ignored.

If your photos have directional information associated with them, you should normally remove the directional information after they're relocated since, presumably, the directions would no longer apply. Check the appropriate box to do that.

You must create your own landmark file and it must be in a specific XML or CSV format. Both are plain text and the numbers should use a decimal separator that's per your computer's regional settings, i.e. a comma or a period. The XML format must have an .RLM file extension and CSV format must be .CSV. The CSV format is the common quoted-comma form that most spreadsheet programs (like OpenOffice or Excel) export.

The CSV format consists of one record per line, beginning with the 1st line (there is no field definition line). Records are delimited with carriage return linefeed combinations. The fields within each record are delimited with commas. Each field value must be in quotes. The field order must be latitude, longitude, altitude, title, followed by description. The latitude and longitude values must be in decimal degrees. The altitude must be either feet or meters depending on the AltitudeIsFeet preference setting. The latitude and longitude fields are required and the others are optional. If there is no value for an optional field, the field must still be included (as empty quotes).

Here's an example CSV file:

"35.8129","-86.5462","1456","Radio Tower","Any Description"

"35.8124","-86.5411","1499","Pumping Station",""

"35.8118","-86.5468","1423","Branch Office",""

"35.8113","-86.5457","1467","Checkpoint",""

Here's an example XML file:

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>

<Landmarks>

<Landmark>

<Latitude>35.8129</Latitude>

<Longitude>-86.5462</Longitude>

<Altitude>1456</Altitude>

<Title>Radio Tower</Title>

<Description>Any Description</Description>

</Landmark>

<Landmark>

<Latitude>35.8124</Latitude>

<Longitude>-86.5411</Longitude>

<Altitude>1499</Altitude>

<Title>Pumping Station</Title>

<Description></Description>

</Landmark>

<Landmark>

<Latitude>35.8118</Latitude>

<Longitude>-86.5468</Longitude>

<Altitude>1423</Altitude>

<Title>Brance Office</Title>

<Description></Description>

</Landmark>

<Landmark>

<Latitude>35.8113</Latitude>

<Longitude>-86.5457</Longitude>

<Altitude>1467</Altitude>

<Title>Checkpoint</Title>

<Description></Description>

</Landmark>

</Landmarks>

You can also use landmark files to assign photo directions .


Sanitize Images

RoboGEO - Sanitize Images

This option strips all of the EXIF and IPTC data from the selected image(s) while preserving only the data that you specify. You can preserve all of the IPTC data, timestamp, latitude, longitude, altitude, direction, title, and/or description. You should normally always preserve the timestamp because without it, an image is of little use to the program. If you want to strip out all of the image meta-data, don't preserve anything.


View Raster Image

RoboGEO - View Raster Image

This option allows you to view the original image or, if the image has already been processed, the processed image.


View the Original Raster Image

RoboGEO - View the Original Raster Image

View the original image using the application on your computer that's associated with the given format. If there's no association, you'll need to create one from the Windows Control Panel.

If the program you have associated with the image format doesn't support EXIF and if you edit/save an image using it, the EXIF information will be lost and RoboGEO will be unable to process it.

If you've set the program's options to edit the original images, the original copy will also be the processed copy.


View the Processed Raster Image

RoboGEO - View the Processed Raster Image

View the processed image using the application on your computer that's associated with the given file type.

This option is only available if you've already processed the image and if the program's options are set to not overwrite the original images. The path of the processed copy will be as you previously chose.


View Image Location

RoboGEO - View Image Location

Once you select the images and geocode them, you can view the photo locations on a variety of maps. Alternatively, you can create a web page that uses Google Maps or Google Earth to show where your photos were taken. Using the Flickr2Map service provides similar functionality for Flickr photos.

You can also quickly preview an image location by selecting it and then pressing F5. This will load the Google Earth Geocoder .

These options are only available if the image location falls within the USA.


View Image Location on Various USA Maps

RoboGEO - View Image Location on Various USA Maps

Some mapping services are specific to the U.S.A. You can choose any of those via this option.


View Image Location on a USA Street Map

RoboGEO - View Image Location on a USA Street Map

View the image location on the default street map.


View Image Location on a USA Topo Map

RoboGEO - View Image Location on a USA Topo Map

View the image location on a topo map at TopoZone.com.


View Image Location on a USA Nautical Chart

RoboGEO - View Image Location on a USA Nautical Chart

View the image location on a nautical chart at Aeroplanner.com.


View Image Location on a USA Satellite Photo

RoboGEO - View Image Location on a USA Satellite Photo

View the image location on the default satellite photo.


View Image Location on a World Map

RoboGEO - View Image Location on a World Map

This will locate the selected image on the default world map. If you would like to specify another mapping provider, set the LocateWorldMapUrl option.

You can also quickly preview an image location by selecting it and then pressing F5. This will load the Google Earth Geocoder .

Alternatively, if your location falls outside the USA, you can export to Google Maps or create a KML or KMZ file for use in Google Earth.


View Meta Data

RoboGEO - View Meta Data

This option allows you to view the original image's meta data or, if the image has already been processed, the processed image's meta data.


View Original Image Meta Data

RoboGEO - View Original Image Meta Data

View the original image's EXIF and IPTC information. Upon selecting, the EXIF IPTC viewer will load with the currently selected image. You can cycle through the other images by using the Next and Back buttons. Only those comments that exist in the current image will be displayed.

If you've set the program's options to edit the original images, the original copy will also be the processed copy.


View Processed Image Meta Data

RoboGEO - View Processed Image Meta Data

View the processed image's EXIF and IPTC information.

This option is only available if you've already processed the image and if the program's options are set to not overwrite the original images. The path of the processed copy will always be as you previously chose.


Edit IPTC Data

RoboGEO - Edit IPTC Data

This option allows you to edit the original image's IPTC data or, if the image has already been processed, to edit the processed image's IPTC data .


Edit Original Image IPTC Data

RoboGEO - Edit Original Image IPTC Data

You can edit the IPTC data either manually (as described below) or you can use KML polygon files if you only need to update the IPTC Headline (from the polygon name) and/or Caption Abstract (from the polygon description) fields. Click the 'Edit Per KML Polygons' button on the IPTC Editor form to load a KML file. More info about Google Earth KML polygons and how the program deals with them is here .

Select this option to load the original images into the IPTC editor. The IPTC editor allows you to manually edit common IPTC fields including the country name, country code, state or province, city, sub-location, headline, caption abstract, and the keywords.

You can also load the IPTC editor immediately before stamping by setting the StampIptcEditorPrompt option.

If the 'Default to previous values for blank fields' box is checked, the last value that you entered for a given IPTC field will be used for blank/missing IPTC fields. This is handy if you're entering data for several images that share the same values for most fields. Press the <TAB> key to move quickly between fields and <CTRL><ENTER> to switch between the IPTC pages on the tabbed interface. If needed, you can type directly in the country and province/state drop-down lists. You may need to do that if your area isn't listed. Click the 'Write IPTC' button to save the data to the image. All writing is lossless.

Among other reasons, you may want to use the custom IPTC data when stamping images .


Edit Processed Image IPTC Data

RoboGEO - Edit Processed Image IPTC Data

You can edit the IPTC data either manually (as described below) or you can use KML polygon files if you only need to update the IPTC Headline (from the polygon name) and/or Caption Abstract (from the polygon description) fields. Click the 'Edit Per KML Polygons' button on the IPTC Editor form to load a KML file. More info about Google Earth KML polygons and how the program deals with them is here .

Select this option to load the previously processed images into the IPTC editor.

A common workflow is to geocode the images , then reverse geocode them to get as much data as possible into the IPTC headers, and then to use this option to manually check the embedded data and to make final adjustments.

This option is only available if you've already processed the images and if the program's options are set to not overwrite the original images. The path of the processed copy will always be as you previously chose.


Find Similar Images

RoboGEO - Find Similar Images

Once you've loaded some images and have geocoded them, you can use this option to identify images that were taken within X seconds of another and/or identify images that are located within Y meters (or feet) of another.

Specify the time and/or the distance proximity values to identify the images. Once identified, you may want to remove them from the main grid or even delete them from disk. This feature is most useful for those who need to remove redundant images, like those that are clustered around a single point.


Title Maker

RoboGEO - Title Maker

The Title Maker allows you to add structure to the image titles and to automatically write them to the image's EXIF. A structured title consists of 3 parts: a beginning, a middle, and an end. You can control the user-interface caption for these parts by specifying the TitleMakerCaption1 , TitleMakerCaption2 , and TitleMakerCaption3 preference settings. The three parts are combined and delimited (per TitleMakerDelimiter ) to form the final image title. When using structured image titles, it's also common to use StampLeftRightJustifiedTitleInMiddle and GeWarnIfEmptyImageTitles .

After you close the Title Maker Form, you'll be prompted whether to write the newly entered data to the EXIF and IPTC headers. Note the writing always occurs on the original images.


Help Pull Down Menu

RoboGEO - Help Pull Down Menu

You can access the 'Help' pull-down menu from within the application by either selecting it with your mouse or by pressing Alt-H.


Help Index

RoboGEO - Help Index

Select this option or press F1 to load this help file.


Application FAQ

RoboGEO - Application FAQ

Where can I download a demo version?

Go to the download page .

What's new with v5.6?

Click HERE .

How is the demo version limited?

Intentional errors are introduced that make the latitude and longitude values to be off by as much as a kilometer.

How do I purchase the registered version?

You can purchase it on-line. It takes only a few minutes and you'll immediately receive your unlock code.

What about upgrades?

Registered users receive FREE lifetime upgrades.

Is there a 30 day money back guarantee?

Yes. It's specified in the End User License Agreement .

I can't run the install program. What's do I need to do?

You're running an older version of Windows that doesn't include the Windows Installer . You need to download and install it before running the RoboGEO setup program.

The install program loads fine, but fails with an error. What do I do?

Contact support@robogeo.com with the exact error message that you received and any other important information that would help in diagnosing the problem, like the operating system you're running.

When I try to run the program, it unexpectedly ends after displaying the demo screen.

This will happen if the installation program was unable to copy and register one or more files to your Windows system folder.

You need to reinstall the program, ensuring that your Windows user account has the sufficient permissions to copy and register files to your Windows system folder. You also need to ensure that a 3rd party program (like a virus scanner) isn't preventing the installation program from copying/registering files to the system folder.

There have been scattered reports of users having to turn ON (not OFF) the Windows Vista UAC for the installation to succeed. Also, under Windows Vista, you may need to launch the installation and/or main executable by right-clicking and then choosing the "Run as administrator" option.

How do I get help from within the program?

Press F1 or click any of the 'Help' buttons. All of the documentation is on-line, so you'll need to be connected to the internet in order to access it. Having the documentation on-line instead of loading it onto your computer allows us to constantly update it with new information.

OK, I'm running the program. What do I do?

Follow the step-by-step instructions in the task pane on the left hand side of the screen or follow these instructions .

I have a Magellan GPS. Can I still use RoboGEO?

Yes, but you'll need to import the tracklogs instead of using the program to download them directly from the GPS. Using G7ToWin is one method for creating an import file (either G7T or GPX formats).

I don't own a GPS. Can I still use RoboGEO?

Yes, but you'll need to manually enter the latitude, longitude and altitude information for each image. This is easy using the LatLonFinder website and the 'Edit All Values' option under the 'Edit' pull-down menu.

What is EXIF?

EXIF stands for Exchangeable Image File Format. This file format allows for the storage of non-image data (such as the latitude and longitude) within the actual image file. Virtually all modern digital cameras store images as EXIF files in the JPG format.

What is IPTC?

IPTC stands for International Press Telecommunications Council. IPTC, like EXIF, allows for the storage of non-image data (such as a news headline and copyright owner) within the actual image file. It's used by news organizations worldwide as the mechanism for classifying news data.

Is RoboGEO's EXIF and IPTC lossless?

Yes. When information is written to the EXIF or IPTC headers, none of the image data is lost and all of the existing comments are preserved.

I'm confused by the JPG quality option. What should I do?

Set it to 98 (the default value) and forget about it.

Why not set the JPG quality to the highest possible value?

Because as the quality increases, so does the image size. The goal is reach a compromise between good image quality and small file size. Using 98 accomplishes that for most applications.

What kind of images can I load into the program?

You can load JPG, TIF, BMP, PNG, DNG, NEF, CR2, MRW, ERF, RAF, ORF, PEF, ARW SR2, SRW, RW2, RAW, RWL, and MEF formats.

Why can't I geocode my PNG and BMP files from a tracklog?

PNG and BMP files do not support the storage of EXIF metadata. In order to georeference an image from a GPS tracklog, the image must have a valid EXIF timestamp and these 2 formats do not support that.

OK, how do I geocode my PNG and BMP images?

You can do it manually or by equating them to the waypoints in your Garmin GPS unit.

How do I remove images from my list?

Double click on the image then select 'Remove Image' from the resulting pop-up menu .

Where do I specify my GPS's COM or USB port?

You can't - the program determines that automatically. Just plug it in.

There's no altitude information. Why is that?

Some older Garmin models (like the GPS 12) do not report altitude data. Most of the newer models (like the Garmin GPS 60) do. You'll need to manually enter the missing information.

When should latitude and longitude values be negative?

Latitude values that are south of the equator (like Australia) are negative. Longitude values that are west of Greenwich England (like the USA) are negative. If you're in Brazil, both the latitude and longitude would be negative.

Why couldn't some of my images be processed from the tracklog?

There are several possible reasons. Click here for more information.

How should I setup my GPS tracklog?

Set up your GPS's tracklog to record a trackpoint every X seconds (instead of using the auto mode), where X is as small as possible. For example, if your GPS can store 1000 trackpoints and if you anticipate taking pictures for a total of 4 hours, you'll want to record 250 trackpoints per hour or, approximately, 4 trackpoints per minute. To accomplish that, set the GPS's recording interval to 1 trackpoint every 15 seconds.

How do I ensure that my camera's clock is accurate?

Turn on your GPS and go to the page where the time is displayed. Assume that it shows 11:22:02. Now, in the next 58 seconds, go to the setup screen in your camera where you set the time. Set it to 11:23:00 and wait for the GPS to reach that time. When it does, save the camera time. Be quick. To accurately georeference images from a GPS tracklog, it's important that the camera's clock is accurate. Optionally, you can specify an offset .

Why is that the best way to sync the GPS and camera clocks?

Because it minimizes the possible error. A common belief is that the best way to sync the camera and GPS clock is to take a picture of the GPS unit when it's showing the time and then to equate the displayed time back to the image's time stamp. That belief is wrong. GPS units typically display the current time in 1 second increments, so using that method could result in an error up to 1 second. Unless you're real uncoordinated, you can dramatically decrease the possible error by simply setting the camera's clock when the GPS unit ticks to the camera's current minute. Another reason why this is a better method is because it's easier, not to mention that it's quicker.

How often should I sync the camera and GPS clocks?

It's a good practice to do it once on the day before taking any pictures. You may not need to do it that often if your camera's clock doesn't drift or if you're stationary for a period of time that's greater than the error when you take the pictures. If you take pictures while moving, it's very important that the camera's time is accurate.

What map datum should I specify in the options area?

The same one that your GPS is using. In the USA, this is almost always WGS 1984.

Why must all of the images be georeferenced before I can process them?

Everything the program does ( process or export ) requires the images to be georeferenced. If they're not georeferenced, they are of no use.

What are my options for dealing with the ungeoreferenced images?

Click here for solutions.

Is there a limit on how many markers I can put on a Google Map?

Technically, no, but there's a practical limit. As the number of markers increase, so does the time required for the web browser to process them. The time becomes an issue when the number of markers exceed a few hundred. As long as the number of makers remain below 100 or so, it shouldn't be a major factor.

In Google Maps and Google Earth, why is my last GPS trackpoint connected back to the first?

Your GPS's active tracklog can consist of one or more tracklog segments. If you set the CombineTracklogSegments preference setting to True, the program will combine the individual tracklog segments into one, i.e. it will connect the end of one segment to the beginning of the next segment.

Back at the computer when you turn the GPS back on (so that you can download the active tracklog), it may record a few additional trackpoints. If your original trip started at your computer's location, which is often the case, it may appear as if there's an arbitrary line connecting the end of your trip back to the beginning.

The solution is to turn the GPS's tracklog recording off when you arrive at your destination so that it won't record any bogus track points when it's turned on again back at the computer.

How do I prevent the image descriptions in the Google Map info windows from running into/behind the thumbnail images?

The text in Google Map info windows does not automatically wrap within the info window. This can cause an image description to be a very long line that extends behind the thumbnail image and outside of the info window itself.

You can prevent this by making your image description line lengths shorter. When typing the image descriptions, press your enter key when the line length is about 1/2 as wide as the 'Image Description' text box. Don't let it auto-wrap. RoboGEO will convert the resulting carriage returns to HTML line breaks so that they look nice when displayed next to the thumbnail images in the Google Maps info windows.

Why does my tracklog looks like a bunch of random lines on the map?

You're using the demo version. Intentional errors are not introduced with the registered version .

Why doesn't the Google Map's map.htm file load on my local computer?

The map.htm and related files must reside at the location associated with the Google API key .

Why are my trackpoint ground speeds shown as "Unknown" in Google Earth?

There were no trackpoint time stamps. This can happen when an imported GPX file doesn't contain time values for each trackpoint. It can also happen if you have saved tracklogs in the GPS unit. Trackpoint time stamps are lost when you save the active tracklog in a Garmin GPS unit.

When I click on a photo placemark in Google Earth, why do I only see a little gray box (or nothing) in the placemark flyout balloon?

It's either because Google earth can't find the file, or it doesn't have access to the graphic file's location, or it can't display the file because it hasn't completed the download. To remedy the first, ensure that the file exists in the location that's specified in the KML file. KML files can be viewed in any ASCII editor like notepad.exe. You can remedy the 2nd (with Google Earth v5.0) by checking the box titled 'Allow placemark balloons to access local files and personal data' under the 'General' tab via the Tools-->Options pull-down menu. To remedy the 3rd, be patient while the file downloads.

Can the image file names inside of my Google Earth KMZ files contain extended ASCII characters?

If your image file names contain extended ASCII characters (anything beyond 7-bit, as commonly used outside of the USA) and if you're embedding them within a KMZ file, you should set the GeRenameKmzImagesUsingLowAscii preference setting to True.

Is it possible for my Google Earth timeline to default to the full timespan so that all of my placemarks will be visible?

No. Other than changing it manually, you can't control the timespan's beginning and end. Google Earth sets it automatically.

Do I have to load and georeference images before exporting a KML or KMZ file for Google Earth?

The Google Earth feature only requires that you load a tracklog. If you load and geocode images , they'll show up too in Google Earth.

How about Google Maps?

Like the Google Earth support, there's no requirement to also load and georeference images, i.e. you can use it to show only tracklogs.

When I click on the Flickr2Map link on my Flickr photo page, it says it can't find the photo?

Make sure that the photo's permission is set to public. The Flickr2Map service does not work with private photos.

Why do some people get an error about an invalid referring URL when they try to access the Flickr2Map service?

The Flickr2Map service must know the Flickr referring URL in order to work. If the user's web browser isn't sending it (either because they have it configured that way or because of an HTTP proxy server), the Flickr2Map service will not be able to get the photo's information.

Why isn't RoboGEO creating my new Flickr sets?

If you have a free account, you've probably exceeded your Flickr quota.

When I export to Streets and Trips, why can't I see the photos?

Unlike MapPoint, Streets and Trips doesn't allow you to link to an external image. All you can do is display the pushpins and the related info.

Why can't I get my exported file into MapPoint?

Make sure that you complete each step in the wizard and that you specify a semi-colon for the field delimiter.

Why do all of my images have the same audio associated with them?

The program associates the two by comparing the audio file's disk date with the image's EXIF time. If it works out that a single audio file is the closest match for all of the images, then this will happen.

You need to do whatever it takes to ensure that the disk date of the audio files match the times in which they were recorded.

Can I use my old cassette recorder to record dictation?

Not directly, but you can if you're willing to do some extra work. Use sndrec32.exe (a recorder included with Windows) to create digital copies of the audio and then manually associate each with the correct image.

Why can't I play WMA files on my computer?

See the system requirements for a solution.

What's the best brand of digital voice recorder?

Most would say Olympus followed by Sony. RoboGEO was tested extensively with an Olympus WS-310M and it works great.

Can I record all of my dictation in one file?

No. Each photo's dictation must be contained in a single file, i.e. the program can't extract portions of an audio file to associate with an image.

I don't like the built-in audio player. How do I use Winamp, my normal program?

Set the AudioUseAssociatedProgram preference to True.

Why can't I geocode the actual audio files?

Because there's no established technical standard that defines how it should be done.

Do I have to geocode the photos in order to associate audio files with them?

No. The geocoding functionality is independent of the ability to associate audio with the pictures. Just load your images and audio files , then save it as a project .

Why are my photo directions removed after I project the location?

Because, it's presumed, that the new location represents the actual location of photo's subject and that the direction no longer applies.

You can prevent this behavior and retain the photo directions by setting the KeepImageDirAfterProjecting preference to True.

When projecting image locations, what's the difference between "ground mode" and "airplane mode"?

You enter the distance differently. In ground mode, you simply enter the distance. In airplane mode, you enter your altitude (AGL), followed by a semi-colon, followed by the camera angle relative to horizontal.

Why do my altitudes change when I project a location in airplane mode?

Because the new projected location has a different altitude.

How can I prevent the altitudes from changing when projecting in airplane mode?

You can't prevent it, but you can remove the altitude values entirely. Set the RemoveImageAltitudeAfterProjecting preference to True.

Why can't I edit the EXIF times by simply typing them into the grid?

The program displays data per the computer's regional settings and, with respect to times, there are simply too many formats to account for.

To edit the EXIF time , highlight the image(s), then select the 'Edit Time' option under the 'Edit' pull-down menu.

Why can't I geocode images from the waypoints in my GPX file?

It's probably because the waypoints don't have timestamps - each waypoint must have a timestamp and it must be contained in a <time> child element. If that's not the cause, it's probably because of one or more reasons detailed here .

Why can't RoboGEO read the NMEA data from my GPS?

Is the GPS interface set to NMEA 0183? Does the baud rate of the GPS interface match the baud rate you have specified in RoboGEO? Is the GPS connected to the correct COM port? Is the COM port functional? Can other GPS utility programs communicate with the GPS on the selected COM port?

Why does it take so long to process my RAW files?

RAW files are usually very large, so loading and processing them can take longer than the typical processing of a JPG file. Be patient.

Why can't I stamp the location data onto the actual RAW files?

RoboGEO does not support writing raster data to RAW formats (DNG, NEF, CR2, MRW, ERF, RAF, ORF, PEF, ARW SR2, SRW, RW2, RAW, RWL, and MEF). You can only write to the EXIF . For unsupported operations like this, you'll be prompted whether to convert them to JPG before proceeding (your original files will not be affected).

Why can't I geocode my images from the IPTC data?

There are several possible reasons why you can't geocode images from IPTC data. Do the images have IPTC location data (country, province/state, city, or sub-location)? Are you connected to the internet? Is only one of your search terms not being found (the search uses an AND operator)? Is one of the included terms misspelled? Have you tried a less restrictive search by including fewer terms? Are you sure that your search terms would even exist in the database?

Why can't I reverse-geocode images located outside of the USA?

The geocoding server doesn't have that information, so it doesn't allow it.

What does {CR/LF} stand for?

Carriage return - line feed. Think typewriters. For plain ASCII files, it's the invisible characters that cause a new line to be started. When importing a CSV file , it's usually what you need to specify for the record delimiter.

Will there be upgrades to RoboGEO?

You bet. If you have any suggestions, let me know .


About

RoboGEO - About

Pretek, Inc.

1746 N. Lovvorn Rd.

Christiana, TN 37037 USA

Support: support@robogeo.com

Web: http://www.robogeo.com


Miscellaneous Topics

RoboGEO - Miscellaneous Topics

Other related topics are listed below.


Troubleshooting

RoboGEO - Troubleshooting

If you were unable to geocode one or more of your images from a GPS tracklog , from an imported GPX file or from an imported NMEA sentence file , this page will help you diagnose the problem and advise on what corrective actions you must take.

When the program is unable to geocode an image normally or from the nearest trackpoint, it changes the color of the 'Image' column in the main grid to bold red. If it was geocoded from the nearest trackpoint, the color is also changed to red, but with a regular font weight.

More often than not, the cause of this problem isn't simply taking a picture when the GPS wasn't recording a tracklog. It's because of circumstances that causes the program to incorrectly convert the UTC times in the GPS tracklog and/or waypoints to the local times of the photos. GPSs only know UTC time. Digital cameras only know local time. The program must do this conversion to equate the two.

Are you running the demo version?

The demo version introduces random errors in the latitude and longitude values that can cause locations to be off by as much as a kilometer.

Remedy: Upgrade the demo to registered.

Do your photos have EXIF time stamps?

A photo must have a valid EXIF time stamp in order to geocode it from a GPS tracklog or from an imported GPX file. It it has one, it'll display in the resulting list.

Remedy: Manually geocode the photos or edit the EXIF time .

What do you have specified for the UtcTimeBias option?

If UtcTimeBias is set to -1, it means the program is trying to determine the UTC bias by looking at the computer's time zone information. It could be that the camera's clock was not set to the same time zone as the computer at the time the photos were taken. If it's not set to -1, the value you have entered may be wrong.

Remedy: Change the UtcTimeBias and try again (you can do this automatically if you know the location of one of your photos).

Did you specify UtcTimeBias in minutes?

This is specified in minutes, not hours.

Remedy: Convert your number of hours to minutes.

Did you look at the imported tracklog data?

If you imported a tracklog file, the trackpoint data will be loaded in the table under the main grid's 'Tracklog' tab. Look at this data and pay special attention to the trackpoint times. Note that the trackpoint times, like the photo times, are local - not UTC. Do your photos fall within any two trackpoints within the same tracklog segment?

Remedy: If your trackpoint times are obviously wrong and need adjusting, respecify the UtcTimeBias option and import the tracklog again.

Have you patched your Windows O/S for the Daylight Savings Time bug?

If UtcTimeBias is set to -1 (the default) and if you live in the USA and if you haven't upgraded your O/S and if you try to geocode photos between March 11, 2007 and March 31, 2007, the geocoding will fail. The U.S. Energy Policy Act of 2005, passed by the U.S. Congress July, 2005, extended Daylight Saving Time (DST) in the U.S. and this change may not be known by your O/S.

Remedy: Set the UtcTimeBias preference setting to the actual difference between local time and UTC time or update your Windows O/S.

Do the photo times fall within the time frame of the tracklog?

In order to geocode a photo, the photo's timestamp must fall between the time of two consecutive trackpoints in a given tracklog segment. For example, if the times in your tracklog range continuously from 2pm to 4pm and if a photo's time is 1pm, you won't be able to geocode it.

Remedy: Manually geocode the photos . If the photo or trackpoint times are off by a constant and known amount, you can change the EXIF time of each image or specify a UtcTimeBias to account for the difference.

Were you recording a tracklog at the instant the photo was taken?

You can't geocode images that fall between 2 tracklog segments. For example, assume your GPS has 2 tracklog segments. The first spans from 1pm to 3pm and the other from 5pm to 7pm. An image with a time of 4pm won't be geocoded because each tracklog segment is treated independently. Note that a Garmin GPS creates new tracklog segments under a variety of conditions like when the recording first begins, when it loses the satellite reception, when you intentionally stop and then restart the recording, when you change the GPS batteries, etc. So, if you're recording a tracklog and lose the satellite signal at 2:21pm, take a picture at 2:22pm, and then reacquire the signal at 2:23pm, that image can't be geocoded. The thing to keep in mind is to ensure that your GPS is recording a tracklog whenever you take a picture.

Remedy: Set CombineTracklogSegments to True and try again.

Were some images georeferenced while others were not?

It's possible that the GPS unit's reception was lost at the instant you took the photo, so it fell between two tracklog segments.

Remedy: Set CombineTracklogSegments to True and try again.

Were you trying to use a saved tracklog?

When you save a tracklog in an older Garmin GPS unit, the trackpoint times are lost. Because of that, you can't use a tracklog that's saved in your GPS unit to geocode images.

Remedy: Manually geocode the photos .

Was your camera's clock accurate when you took the pictures?

Before doing anything, you must ensure that your digital camera's clock is accurate. You do that by setting it to the local hours and minutes that the GPS displays. Note, again, that GPSs only know UTC time and when they do anything with local time, like displaying it to a human, it's only for informational purposes. Some older GPSs don't account for daylight savings time when they try to display local time, so the time that it displays in the summer may be an hour behind the true local time. That doesn't mean that its clock is inaccurate - it just means that it's not good at interfacing with humans. Only concern yourself with the minutes and seconds that the GPS displays.

Remedy: You need to determine what the actual offset was when you took the pictures. Specify that offset in the program options, then import the tracklog file (you can do this automatically if you know the location of one of your photos).

Was your camera's time set to the same time zone as the computer?

If UtcTimeBias is set to -1, your digital camera's time must be set to the same time zone as the computer where you'll be running the program. The accuracy of the computer's clock doesn't matter - only that it's using the same time zone as the camera. So, if you go on a trip, don't reset the camera's time to the local time of your destination. If you do, you'll have to change your computer's time zone to that of your trip destination before using the program. It doesn't matter what time zone is used, only that they are the same.

Remedy: Either temporarily change the computer's time zone settings to that of the camera or change UtcTimeBias to the proper value.

Did Daylight Savings Time Change Since the Photos were Taken?

If daylight savings time changed between the time you took the pictures and the time when the program was used to georeference them, you'll need to account for that difference by specifying an offset. The program can't automatically determine if DST is in effect at a given time because that varies throughout the world.

Remedy: Set UtcTimeBias to the time difference of when the photos were taken and try again.

Have you specified a camera offset in the program when one isn't needed?

You may have a camera offset specified when one isn't needed.

Remedy: Specify an offset that applies for the images you're trying to process. Specify 0 if the camera's time was accurate.

When you view the exported tracklog, are the UTC times obviously inaccurate?

If everything is in order, the UTC should be accurate. If not, they're probably off by a consistent amount - usually 1 hour ahead or 1 hour behind where they should be. This can happen, for example, if the camera's clock was set to a time of GMT(-5 hrs) while the computer is set to GMT(-4 hrs).

Remedy: Specify an offset that accounts for the difference.

If importing a tracklog file, does all of the required information exist?

Latitude, longitude, and timestamps must exist for each trackpoint in an imported tracklog file. Note that it's possible to export a tracklog from DNR Garmin without timestamps, so make sure you're not doing that.

Remedy: Manually edit the import file or re-export it.

Is the UseDiskDateAsTimeStamp preference set to True?

This should normally be False. When True, the program uses the image's disk date instead of the EXIF time.

Remedy: Set UseDiskDateAsTimeStamp to False and try again.

Are you trying to regeocode some photos with SkipPreviouslyGeocodedPhotos set to True?

When SkipPreviouslyGeocodedPhotos is True, previously geocoded photos are skipped.

Remedy: Set SkipPreviouslyGeocodedPhotos to False and try again.

Does your tracklog have more than 1,048,576 trackpoints?

The combined number of trackpoints in an imported tracklog file cannot exceed 1,048,576.

Remedy: Manually break the file up into smaller segments. If you need to import multiple tracklogs, import them one at a time after loading the images.

Do the GPX waypoints have timestamps?

If you're importing a GPX waypoint file , the waypoints must have timestamps and those timestamps must exist in <time> child elements. Note that some Garmin models place a timestamp in the comment field when you save a waypoint. This timestamp is for human eyes only and RoboGEO does not use it because it's prohibited by the Garmin Protocol. There are also technical reasons why it's not used, like the fact that it's not formatted as a true date and that it's written in whatever language you have configured for the unit. It may also be written in local time which makes no sense with respect to GPSs.

Remedy: Manually associate the waypoints with the photos.

Do the appropriate NMEA sentences exist in the import file?

If you're importing a NMEA sentence file , note that the program obtains location data from the sentence that begins with $GPRMC. Without that sentence, the program cannot geocode the images.

Remedy: Manually geocode the images.

Do you have the MaxTracklogTimeDifference preference option set?

This could be causing the problem if the time difference between the geocoded photo and the nearest trackpoint exceeds the value that you specified.

Remedy: Increase the MaxTracklogTimeDifference value or set it back to the default value of -1.

Are you trying to geocode images from the IPTC headers?

It's possible that the remote server is down, that your connection to the internet is down, that your image(s) do not contain IPTC location data, that one or more of the search terms was not found (an AND operator is used in the query), that one of your search terms has a misspelling, that the country name is not spelled properly, or that there simply was no data associated with your search query.

Remedy: Perform a less restrictive search by specifying fewer search terms (like just the city) or wait until the internet connection is reestablished.

Did you import the correct Garmin TCX file?

If you're importing Garmin Training Center Database files , make sure you're importing the correct one. Import the 'activity history' files, not the 'directory files'. If you're unsure, load them into notepad.exe and look for the latitude and longitude tags - the ones that have them are the ones you need to import.

Remedy: Look at the file using notepad.exe and confirm that you're opening the correct TCX file.


Automation

RoboGEO - Automation

Most of RoboGEO's functionality can be automated through the use of command line parameters. These command line parameters can consist of file or folder paths (like project files) and switches (like /a) that tell RoboGEO what to do when started. For example, the command line below tells the program to load the project file named 'MyProject.rgw' and to stamp all of the images:

C:\Program Files\RoboGEO\robogeo.exe /p:C:\MyFolder\MyProject.rgw /s

In addition to command line parameters, you can also specify various program options that enhance and extend the program's ability to be automated. These options fall under two broad categories. One controls the program's behavior when automated (those settings have names that begin with " CmdLine "). The other allows you to interface with third party applications (those settings have names that begin with " Auto ").

There are two ways to specify the robogeo.exe command line. One is the normal way of appending it to the end of the robogeo.exe path (like above). The other is to specify the command line in a file named CmdLine.txt, located in the same folder as robogeo.exe. CmdLine.txt should contain one line of ASCII text. Upon starting, robogeo.exe will look for CmdLine.txt and if it exists, it will read it and treat it as if it were the actual command line. This overrides anything that may actually exist on the normal command line. For example, if CmdLine.txt contains only (without quotes) "/a" and if it exists in the same folder as robogeo.exe, RoboGEO will be started as "robogeo.exe /a". CmdLine.txt allows you to control RoboGEO's behavior from a third party application and/or to override what may already exist on the normal command line.

RoboGEO always saves your settings so that you don't have to enter the same information over and over again. For example, if you specify a new pattern when renaming files, that pattern will become the default one the next time you use that feature. The automation features take advantage of this and that's why you don't have to specify additional parameters when you include a specific output operation on the command line - the program will simply use what was used previously. It's just as if you manually loaded the form and clicked the button yourself. For that reason, you should manually perform any operation before you attempt to do it from the command line.

If a command line contains an apostrophe as the first character, the entire command line will be ignored.

In order to perform more than one operation on a group of images (like renaming them before exporting to Google Earth) you must be editing your original images. If EditOriginalImages is False, you can only perform one export operation per session.

The 'AUTO', 'WARN', and 'END' command line parameters in v5.1 and earlier are no longer supported, but you can specify equivalent ones using the new syntax (/a, /z, /i:, and /t:GPS) and by specifying the appropriate preference setting .

Listed below are all of the available command line parameters along with some examples.

Command Line Parameters (Input)

ProjectFilePath - Load a project file . Enclose the path in quotes if it contains spaces. Note that there are no command line switches - just the file path. RoboGEO Project files have a .RGW file extension and the installation program automatically associates them with the RoboGEO program. If running in automode (/a) and if the project file was created with an older version of the program, it will be automatically converted.

C:\Program Files\RoboGEO\robogeo.exe C:\MyProjects\hike.rgw

ImageFilePath - Load an image file . Enclose the path in quotes if it contains spaces. Note that there are no command line switches - just the file path. If you specify the CmdLineImgLoadGeocoder preference setting, RoboGEO will automatically launch the Google Earth geocoder so that you can quickly geocode the image.

C:\Program Files\RoboGEO\robogeo.exe C:\MyImages\Picture.jpg

TracklogFilePath - Load a tracklog file . Enclose the path in quotes if it contains spaces. Note that there are no command line switches - just the file path. If you specify the CmdLineTracklogExportGoogleEarth preference setting, RoboGEO will automatically load the tracklog in Google Earth for viewing. You can specify any tracklog format that the program supports (GPX, SHP, NMEA, DNR Garmin, OziExplorer PLT, etc.).

C:\Program Files\RoboGEO\robogeo.exe C:\MyTracklogs\tracklog.gpx

/p:ProjectFilePath - Load the specified project file . Enclose the path in quotes if it contains spaces. Including the command line switch (/p) along with the file path allows you to specify additional command line parameters.

C:\Program Files\RoboGEO\robogeo.exe /p:"C:\Project Files\flight.rgw"

/i:ImageFilePath - Load the specified image file . Enclose the path in quotes if it contains spaces. Including the command line switch (/i) along with the file path allows you to specify additional command line parameters.

C:\Program Files\RoboGEO\robogeo.exe /i:C:\folder\image.jpg

/i:ImageFolderPath - Load all images in the specified folder . Enclose the path in quotes if it contains spaces. Including the command line switch (/i) along with the file path allows you to specify additional command line parameters.

C:\Program Files\RoboGEO\robogeo.exe /i:"C:\My Images\"

/t:TracklogFilePath - Load the specified tracklog file . Enclose the path in quotes if it contains spaces. Including the command line switch (/t) along with the file path allows you to specify additional command line parameters.

C:\Program Files\RoboGEO\robogeo.exe /t:"C:\My Tracklogs\trip.nmea"

/t:TracklogFolderPath - Load all supported tracklog files in the specified folder. Enclose the path in quotes if it contains spaces. Including the command line switch (/t) along with the file path allows you to specify additional command line parameters.

C:\Program Files\RoboGEO\robogeo.exe /t:C:\MyTracklogs\

/t:GPS - Download the tracklog from the connected Garmin GPS. Note that "GPS" (without quotes) is literal and that you don't have to specify a COM port or whether it's a USB device - the program determines all of that automatically.

C:\Program Files\RoboGEO\robogeo.exe /t:GPS

/t:IPTC - Get location information from the IPTC headers . Note that "IPTC" (without quotes) is literal and that you don't have to specify any of the parameters that you normally specify on the user input form - the program remembers and uses what you used last. For that reason, you should do this operation manually before trying to automate it.

C:\Program Files\RoboGEO\robogeo.exe /t:IPTC

/d:DictationFile - Load the specified dictation file . Enclose the path in quotes if it contains spaces.

C:\Program Files\RoboGEO\robogeo.exe /d:C:\Dictation\sound.mp3

/d:DictationFolder - Load all dictation files in the current folder. Enclose the path in quotes if it contains spaces.

C:\Program Files\RoboGEO\robogeo.exe /d:"C:\Dictation Files\"

Command Line Parameters (Output)

/a - Start the program in automode. In automode no user input is required - everything happens automatically.

In automode all activity is logged to a disk file. Unless you specify the actual path using CmdLineAutoModeLogFilePath , the log file will be saved as C:\Documents and Settings\user\My Documents\RoboGEO\AutoMode.log. Note that there are preference settings that allow you to archive log file when they become too big.

In automode there are times when the program must make decisions for you. For example, when exporting Google Maps , it needs to know the output folder name. When confronted with such a decision, the program always saves files in the default folder for a given process (the folder that you last used) with a file or folder name of AutoModeOutput plus the proper extension. If a previous AutoModeOutput file exists, it'll be overwritten.

If the program encounters an unexpected error or any other condition that prevents further execution, the processing will stop and the condition will be recorded to the log file.

When the program is started in automode, you can cancel it by clicking on the status bar at the bottom of the main screen. This is a 2 second opportunity, so be quick.

/z - Automatically end the program when it completes the processing of the other command line parameters. If a project file is currently opened, it'll be saved.

/n - Rename the image files per your current settings.

/r - Redate the image files per the EXIF and per your current settings.

/s - Stamp the images per the options specified in the preferences.

/e - Write the location data to the EXIF per the options specified in the preferences.

/v - Reverse geocode the images and write the location data back to the image's IPTC headers.

/m - Export to Google Maps . If you're running in automode (/a) the files will be saved in a folder named 'AutoModeOutput' under 'My Documents'. The complete path is typically 'C:\Documents and Settings\user\My Documents\RoboGEO\GoogleMaps\AutoModeOutput\'. Set CmdLineAutoModeLaunchGoogleMaps to True if you want to automatically launch the output in Windows Explorer upon completion.

/g - Export to Google Earth . Set CmdLineAutoModeLaunchGoogleEarth to True if you want to automatically launch the output in Google Earth upon completion.

/f - Export to Flickr . To use this option in automode, you must first add a Flickr account and then set FlickrDefaultUserSelectUponLoad to True. Also, note that Flickr requires you to manually confirm newly uploaded photos from their website. RoboGEO automatically loads this page after it uploads the photos. Because of that, RoboGEO always performs Flickr uploads after it has done everything else.

/h - Export a shapefile . Set CmdLineAutoModeLaunchShapeFile to True if you want to automatically launch the output in Windows Explorer upon completion.

/c - Export a DXF file . Set CmdLineAutoModeLaunchDxfFile to True if you want to automatically launch the output in the Windows program associated with the DXF file extension upon completion.

/b - Export a MapPoint CSV file . Set CmdLineAutoModeLaunchMapPointFile to True if you want to automatically launch the output in the Windows program associated with the CSV file extension upon completion.

/x - Export a GPX file . Set CmdLineAutoModeLaunchGpxFile to True if you want to automatically launch the output in the Windows program associated with the GPX file extension upon completion.

/w - Export HTML. Set CmdLineAutoModeLaunchHtmlFolder to True if you want to automatically launch the export folder in the associated Windows program upon completion.

Command Line Parameters (Configuration)

/defaults - Resets all configuration options to their default values.

/j:ConfigFile - Load the specified Config File. Enclose the path in quotes if it contains spaces. The path can be either a local path or a URL.

C:\Program Files\RoboGEO\robogeo.exe /j:C:\Folder\CustomConfigFile.rcf

C:\Program Files\RoboGEO\robogeo.exe /defaults /j:C:\Folder\CustomConfigFile.rcf

C:\Program Files\RoboGEO\robogeo.exe /j:http://www.yourdomain.com/config.rcf

Examples

For clarity purposes, as needed, the examples below are shown on multiple lines. Your command lines should be on a single line with space-delimited parameters.

Start RoboGEO normally without any command line parameters.

C:\Program Files\RoboGEO\robogeo.exe

Start RoboGEO and set all of the preference settings to their default values.

C:\Program Files\RoboGEO\robogeo.exe /defaults

Start RoboGEO and load all of the images in a folder.

C:\Program Files\RoboGEO\robogeo.exe "C:\Your Camera\Output\Folder\"

Start RoboGEO as if there were no command line parameters (note the leading apostrophe which cancels the entire command line).

C:\Program Files\RoboGEO\robogeo.exe '"C:\Your Camera\Output\Folder\"

Start RoboGEO, load all of the images in a folder, download the tracklog from a Garmin GPS, and then geocode all of the images.

C:\Program Files\RoboGEO\robogeo.exe /i:C:\Images\ /t:GPS

Start RoboGEO, load all of the images from a folder, load a GPX tracklog file, and then geocode all of the images.

C:\Program Files\RoboGEO\robogeo.exe

/i:"C:\My Images\"

/t:C:\Tracklogs\trip.gpx

Start RoboGEO, load all of the images from a folder, load all of the supported tracklogs from a folder, and then geocode all of the images.

C:\Program Files\RoboGEO\robogeo.exe

/i:C:\Images\

/t:"K:\GPS\Removable\Compact Flash Card\"

Start RoboGEO, load all of the images from a folder, download the tracklog from a Garmin GPS, load all of the dictation files from a folder, geocode all of the images, and associate an audio file with each.

C:\Program Files\RoboGEO\robogeo.exe

/i:"C:\Your Camera\Normal\Output\Folder\"

/t:GPS

/d:"C:\Your USB Compatible\Dictation\Recorder\Folder\"

Start RoboGEO, load a project file, export a shapefile, and then end. Do everything automatically without user input and record all activity to a log file.

C:\Program Files\RoboGEO\robogeo.exe

/p:C:\Project\File\Created\With\Third\Party\Custom\App\ProjectFile.rgw

/h /z /a

Start RoboGEO, load all of the images from a folder, download the tracklog from a Garmin GPS, load all of the dictation files from a folder, geocode all of the images, associate an audio file with each image, rename the images, redate the images, stamp the images, write the location data to each image's EXIF, export a shapefile, and then end. Do everything automatically without user input and record all activity to a log file.

C:\Program Files\RoboGEO\robogeo.exe

/i:C:\ImageFolder

/t:GPS

/d:C:\DictationFileFolder\

/n /d /s /e /h /z /a


Civil Air Patrol Instructions

RoboGEO - Civil Air Patrol Instructions

RoboGEO Overview

RoboGEO is Windows software for geocoding digital photos.

In order to know WHERE a photo was taken, it must be "geocoded". A geocoded photo is one which has location data embedded into it - location data like the latitude, longitude, altitude, direction, etc.

Once embedded, the location data stays with the image and can subsequently be extracted and used to pinpoint the photo on a map, stamped onto the physical image, used to create a Google Earth file, etc. Here's a very simple example of a photo that was geocoded with RoboGEO.

RoboGEO provides all of the features you need to geocode photos and to make use of the embedded location data.

Civil Air Patrol Features

Important note: This documentation only applies to RoboGEO v5.10.0 and higher. If you're using an older version, you should upgrade to the latest.

The Civil Air Patrol has very specific requirements for stamping location data onto images.

RoboGEO can be configured to output photos in the format that the Civil Air Patrol requires, i.e. instead of producing simple output like this , the program can produce the required output that looks like this .

To produce the required output, numerous configuration options must be set. Fortunately, you don't have to do all that. All you have to do is start the program with a "/cap" command-line switch and the program will configure everything automatically per the Civil Air Patrol's requirements, i.e. start the program like:

C:\Program Files\RoboGEO\robogeo.exe /cap

That's all there is to it. Start the program like that and you'll produce the required output.

Using the /cap command line switch is equivalent to manually setting these options:

StampLogo = True

StampLogoFilePath = <robogeo.exe folder>\CapLogo.png

StampIptcEditorPrompt = True

StampLogoSizePercent = 8

StampIptcLocation = True

StampIptcSubLocation = True

StampNorthArrowPrompt = True

StampNorthArrowLeft = 32000

StampLatLonFormat = DM

StampUseDateAndTot = True

StampUseDateAndTotTimeDesignator = Z

StampOmitDatum = True

StampMinutesDecimalPlaces = 2

StampFontBold = True

StampFontFace = Arial

StampLogoX = 10

StampLogoY = 10

StampIncreaseCanvasHeight = True

ImportCsvAsCapCsv = True

It's possible that your local commander may require additional options beyond those embodied by the /cap command line switch. If that's the case (s)he may require you to load a configuration file from the web that includes those options. To load a configuration file from the web, select the 'File --> Open --> From the Web' pull-down menu option on the Preferences form. In the input box, type in the complete URL that they provided to you.

Your commander may also require you name your images a specific way. Use the file renaming tool to do that.

If you need to easily edit the image titles, use the Title Maker .

Getting Familiar With RoboGEO

The steps below assume that you're new to RoboGEO and that you want to get up-and-running ASAP by way of an example.

1. Download and install the demo version .

2. If you've been issued an unlock code, enter it to fully upgrade the demo version to registered . Help is here .

3. If you don't have any images to work with, download and use these . They are already geocoded, so when you load them the location data will automatically appear in the grid.

4. Start the program with the /cap command line switch, i.e.:

"C:\Program Files\RoboGEO\robogeo.exe" /cap

Don't forget the quotes if your path contains spaces like the one above. If you have a desktop icon that points to RoboGEO, you can modify that by entering the same thing in the shortcut's 'Target' field.

5. Load all of the sample images by pressing F2. These were previously geocoded, so you don't need to do anything else to them. Note: you can also import CSV files to assign data to photos.

6. Stamp them by selecting the File-->Process-->Stamp Images pull-down menu. If you're not overwriting the original images (the default), select an output folder. This is where the processed images will be saved.

7. You'll then be prompted whether to specify the north arrows. Select Yes. If all of the images have directional information associated with them, the north arrow orientations will be automatically determined and you'll be advised of that. All you need to do is press the 'Done' button to exit the form.

To specify an image's north arrow, you must specify the rotation angle (measured clock-wise from north) of the north icon graphic. For example, if north is straight down, as would be the case if the direction of the image was pointing south, the north icon rotation would be 180 degrees. If the photo direction is pointing to the east, the north arrow would point to the left, meaning it has a rotation angle of 270 degrees.

For example, in the sample graphic , the north arrow rotation angle is about 135 degrees (this means that the direction of the photo would have been about 225 degrees).

More information about the north arrow is here .

8. Once you've specified all of the north arrows, you'll be prompted whether to load the IPTC editor. Referring back to the sample image , "Benton, TN US" and "Hwy 64 Motel" were obtained from the image's IPTC headers, so you must specify them. On the IPTC Editor form, specify everything on the 'Location' tab. You can ignore the 'Description' tag, but it may be a good idea to enter that data too for possible future use.

After entering the data for each image, be sure to click the 'Write IPTC' button.

When you're done, close the IPTC editor form.

9. The images will then be stamped with all of the information and they should look very similar to the sample image. To review the results, double click on an image in the grid and then select 'View' from the resulting pop-up menu.

Real World Step-By-Step Example

RoboGEO offers several ways to geocode photos. In this real world example, we'll assume that you're using a Garmin handheld GPS that will be recording a tracklog during the flight and that you'll use the tracklog to geocode the images.

Here's what you would do:

1. (Preflight) Ensure that your camera's clock is accurate. A good method for doing that is discussed here .

2. (Preflight) If you don't need it and if you'll be displaying it in your output, erase the GPS's tracklog.

3. (Preflight) Begin recording a tracklog with your Garmin GPS.

4. Take flight and snap photo(s) of your target(s).

5. (Postflight) Back at the Windows computer, start RoboGEO with the /cap command line switch.

6. (Postflight) Select the images (press F2).

7. (Postflight) Geocode the images by loading the tracklog.

8. (Postflight) Follow the same instructions as above, beginning with item #6.

It would be a good idea to include the first 3 items on your normal preflight checklist.

The key thing to realize is that once you're in the air, you don't need to focus on anything but your mission. You'll geocode the images later once you're back on the ground and relieved of your cockpit duties.

More Information

If you have any questions, you can contact the author directly at tim@robogeo.com or browse the complete documentation .


U.S. Military Instructions

RoboGEO - U.S. Military Instructions

RoboGEO Overview

RoboGEO is Windows software for geocoding digital photos.

In order to know WHERE a photo was taken, it must be "geocoded". A geocoded photo is one which has location data embedded into it - location data like the latitude, longitude, altitude, direction, etc.

Once embedded, the location data stays with the image and can subsequently be extracted and used to pinpoint the photo on a map, stamped onto the physical image, used to create a Google Earth file, etc. Here's a very simple example of a photo that was geocoded with RoboGEO.

RoboGEO provides all of the features you need to geocode photos and to make use of the embedded location data.

U.S. Military Features

The Civil Air Patrol has very specific requirements for stamping location data onto images.

RoboGEO can be configured to output photos in the format that the Civil Air Patrol requires, i.e. instead of producing simple output like this , the program can produce the required output that looks like this .

To produce the required output, over 20 different configuration options must be set. Fortunately, you don't have to do all that. All you have to do is start the program with a "/cap" command-line switch and the program will configure everything automatically per the Civil Air Patrol's requirements, i.e. start the program like:

C:\Program Files\RoboGEO\robogeo.exe /cap

That's all there is to it. Start the program like that and you'll produce the required output.

Getting Familiar With RoboGEO

The steps below assume that you're new to RoboGEO and that you want to get up-and-running ASAP by way of an example.

1. Download and install the demo version .

2. If you've been issued an unlock code, enter it to fully upgrade the demo version to registered . Help is here .

3. If you don't have any images to work with, download and use these . They are already geocoded, so when you load them the location data will automatically appear in the grid.

4. Obtain a CAP logo. If you're using the sample images (which are rather small at 640x480), this 96x96 logo would be of the appropriate size. If your images are larger, you'll need a larger logo so that its size is appropriate for and in proportion with the actual images. Here's a full size CAP logo that you can use to create another one. The logo that you use should be about 1/10th as wide as the images. If you use the small 96x96 logo on a large image and if that image is scaled down in size (like when printing or when displaying in a web browser) the logo will be too small and not visible.

5. Rename the CAP logo (if needed) to Logo.png and copy it to the same folder as robogeo.exe (typically C:\Program Files\RoboGEO\).

6. Start the program with the /cap command line switch, i.e.:

"C:\Program Files\RoboGEO\robogeo.exe" /cap

Don't forget the quotes if your path contains spaces like the one above. If you have a desktop icon that points to RoboGEO, you can modify that by entering the same thing in the shortcut's 'Target' field.

7. Load all of the sample images by pressing F2. These were previously geocoded, so you don't need to do anything else to them.

8. Stamp them by selecting the File-->Process-->Stamp Images pull-down menu. If you're not overwriting the original images (the default), select an output folder. This is where the processed images will be saved.

9. You'll then be prompted whether to specify the north arrows. Select Yes. If all of the images have directional information associated with them, the north arrow orientations will be automatically determined and you'll be advised of that. All you need to do is press the 'Done' button to exit the form.

To specify an image's north arrow, you must specify the rotation angle (measured clock-wise from north) of the north icon graphic. For example, if north is straight down, as would be the case if the direction of the image was pointing south, the north icon rotation would be 180 degrees. If the photo direction is pointing to the east, the north arrow would point to the left, meaning it has a rotation angle of 270 degrees.

For example, in the sample graphic , the north arrow rotation angle is about 135 degrees (this means that the direction of the photo would have been about 225 degrees).

More information about the north arrow is here .

10. Once you've specified all of the north arrows, you'll be prompted whether to load the IPTC editor. Referring back to the sample image , "Benton, TN US" and "Hwy 64 Motel" were obtained from the image's IPTC headers, so you must specify them. On the IPTC Editor form, specify everything on the 'Location' tab. You can ignore the 'Description' tag, but it may be a good idea to enter that data too for possible future use.

After entering the data for each image, be sure to click the 'Write IPTC' button.

When you're done, close the IPTC editor form.

11. The images will then be stamped with all of the information and they should look very similar to the sample image. To review the results, double click on an image in the grid and then select 'View' from the resulting pop-up menu.

Real World Step-By-Step Example

RoboGEO offers several ways to geocode photos. In this real world example, we'll assume that you're using a Garmin handheld GPS that will be recording a tracklog during the flight and that you'll use the tracklog to geocode the images.

Here's what you would do:

1. (Preflight) Ensure that your camera's clock is accurate. A good method for doing that is discussed here .

2. (Preflight) If you don't need it and if you'll be displaying it in your output, erase the GPS's tracklog.

3. (Preflight) Begin recording a tracklog with your Garmin GPS.

4. Take flight and snap photo(s) of your target(s).

5. (Postflight) Back at the Windows computer, start RoboGEO with the /cap command line switch.

6. (Postflight) Select the images (press F2).

7. (Postflight) Geocode the images by downloading the tracklog (press F3).

8. (Postflight) Follow the same instructions as above, beginning with item #8.

It would be a good idea to include the first 3 items on your normal preflight checklist.

The key thing to realize is that once you're in the air, you don't need to focus on anything but your mission. You'll geocode the images later once you're back on the ground and relieved of your cockpit duties.

More Information

If you have any questions, you can contact the author directly at tim@robogeo.com or browse the complete documentation .


Flickr2Map Application

RoboGEO - Flickr2Map Application

Flickr2Map is a free service that allows Flickr users to link their photos to a variety of different maps. Here's an example .

To use Flickr2Map, you must geotag your photos and then place the appropriate links in the Flickr photo descriptions. These 2 requirements are described below.

Geotagging Flickr Photos

There are 2 ways to geotag photos. One is to use Flickr tags. For example, if a photo is located at a latitude/longitude of 32.12345/-103.987654 and the camera is pointing to the southeast, the tags should be:

geo:lat=32.12345 geo:lon=-103.987654 geo:dir=135

That's all there is to it. If tags of this format are found, Flickr2Map uses them to locate the photos.

If any or all of these tags don't exist, Flickr2Map will try to determine them from the photo's EXIF headers.

The direction tag (geo:dir=angle) is optional. If it exists, the icons in Google Earth and Google Maps will contain an arrow that points in the direction that the picture was taken. Otherwise, standard icons are used. Directions are positive and measured clockwise from true north.

There are advantages to using EXIF instead of Flickr tags. These include:

1. You can include altitude information when viewing in Google Earth.

2. It's significantly faster since the information is cached locally.

3. You won't have to go through the trouble of typing in the tags.

Linking to Flickr2Map

Once your photos are geotagged using either of the above methods, all you have to do is link to the Flickr2Map URL anywhere (description, notes or comments) on the Flickr photo page.

Flickr2Map determines the Flickr photo by looking at the HTTP referring URL - that's why the links must originate on a Flickr photo page. If you want to use the links on other web pages, you must include the Flickr URL as a URL parameter named 'referer'. For example:

http://www.robogeo.com/Flickr2Map?referer=http://www.flickr.com/photos/geoguy/89187192/

Examples

1. Link to Google Earth (the default) and let Flickr automatically generate the HTML link:

www.robogeo.com/Flickr2Map/

2. Link to Google Earth and specify the range (meters above the earth), tilt (degrees relative to vertical), and heading (degrees clockwise from north):

www.robogeo.com/Flickr2Map/?range=500&tilt=45&heading=180

3. Link to Google Earth and provide your own HTML formatting:

<a href="http://www.robogeo.com/Flickr2Map/">Fly to this location</a> (requires Google Earth)

4. Link to Google Maps and default to a street map view:

www.robogeo.com/Flickr2Map/?type=map

5. Link to Google Maps and default to a satellite view with a zoom factor of 11:

www.robogeo.com/Flickr2Map/?type=map&view=satellite&zoom=11

6. Link to Google Maps and default to a hybrid view with a zoom factor of 15:

www.robogeo.com/Flickr2Map/?type=map&view=hybrid&zoom=15

7. Link to Google Maps and default to a terrain view with a zoom factor of 13:

www.robogeo.com/Flickr2Map/?type=map&view=terrain&zoom=13

8. Link to a topo map (only valid in the USA):

www.robogeo.com/Flickr2Map/?type=topo

9. Link to an aeronautical chart (only valid in the USA and Europe):

www.robogeo.com/Flickr2Map/?type=nautical

10. Link as shown in the example (line breaks and white space shown for clarity purposes only):

Map it:

<a href="http://www.robogeo.com/Flickr2Map/">Google Earth</a> |

<a href="http://www.robogeo.com/Flickr2Map/?type=map" target="_blank">Street</a> |

<a href="http://www.robogeo.com/Flickr2Map/?type=map&view=satellite" target="_blank">Satellite</a> |

<a href="http://www.robogeo.com/Flickr2Map/?type=map&view=hybrid" target="_blank">Hybrid</a> |

<a href="http://www.robogeo.com/Flickr2Map/?type=nautical" target="_blank">Nautical</a> |

<a href="http://www.robogeo.com/Flickr2Map/?type=topo" target="_blank">Topo</a>


Demo Limitations

RoboGEO - Demo Limitations

Intentional errors are introduced in the demo version that cause the latitude and longitude values to be inaccurate by up to about a kilometer. Otherwise, the demo is fully functional.

The effects of these intentional errors can be profound with some parts of the program. For example, tracklogs, when plotted in Google Maps or Google Earth , will appear as random scribbling instead of the smooth lines that the registered version produces.

You can purchase RoboGEO on-line and it only takes a few minutes. Registered users receive free lifetime upgrades.


Unlock Demo

RoboGEO - Unlock Demo

When you purchase RoboGEO you'll be issued an unlock code that will upgrade the demo to a fully functional registered version.

To enter your unlock code, select the 'Unlock Demo' option under the 'Help' pull-down menu .

To avoid typing errors, it's best to copy the unlock code from the e-mail that you received and then paste it directly into the appropriate field.

The computer that you register RoboGEO on must be connected to the internet. If you're behind a proxy server and encounter problems, contact your network administrator.

The unlocking process only applies to the Windows user that's currently logged into the system, i.e. one Windows user account (such as the system admin) can't unlock the demo for another Windows user account. Each Windows user account must unlock the demo while logged in under that account.


Exif and IPTC Fields

RoboGEO - Exif and IPTC Fields

The following EXIF and IPTC fields can be merged into an image title or description when exporting Google Maps , when creating a KML or KMZ file for Google Earth or when uploading to Flickr . You can also include them in exported ESRI shapefiles .

When selecting which fields to merge, only those that exist in the image will be listed and/or included in the final output.

Except for shapefiles, to merge these fields you must use the corresponding merge name and enclose it in brackets. For example, to merge the "EXIF Version" field, type [ExifVersion]. Include them in shapefiles by selecting them from the list.

EXIF Comments

See the EXIF specification for a detailed explanation of these comments.

EXIF Version
Make
Model
Description
MakerNote Size
MakerNote Offset
Color Space
WhitePoint X
WhitePoint Y
Chromaticity Red(X)
Chromaticity Red(Y)
Chromaticity Green(X)
Chromaticity Green(Y)
Chromaticity Blue(X)
Chromaticity Blue(Y)
YCbCrCoefficient 1
YCbCrCoefficient 2
YCbCrCoefficient 3
Gamma
Pixel Columns
Pixel Rows
Component Configuration
Compressed Bits Per Pixel
YCbCr Positioning
User Comment
User Comment Size
Related Sound File
Date Time
Subsec Time
Date Time Original
Subsec Time Original
Date Time Digitized
Subsec Time Digitized
Exposure Time
Shutter Speed
Aperture
Brightness Value
Exposure Bias
Max Aperture
Subject Distance Min (M)
Subject Distance Max (M)
Subject Distance (M)
Metering Mode
Light Source Temp
Light Source
Flash Fired
Flash Mode
Flash Return
Flash Function
Flash Red-eye
Focal Length (mm)
F Number
Exposure Program
Spectral Sensitivity
ISO Speed
OECF Size
Flash Energy
Spatial Frequency Response Size
Focal Plane X Resolution
Focal Plane Y Resolution
Focal Plane Units
Subject Area X
Subject Area Y
Subject Area X Center
Subject Area Y Center
Subject Area Diameter
Subject Area Width
Subject Area Height
Subject X Location
Subject Y Location
Exposure Index
Sensing Method
File Source
Scene Type
CFA Pattern Size
Photographer Copyright
Editor Copyright
Artist
Orientation
X Resolution
Y Resolution
Resolution Units
Software
Custom Rendered
Exposure Mode
White Balance
Digital Zoom Ratio
Focal Length 35mm
Scene Capture Type
Gain Control
Contrast
Saturation
Sharpness
Device Settings Size
Subject Distance Range
Image Unique ID
InteropIndex
InteropVersion
InteropWidth
InteropHeight
GPS Version
GPS Latitude Ref
GPS Latitude
GPS Longitude Ref
GPS Longitude
Altitude Ref
GPS Altitude
GPS Timestamp
GPS Satellites
GPS Status
GPS Measurement Mode
GPS Degree of Precision
GPS Speed Ref
GPS Speed
GPS Track Ref
GPS Track
GPS Image Direction Ref
GPS Image Direction
GPS Map Datum
GPS Destination Latitude Ref
GPS Destination Latitude
GPS Destination Longitude Ref
GPS Destination Longitude
GPS Destination Bearing Ref
GPS Destination Bearing
GPS Destination Distance Ref
GPS Destination Distance
GPS Processing Method Size
GPS Area Information Size
GPS Date Stamp
GPS Differential

IPTC Comments

See the IPTC specification for a detailed explanation of these comments.

Headline
Action Advised
By-Line
By-Line Title
Caption/Abstract
Category
City
Contact
Copyright Notice
Country/Primary Location Code
Country/Primary Location Name
Credit
Date Created
Digital Creation Date
Digital Creation Time
Editorial Update
Edit Status
Expiration Date
Expiration Time
Fixture Identifier
History
Image Orientation
Image Type
Keyword
Language Identifier
Location Code
Location Name
Object Attribute
Object Cycle
Object Name
Object Type
Original Transmission Reference
Originating Program
Program Version
Province/State
Reference Date
Reference Number
Reference Service
Release Date
Release Time
Source
Special Instructions
Subject Reference
SubLocation
Supplemental Category
Time Created
Urgency
Writer/Editor